Wed Jan 14 18:45:46 2004  Balachandran  <bala@dre.vanderbilt.edu>

        * ACE version 5.4 released.

Wed Jan 14 17:17:41 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

	* Makefile:

 	  Fixed the path to some of autoconf files. Hopefully this should
	  be the last bug.

Wed Jan 14 16:28:28 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

	* bin/make_release: 

	  Fixed a bug with the way we were collecting the list of files
	  for making the ACE distribution.

Wed Jan 14 16:13:33 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

	* Makefile:

	  Added RELEASE_FILES to the AUTOCONF_RELEASE_FILES.

Wed Jan 14 14:26:54 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

	* bin/make_release: 

	  Made changes to the way beta kits are created. We added some
	  solution files and WinCE files for ACE but not for TAO+CIAO
	  (with a reason). But when the final kits were created, the
	  ACE+TAO bundles and ACE+TAO+CIAO bundles had all the ACE
	  specific stuff which confused the user. Moreover, the autoconf
	  support was also bootstrapped which confused users to no end
	  since autoconf works only with ACE. The bootstrapping should have
	  been done to the ACE distribution and not to other
	  distributions. 

	* Makefile:

	  Added an extra target for AUTOCONF_RELEASE_FILES. This will have
	  all the release files in ACE + the files that needs to go in
	  with autoconf. 

	  I have to test this stuff and will do so shortly.

Wed Jan 14 09:47:56 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

	* */*_Static.ds[p,w]:

	  All the Win32 static projects and workspaces have been
	  removed. Please use MPC to generate them. 

Wed Jan 14 07:32:32 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

	* ACE-INSTALL.html:

	  Thanks to Johnny Willemsen for spotting a typo in the file.

Tue Jan 13 22:42:16 2004  Ossama Othman  <ossama@dre.vanderbilt.edu>

	* Makefile (RELEASE_FILES):

	  Added `aclocal.m4' and `Makefile.in' to the list of files to be
	  included in releases/kits.  This should be the last of them.

Tue Jan 13 21:39:30 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

	* Makefile (CONTROLLED_FILES):

	  Removed aux and configure from the CONTROLLED_FILES section and
	  moved it to the RELEASE_FILES section.

Tue Jan 13 16:33:12 2004  Ossama Othman  <ossama@dre.vanderbilt.edu>

	* Makefile (CONTROLLED_FILES):

	  Added `aux' directory to the list of controlled files.  It is a
	  directory generated at autotool bootstrap-time via the
	  bin/bootstrap script, and must be available in order for ACE's
	  autoconf support to work.

	  Added `configure' to the list of controlled files.  Users can't
	  run the `configure' script if it isn't shipped with the
	  distribution.

	* bin/bootstrap:

	  Invoke `autoreconf' without the "--symlink" option.  Auxiliary
	  files should be copied into the distribution, not symbolic
	  pointing to them.

	* bin/make_release:

	  Prepend "/usr/local/bin" to the GNU tool path.  That directory
	  on our release host now contains some specific versions of GNU
	  autotools.

Tue Jan 13 16:42:37 2004  Steve Huston  <shuston@riverace.com>

	* ACE-INSTALL.html: Correct the autoconf section to direct the user
	  to create a subdirectory under ACE_wrappers. Thanks to Ossama for
	  pointing this out.
	  Also changed the traditional make section to advise user to
	  create config.h and platform_macros.GNU files and include the
	  platform file rather than link or copy the platform file.

Tue Jan 13 16:19:29 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

	* netsvcs/clients/Naming/Client/Client.mpc:

	  Fixed a dependancy issue.

Tue Jan 13 11:28:21 2004  Ossama Othman  <ossama@dre.vanderbilt.edu>

	* Makefile (CONTROLLED_FILES):

	  Added `configure.ac' file to the list of controlled files.

	* configure.ac:

	  Corrected problem where std::auto_ptr<>::reset() method was not
	  detected properly in the !ACE_USES_STD_NAMESPACE_FOR_STDCPP_LIB
	  case.

	* bin/make_release:

	  Bootstrap autotool support prior to creating the kits via the
	  new bootstrap_autotools() subroutine described below.

	  Appended Emacs "Local Variables" block containing Perl mode to
	  end of this file to force Perl mode instead Fundamental mode to
	  be used by default when editing with Emacs.

	  (create_kit):

	  Moved autotool bootstrapping call to new bootstrap_autotools()
	  subroutine.

	  (bootstrap_autotools):

	  New subroutine that bootstraps autotool support into the ACE
	  distribution.

Tue Jan 13 18:06:23 UTC 2004  Don Hinton  <dhinton@dre.vanderbilt.edu>

        * include/makeinclude/rules.local.GNU:
          Only assign LIB_INSTALL to INSTALL if INSTALL has not yet been
          defined.  This will allow users to continue turning off
          installation of libraries by setting INSTALL= prior to including
          rules.local.GNU.  Thanks to Craig Rodrigues <crodrigu@bbn.com>
          for pointing this out.  Normally, the INS* variables can be used
          for this purpose, since they work for each target type.

Mon Jan 12 23:26:28 UTC 2004  Don Hinton  <dhinton@dre.vanderbilt.edu>

        * include/makeinclude/wrapper_macros.GNU:
          Added new commandline flag, static_link.  It defaults to 0, but
          can be set =1 to force static linking, e.g., uses "-static" when
          linking with GNU ld.  It's turned off by default since using it
          causes the footprint to go up by almost 1 MB, due to linking all
          the system and compiler .a files.  This way the user can decide
          if that what they really want.  Thanks to Bala for helping to
          formulate this policy, which matches what users expect, while
          adding the capability to do real static linking if you want to.

        * include/makeinclude/rules.bin.GNU:
        * include/makeinclude/rules.local.GNU:
          Moved the assignment of the STATIC_LINK_FLAG from rules.bin to
          rules.local so that it will get picked up even if rules.bin is
          not included (MPC and some Makefiles with multiple targets don't
          include rules.bin).  Only add the STATIC_LINK_FLAG to LDFLAGS
          if static_libs_only=1.

        * include/makeinclude/platform_sunos5_g++.GNU:
          Removed default assignment of STATIC_LINK_FLAG to empty, since
          it's now controlled with the new static_link flag above.  It
          still won't work on Solaris, but at least users wanting to use
          it will get an error instead of us silently not adding "-static".

Mon Jan 12 17:52:17 2004  Steve Huston  <shuston@riverace.com>

	* ACE-INSTALL.html: Add a section for using GNU autoconf.

	* examples/APG/ThreadPools/Futures.cpp: Don't delete all work
	  requests; only the Exit requests - the others are allocated on
	  the stack. Thanks to Andy Harvey <agh@cisco.com> for this fix.

Mon Jan 12 14:24:39 2004  Steve Huston  <shuston@riverace.com>

	* tests/Makefile.am: Remove $(libdir) from libTest_Output.la listed
	  in dependencies - having it there caused it to not match the
	  plain libTest_Output.la target in the Makefile, and thus not
	  get built before many of the tests. Added libTest_Output.la to
	  the DLL_Test and Service_Config_Test dependencies.

Mon Jan 12 15:54:13 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

	* apps/JAWS/server/jaws.dsp:
	  Fixed incorrect macro name.

Mon Jan 12 08:06:07 2004  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/modules/ProjectCreator.pm:

          Print out a warning if a verbatim clause is processed (depending
          on the project type) and the marker is not found in the
          corresponding project template.

Mon Jan 12 01:38:44 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * apps/soreduce/Library.cpp:

          Fixed a compile erros with VC 6 which cannot scope variables
          within for loops.

Mon Jan 12 01:35:44 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * bin/msvc_auto_compile.pl:

          Fixed the path ane the name of a couple of dsp files in the CORE
          builds. This should fix two problems with static builds.

Sat Jan 10 22:39:59 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * bin/create_ace_build.pl:

          The following patch modifies the file so that it can handle
          multiple path elements in the  argument given to
          create_ace_build.pl. Thanks to  John Poplett
          <John_Poplett@3com.com> for providing the patches.

Sat Jan 10 19:35:20 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * bin/msvc_auto_compile.pl:

          Added missing dsp files for compilation to the static lib
          builds. The failure of te static builds is due to something
          else, which wil be fixed shortly in the autobuilds.

Sat Jan 10 17:36:45 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * performance-tests/Synch-Benchmarks/Perf_Test/Performance_Test_Options.cpp:

          Fixed warnings with Forte 8.

Sat Jan 10 17:11:03 2004  Jeff Parsons <j.parsons@vanderbilt.edu>

        * bin/MakeProjectCreator/templates/vc6dsp.mpd:
        * bin/MakeProjectCreator/templates/vc7.mpd:

          Added generation for custom build step dependency on the
          IDL or CIDL compiler executable. This enables the build to
          detect errors output by the (C)IDL compiler, and also will
          trigger the custom build step if the (C)IDL compiler has
          been updated.

Sat Jan 10 16:14:39 2004  Steve Huston  <shuston@riverace.com>

        * ace/OS_NS_sys_socket.inl (closesocket): On HP-UX, use
          shutdown() before, and in addition to, close() to close a socket.
          The previous "fix" left the socket opened after shutdown().

        * tests/Bug_1576_Regression_Test.cpp: Use ACE_DLL_SUFFIX to form the
          name of the bogus dll name instead of literal ".so". Prevents a
          run-time warning from platforms that use a different suffix, such
          as HP-UX.

        * tests/Makefile.am: Removed -module from the libTestOutput line
          so it actually links the library for use by other tests. Added
          TSS_Static_Test_SOURCES to have it build as well.

Sat Jan 10 11:18:24 2004  Steve Huston  <shuston@riverace.com>

        * ace/config-lite.h:
        * ace/Sock_Connect.cpp: Added /**/ to #include to keep MSVC from
          complaining it can't find a file.

        * ace/Array_Base.cpp: The _MSC_VER check need not be done for CE
          compiler - it doesn't need the extra #include and doesn't have <new>.

Fri Jan  9 16:55:39 2004  Steve Huston  <shuston@riverace.com>

        * examples/APG/Timers/Alarm.cpp:
        * examples/APG/ThreadManagement/Coop_Cancel.cpp:
        * examples/APG/ThreadManagement/Signals.cpp:
        * examples/APG/ThreadManagement/Signals2.cpp:
        * examples/APG/Sockets/Server.cpp:
        * examples/APG/Reactor/Timers.cpp: Added ACE_NOTREACHED to
          unreachable statements to kill compile warnings.

Fri Jan  9 16:27:33 2004  Steve Huston  <shuston@riverace.com>

        * examples/APG/Streams/Answerer.cpp: Removed unnecessary template
          instantiations.

        * examples/APG/ThreadPools/Futures.cpp:
        * examples/APG/ThreadPools/ThreadPool.cpp: Fixed memory leak. Thanks
          to Andy Harvey <agh@cisco.com> for reporting these.

Fri Jan  9 15:24:30 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * include/makeinclude/wrapper_macros.GNU:

          Support for STLPort in ACE Makefile system. Thanks to
          John Poplett <John_Poplett@3com.com> for the patches.

Fri Jan  9 20:13:21 UTC 2004  Don Hinton  <dhinton@dre.vanderbilt.edu>

        * include/makeinclude/platform_g++_common.GNU:
        * include/makeinclude/rules.bin.GNU:
          Set the default (blank) value of STATIC_LINK_FLAG in
          rules.bin.GNU and only set it in platform_g++_common.GNU if it
          hasn't been set.

        * include/makeinclude/platform_sunos5_g++.GNU:
          Set STATIC_LINK_FLAG blank to prevent platform_g++_common.GNU
          from setting it to "-static", since this flag doesn't work on Sun.

Fri Jan  9 11:15:16 2004  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/modules/GNUACEWorkspaceCreator.pm:

          Added a .PHONY target to stop GNU Make from trying to build
          targets that happen to coincide with cpp files.

Fri Jan  9 14:46:54 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Test_Output_Export.h:
          Added check for ACE_AS_STATIC_LIBS for setting the export flags for
          proper building of static libraries.

Fri Jan  9 13:12:07 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/msvc_auto_compile.pl:
          Corrected the check for Use_MPC.

Fri Jan  9 12:23:11 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/MakeProjectCreator/config/global.features:
          Set dummy_label to 0. This dummy_label is used by the TAO OBV
          tests which don't compile because of some bugs. The idea was
          good, but when dummy_label is not in this file it is set by
          default to 1. When the OBV tests work again, just remove the
          requires from the corresponding MPC files.

Fri Jan  9 12:14:05 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/msvc_auto_compile.pl:
          Build FTORB_Utils before PortableGroup

Fri Jan  9 10:15:43 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/msvc_auto_compile.pl:
          When using MPC with Static builds we don't have dependencies
          between the libraries in the generated dsw's. The build order
          is then handled in this file, but when using MPC we use generate
          different filenames than previously. Added the option -MPC, when
          this is passed on the commandline we use the MPC filenames.

Fri Jan  9 08:07:13 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * apps/JAWS/server/jaws.dsp:
          This project doesn't use a separate dll for the jaws stuff, so set
          ACE_HAS_SVC_DLL to 0.

Thu Jan  8 18:28:35 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * examples/APG/Streams/CommandStream.h:

          Fixed a warning with g+++ builds that were caused by wrong
          initialization order of members.

Thu Jan  8 18:15:21 2004  Steve Huston  <shuston@riverace.com>

        * examples/APG/Timers/Alarm.cpp:
        * examples/APG/Timers/Task.cpp:
        * examples/APG/Timers/Upcall.cpp: Add missing template instantiations.

Thu Jan  8 15:15:49 2004  Steve Huston  <shuston@riverace.com>

        * examples/APG/Streams/Answerer.cpp (RecordingStream::open): Change
          the signature to match the inherited ACE_Stream::open() method to
          allow easy configuration without forcing a EndTask module.

        * examples/APG/Streams/CommandStream.{h cpp}: Move the ACE_SOCK_Stream*
          argument from open() to the constructor, and make default ctor
          private to force passage of the ACE_SOCK_Stream*. Change open() to
          properly inherit from ACE_Stream, avoiding the "hides inherited
          open()" diagnostics, and making this class easier to use in
          different use cases.

        * examples/APG/Streams/RecordingDevice_Text.cpp: Changed usage of
          CommandStream class to match new API, above.

        * examples/APG/Streams/Command.h:
        * examples/APG/Streams/CommandTask.cpp:
        * examples/APG/Streams/CommandTasks.cpp:
        * examples/APG/Streams/RecordingDevice_Text.cpp: Prepended RESULT_
          to the enumerators SUCCESS, PASS, FAIL; prepended CMD_ to the
          enumerators UNKNOWN, ANSWER_CALL, RETRIEVE_CALLER_ID, PLAY_MESSAGE,
          RECORD_MESSAGE. These were done to avoid clashes with commonly
          defined macros. Thanks to Johnny Willemsen for reporting this.

Thu Jan  8 20:15:09 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/Reactor/Misc/test_demuxing.cpp:
          Made this example compiling with BCB.

Thu Jan  8 14:05:42 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * performance-tests/Misc/Makefile:

          Fixed a bild error in our daily builds. Thanks to Don for
          helping with this. The change just involved removing
          shared_libs=0  from the Makefile.

Thu Jan  8 18:35:11 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/MakeProjectCreator/templates/bor.mpd:
          Just set the four xx_DIRS we overrule always to . independent of the
          configuration that the we always output to the same directory

Thu Jan  8 12:20:23 2004  Jeff Parsons <j.parsons@vanderbilt.edu>

        * bin/MakeProjectCreator/config/ciao_servant.mpb:

          Changed the default command line from '--lem-file-suffix E.idl'
          (since this is now the default suffix) to one that includes
          the four include paths required by the inclusion of
          Components.idl, which is needed by every .cidl file.

Thu Jan  8 12:03:22 2004  Steve Huston  <shuston@riverace.com>

        * examples/APG/Timers/TimerDispatcher.cpp:
        * examples/APG/Timers/PTimerDispatcher.cpp: Added missing template
          instantiations.

Thu Jan  8 17:05:56 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * apps/JAWS/server/HTTP_Server.{h,cpp}:
        * apps/JAWS/server/server.mpc:
          Made this app compiling with CBX and MPC. Set the correct defines
          and use the correct export macros.

Thu Jan  8 17:02:11 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/MakeProjectCreator/templates/bor.mpd:
          Corrected setting of STATIC_DIR

Thu Jan  8 11:23:41 2004  Steve Huston  <shuston@riverace.com>

        * examples/APG/Naming/Name_Binding.h:
        * examples/APG/Naming/Temperature_Grapher.cpp:
        * examples/APG/Naming/Temperature_Monitor.cpp:
        * examples/APG/Naming/Temperature_Monitor2.cpp: Add missing
          "ace/OS_NS_*" includes.

        * examples/APG/Naming/Graphable_Element.h: Added 'const' to the when()
          and operator<() methods, as well as to operator<()'s parameters,
          to match less<> and make CBuilderX happy. Thanks to Johnny Willemsen
          for reporting this.

        * examples/APG/Naming/Makefile: Moved the "RM tempinc" up before the
          sub-make to avoid inadvertant smashing of tempinc.

        * examples/APG/Proactor/HA_Proactive_Status.cpp (validate_connection):
          Removed the parameter names in the ACE_WIN32 case to avoid "unused
          parameter" warnings.

Thu Jan  8 11:05:25 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * ace/OS_NS_sys_msg.inl:

          Used a const cast instead of a static cast.

Thu Jan  8 16:38:56 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * apps/JAWS3/jaws3/Export.h:
          Set the JAWS_HAS_DLL define correctly when not set. This fixes
          the linker errors in the CBX MPC build.

Thu Jan  8 16:16:11 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Date_Time.i:
          Changed the order of the methods to fix Tru64 warnings.

Thu Jan  8 11:07:31 2004  Steve Huston  <shuston@riverace.com>

        * ace/SSL/SSL_Context.cpp: Added #include "ace/ACE.h" for ACE::debug()
          and "ace/OS_NS_string.h" for ACE_OS::strlen().

Thu Jan  8 15:45:50 GMT 2004  Paul Morrison  <epm@prismtechnologies.com>

        * ace/OS_NS_sys_shm.inl
        * ace/OS_NS_sys_msg.inl
        * ace/OS_NS_stdlib.cpp
        * ace/Mem_Map.i

        Changed to fix LynxOS compilation errors.

Thu Jan  8 07:47:58 2004  Chad Elliott  <elliott_c@ociweb.com>

        * ace/QoS/qos.mpc:
        * ace/RMCast/rmcast.mpc:
        * ace/SSL/ssl.mpc:
        * ace/TMCast/TMCast.mpc:
        * ace/ace.mpc:
        * bin/MakeProjectCreator/config/orbsvcslib.mpb:

          Removed the include_dir setting.  This is determined automatically
          in the Borland template.

        * bin/MakeProjectCreator/modules/ProjectCreator.pm:

          Removed support for the include_dir keyword.  It's usage is
          superseded by the use of <%relwd%> in the Borland template.

Wed Jan  7 23:06:57 UTC 2004  Don Hinton  <dhinton@dre.vanderbilt.edu>

        * include/makeinclude/all_in_one.GNU:
        * include/makeinclude/platform_g++_common.GNU:
        * include/makeinclude/platform_linux.GNU:
        * include/makeinclude/rules.bin.GNU:
        * include/makeinclude/rules.lib.GNU:
        * include/makeinclude/rules.local.GNU:
        * include/makeinclude/rules.nested.GNU:
        * include/makeinclude/wrapper_macros.GNU:
          Use xxx ?= instead of ifndef xxx, for setting default values
          since it is more concise and makes the files much smaller.

        * include/makeinclude/all_in_one.GNU:
          Always add the *_UNCHECKED to the regular targets if no
          components are missing, since Makefiles can have both checked
          and unchecked targets.

        * include/makeinclude/platform_g++_common.GNU:
        * include/makeinclude/rules.bin.GNU:
          Moved the check for which ld version is used out of and above
          the shared library section so that we could use the GNU_LD flag
          to add "-static" to a new variable, STATIC_LINK_FLAG when using
          the GNU version of ld.  Then add STATIC_LINK_FLAG to LDFLAGS if
          static_libs_only=1.

        * include/makeinclude/rules.lib.GNU:
          Added CLEANUP_VLIB and use it to set CLEANUP_INSTALL since it
          includes the VAR extention if one was set.  Also, make VLIBS
          dependent on IDL_SRC.

Wed Jan  7 17:34:26 2004  Steve Huston  <shuston@riverace.com>

        * examples/APG/Proactor/HA_Proactive_Status.cpp: Added #include
          "ace/Log_Msg.h" to find LM_DEBUG, et al.

        * examples/APG/Processes/Process_Manager_Spawn.cpp:
        * examples/APG/Processes/Process_Mutex.cpp:
        * examples/APG/Processes/Spawn.cpp:
        * examples/APG/Reactor/HAStatus.cpp:
        * examples/APG/Reactor/HAStatus-AC.cpp:
        * examples/APG/Shared_Memory/Hash_Map.cpp:
        * examples/APG/Shared_Memory/Malloc.cpp:
        * examples/APG/Shared_Memory/PI_Malloc.cpp:
        * examples/APG/Shared_Memory/Pool_Growth.cpp:
        * examples/APG/Timers/Alarm.cpp:
        * examples/APG/Timers/Task.cpp:
        * examples/APG/Timers/Upcall.cpp: Added missing includes
          for "ace/OS_NS_*.h".

        * examples/APG/Reactor/Client.h:
        * examples/APG/Reactor/ClientService.h" Add #include
          "ace/Synch_Traits.h", "ace/Null_Condition.h", and "ace/Null_Mutex.h"
          for Visual Age C++ to see when compiling templates.

        * ACEXML/Makefile:
        * examples/APG/Svc_Config/Makefile:
        * examples/APG/Timers/Makefile: Move the rm tempinc up to before
          the sub-make runs to avoid whacking it while a subsequent sub-make
          is running.

        * examples/APG/Svc_Config/Makefile.dynamic: Add LIBS += $(ACELIB)

        * tests/Makefile: Add .NOTPARALLEL for Visual Age C++ to avoid
          squashing tempinc randomly, resulting in missing templates.

        * tests/Makefile.tests: Moved the DIRS_PARALLEL setting down to after
          wrapper_macros.GNU is included and only set it for non-Visual Age C++
          builds. The tempinc directory getting mashed in parallel builds
          makes mysterious build errors happen on AIX, Visual Age C++.

Wed Jan  7 16:33:14 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * ace/config-tandem-nsk-mips-v2.h:

          Added the config files provided by Gary Maxey <gay.maxey@hp.com>
          for Tandem NSK.

Wed Jan  7 15:55:41 2004  Steve Huston  <shuston@riverace.com>

        * ace/OS_NS_netdb.inl (getipnodebyaddr, getipnodebyname, ): Make
          ACE_WIN32 go through the IPv4-only case. Since Windows IPv6
	  implementation (at this time) doesn't offer
	  getipnodebyname() we make the code to pass through IPV4 portion
	  even if ACE_HAS_IPV6 is enabled.

        * ace/OS_NS_arpa_inet.inl (inet_ntop, inet_pton): Make these run
          through the IPv4-only section on Win32 as well. These may be doable
          on Windows using the getnameinfo() function, but it's not clear.
          Needs some research and checking (and improvement of the docs for)
          what the args for ACE_OS::inet_ntop() and inet_pton() are.

Wed Jan  7 13:09:27 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * ace/OS_NS_Thread.inl:
        * ace/OS_NS_Thread.h:

          The following  checkin "Mon Jan  5 11:02:55 2004  Douglas
          C. Schmidt  <schmidt@ace.cs.wustl.edu>" actually broke
          ACE_Auto_Event. The idea behind the said checkin was to do a
          check whether a proper event occured during event_wait (),
          insted of a spurious wakeup call. This was achieved by checking
          the value of <is_signaled_>. This works great for manual
          events. For auto events, we don't set the variable value if we
          have waiting threads. This makes the threads calling
          Auto_Event.wait () to wait for ever.

          We now have another special boolean variable added to
          ACE_event_t class which keeps track whether an auto event was
          signalled during the signal () call. Thanks to Dr. Schmidt for
          giving this idea. We need to revisit this later after x.4 and
          use inheritance and polymorphism to encapsulate these behvioral
          differences. Doing now could break backward compatibility.

Wed Jan  7 13:03:06 2004  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/modules/ProjectCreator.pm:

          Added an informational message when a project will be skipped when
          a required feature is disabled or an avoided feature is enabled.

Wed Jan  7 18:37:13 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Makefile.bor:
          Added special rule to install the os_include directory and its
          subdirectories. Thanks to Chris Kohlhoff for coming up with the
          solution and to Cyrille Chépélov <cyrille@softek.fr> for reporting
          this. This fixes [BUGID 1669].

Wed Jan  7 12:13:12 2004  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/config/orbsvcs_output.mpb:
        * bin/MakeProjectCreator/config/orbsvcsexe.mpb:
        * bin/MakeProjectCreator/config/tao_output.mpb:
        * bin/MakeProjectCreator/config/taodefaults.mpb:
        * bin/MakeProjectCreator/config/taoexe.mpb:
        * bin/MakeProjectCreator/config/taolib.mpb:

          Factored staticflags, includes and libpaths common to TAO based
          projects into a taodefaults base project and modified other base
          projects in accordance.

        * bin/MakeProjectCreator/config/orbsvcslib.mpb:
        * bin/MakeProjectCreator/config/taoidldefaults.mpb:
        * bin/MakeProjectCreator/config/taolib_with_idl.mpb:

          Factored common idlflags and after settings into a taoidldefaults
          base project and modified other base projects in accordance.

Wed Jan  7 17:50:13 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * apps/gperf/tests/c++-res.exp:
        * apps/gperf/tests/c++.gperf:
        * apps/gperf/tests/cpp-res.exp:
        * apps/gperf/tests/cpp.gperf:
          Removed the c++ files and added them with cpp again. The BCB makefile
          environment can't handle files with a + in the name. Because we are
          using MPC this test is now also build with Borland.

        * apps/gperf/tests/Makefile:
        * apps/gperf/tests/Makefile.am:
        * apps/gperf/tests/tests.mpc:
          Updated these files to reflect the change above.

Wed Jan  7 10:34:29 2004  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/USAGE:
        * bin/MakeProjectCreator/modules/Creator.pm:
        * bin/MakeProjectCreator/modules/Driver.pm:
        * bin/MakeProjectCreator/modules/Options.pm:
        * bin/MakeProjectCreator/modules/ProjectCreator.pm:
        * bin/MakeProjectCreator/modules/WorkspaceCreator.pm:

          Added an option that causes MPC to apply the name modifier
          (specified by the -name_modifier option) to project names in
          addition to workspace and project file names.

Wed Jan  7 14:04:11 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/MakeProjectCreator/templates/bor.mpd:
          Corrected the check whether we need to generate LIBFILES or not.

Wed Jan  7 13:10:01 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/MakeProjectCreator/templates/bor.mpd:
          Generate the -j option again, thanks for Chris Kohlhoff for pointing
          out the need for it. If there are no staticflags or dynamicflags, just
          generate nothing instead of an empty line. Don't generate the
          INCLUDES anymore because we generate an explicit install target.
          Fixed the install target to handle existing directories and generate
          it at the end of the file.

Wed Jan  7 13:03:49 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Unbounded_Set_Ex.h:
          Added #include of ace/os_include/os_stddef.h to get size_t. This
          fixed compile errors in the Cygwin build

Wed Jan  7 12:57:13 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * performance-tests/UDP/UDP.mpc:
          When usign gnuace generate LDLIBS += $(MATHLIB) at the place of
          the local marker. This test uses sqrt and some Unix versions
          then need to link their mathlib.

Wed Jan  7 06:24:54 2004  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/modules/GNUACEProjectCreator.pm:

          Fixed a bug where $() variables used within Source_Files would
          cause an incorrect VPATH to be created in the generated Makefile.
          Also, removed an unused code block.

        * bin/MakeProjectCreator/modules/StringProcessor.pm:

          Reimplemented the create_array() method to fix a bug with escaped
          double and single quotes and to improve performance.

        * bin/MakeProjectCreator/modules/Driver.pm:
        * bin/MakeProjectCreator/modules/Version.pm:

          Moved the MPC version number out of Driver.pm and into a new
          Version module.

        * bin/MakeProjectCreator/modules/Creator.pm:
        * bin/MakeProjectCreator/modules/Parser.pm:
        * bin/MakeProjectCreator/modules/ProjectCreator.pm:
        * bin/MakeProjectCreator/modules/WorkspaceCreator.pm:
        * bin/MakeProjectCreator/templates/em3vcpdllexe.mpt:
        * bin/MakeProjectCreator/templates/em3vcplibexe.mpt:

          Performance related changes.

Tue Jan  6 17:50:31 2004  Steve Huston  <shuston@riverace.com>

        * ace/TLI.cpp (get_option, set_option): For the XPG5 case, use
          a auto_ptr<char> to hold the allocated buff pointer, even though
          it's a void*, to compile correctly. Need to cast this to make
          it work.

        * include/makeinclude/platform_aix_g++.GNU: Change -ltli_r to -lxti
          to use XTI instead of TLI. Also see:
          Mon Dec 29 17:09:29 2003  Steve Huston  <shuston@riverace.com>
          Removed the versioned_so=0 default - with versioned_so=0, the rule
          for making VLIB gets overridden by the one for VSHLIB: shr.o. Not
          sure how to remedy this, but by making a versioned_so, it's at
          least building it normally.

        * include/makeinclude/platform_g++_common.GNU: Made with_ld=aix not
          try to set any versioned_so linker options. The default doesn't work,
          and as long as we're linking to archives that contain shr.o, this
          is probably fine. If we ever get rtl mode working, this probably
          needs to be revisited.

Tue Jan  6 14:00:12 2004  Steve Huston  <shuston@riverace.com>

        * examples/APG/Logging/Trace.h:
        * examples/APG/Logging/Wrap_Macros.cpp:
        * examples/APG/Logging/Trace_Return.cpp: The funky __VA_ARGS__ trick
          works only on g++ 2.96 and later.

        * examples/APG/Makefile: Re-enabled the Logging directory - with the
          fixes above, this should work everywhere now.

        * examples/Misc/test_read_buffer.cpp: Added #include
          "ace/OS_NS_unistd.h" to get ACE_OS::write().

        * examples/performance-tests/SCTP/Options_Manager.cpp: Added #include
          "ace/OS_NS_stdlib.h" to get ACE_OS::atoi().

Tue Jan  6 13:34:29 2004  Steve Huston  <shuston@riverace.com>

        * examples/APG/ThreadSafety/Atomic_Op.cpp:
        * examples/APG/ThreadSafety/RW_Lock.cpp:
        * examples/APG/ThreadSafety/TSS.cpp: Added missing template
          instantiations. Corrected #pragma instantiate directives.

Mon Jan  5 17:51:36 2004  Steve Huston  <shuston@riverace.com>

        * ace/Condition_T.cpp: Added #include "ace/OS_NS_Threads.h" to get
          ACE_cond_t, and a forward ref for ACE_Time_Value, both so Visual
          Age C++ can see these when instantiating templates.

        * ace/Condition_T.cpp: Added #include "ace/Log_Msg.h" to pick up
          ACE_ERROR, LM_ERROR, etc.

        * ace/Timer_Queue_Adapters.cpp: Added #include "ace/OS_NS_sys_time.h"
          to see ACE_OS::gettimeofday().

        * ace/Svc_Handler.cpp:
        * examples/Timer_Queue/Async_Timer_Queue_Test.cpp:
        * examples/Timer_Queue/Reactor_Timer_Queue_Test.cpp:
        * examples/Timer_Queue/Thread_Timer_Queue_Test.cpp: Add #include
          "ace/OS_NS_sys_time.h" so Visual Age C++ can see
          ACE_OS::gettimeofday().

        * examples/APG/Active_Objects/AO.cpp:
        * examples/APG/Active_Objects/AO2.cpp:
        * performance-tests/Misc/childbirth_time.cpp: Added #include
          "ace/OS_NS_unistd.h" to see ACE_OS::sleep().

        * examples/APG/Containers/DLList.cpp:
        * examples/APG/Containers/Stacks.cpp:
        * examples/APG/Containers/Queues.cpp:
        * examples/APG/Containers/Array.cpp:
        * examples/APG/Containers/Sets.cpp: Added #include "ace/OS_Memory.h"
          to see ACE_NEW[_RETURN].

        * examples/APG/Streams/Answerer.cpp:
        * examples/APG/ThreadPools/Futures.cpp:
        * examples/APG/ThreadPools/LF_ThreadPool.cpp:
        * examples/APG/ThreadPools/ThreadPool.cpp:
        * examples/APG/ThreadPools/TP_Reactor.cpp:
        * examples/APG/ThreadSafety/Semaphore.cpp:
        * examples/Threads/future1.cpp:
        * examples/Threads/future2.cpp: Added #include
          "ace/OS_NS_string.h" to get ACE_OS::strlen(), et al.

        * examples/Timer_Queue/Driver.cpp: Added missing #includes to make
          Visual C++ happy.

        * examples/ASX/Event_Server/Event_Server/Consumer_Router.cpp:
        * examples/ASX/Event_Server/Event_Server/Supplier_Router.cpp:
          Add #include "ace/OS_NS_string.h" so Visual Age C++ can see
          ACE_OS::strdup().

        * examples/Connection/non_blocking/CPP-acceptor.cpp: Add #include
          "ace/OS_NS_unistd.h" to get ACE_OS::write().

        * examples/Connection/non_blocking/CPP-connector.cpp: Add #include
          "ace/OS_NS_stdio.h" so Visual Age C++ can see ACE_OS::rewind(); add
          #include "ace/OS_NS_unistd.h" to get ACE_OS::read().

        * examples/Misc/test_read_buffer.cpp: Add #include "ace/OS_NS_fcntl.h"
          so Visual Age C++ can see ACE_OS::open().

        * examples/Shared_Malloc/test_malloc.cpp: Add #include
          "ace/OS_NS_stdio.h" to see ACE_OS::sprintf() and "ace/OS_NS_string.h"
          to see ACE_OS::memset().

        * examples/Shared_Malloc/Options.cpp: Add #include "ace/OS_NS_stdlib.h"
          so Visual Age C++ can see ACE_OS::atoi() and exit().

        * examples/Shared_Malloc/test_multiple_mallocs.cpp:
        * examples/Shared_Malloc/test_persistence.cpp:
        * performance-tests/TCP/tcp_test.cpp: Add #include
          "ace/OS_NS_string.h" to pick up a bunch of ACE_OS string members.

        * examples/Threads/auto_event.cpp:
        * examples/Threads/barrier2.cpp:
        * examples/Threads/manual_event.cpp:
        * examples/Threads/process_manager.cpp:
        * examples/Threads/task_three.cpp:
        * examples/Threads/task_four.cpp:
        * examples/Threads/thread_manager.cpp:
        * examples/Threads/thread_pool.cpp: Added #include
          "ace/OS_NS_unistd.h" to get sleep(), write().

        * examples/Threads/reader_writer.cpp: Added #include "ace/Guard_T.h"
          and "ace/RW_Mutex.h" so Visual Age C++ can see these classes.

        * examples/Threads/recursive_mutex.cpp: Added #include "ace/Guard_T.h"
          and "ace/Recursive_Thread_Mutex.h" so Visual Age C++ can see these
          classes.

        * examples/Threads/thread_specific.{h cpp}: Added #include
          "ace/Guard_T.h", "ace/OS_NS_stdio.h", "ace/OS_NS_string.h", and
          "ace/OS_NS_unistd.h" to satisfy Visual Age C++.

        * performance-tests/Misc/context_switch_time.cpp: Added #include
          "ace/OS_NS_stdio.h" to get ACE_OS::perror().

        * performance-tests/Misc/test_singleton.cpp: Added #include
          "ace/Guard_T.h" to get ACE_Guard stuff.

        * performance-tests/Misc/test_naming.cpp: Added #include "ace/ACE.h"
          to get ACE::basename().

        * performance-tests/SCTP/Options_Manager.h" Added #include
          "ace/streams.h" to portably get ostream.

        * tests/Message_Queue_Notifications_Test.cpp:
        * tests/Process_Strategy_Test.cpp:
        * tests/Svc_Handler_Test.cpp: Added #include "ace/Synch_Traits.h",
          "ace/Null_Condition.h", and "ace/Null_Mutex.h" so Visual Age C++
          can see the stuff needed for ACE_NULL_SYNCH.

        * tests/Thread_Pool_Test.cpp: Add #include "ace/OS_NS_string.h" so
          Visual Age C++ can see ACE_OS::strlen().

        * tests/Naming_Test.cpp: Add #include "ace/ACE.h" so Visual Age C++
          can see ACE::basename().

Mon Jan  5 16:34:18 2004  Steve Huston  <shuston@riverace.com>

        Incorporated these fixes from Riverace's ACE 5.3:
        Thu Dec 18 11:07:22 2003  Steve Huston  <shuston@riverace.com>

        * ace/ace_wchar.inl: When converting narrow<->wide on Windows, use
          the current ANSI code page for narrow chars, not CP_OEMCP. This
          allows 8-bit narrow characters to be converted correctly.

        Wed Dec 10 14:22:16 2003  Steve Huston  <shuston@riverace.com>

        * tests/OS_Test.cpp: Added a test for wide/narrow character string
          conversions.

Mon Jan  5 14:09:34 2004  Douglas C. Schmidt  <schmidt@ace.cs.wustl.edu>

        * ace/Log_Msg.cpp (log):
        * ace/OS_NS_Thread.cpp (to_string): Tandem NSK uses a struct for
          pthread_t.   Need changes to existing preprocessor #ifs in
          Log_Msg.cpp and OS_NS_Thread.cpp to handle this so they now
          read

          #  elif defined (ACE_MVS) || defined (ACE_TANDEM_T1248_PTHREADS)

          Thanks to Gary Maxey for this fix, which fixes bugid 1704.

        * ace/Handle_Set.cpp: The order of bits in the elements of the
          fd_set structure for the Tandem NSK platform is left-to-right rather
          than right-to-left like most other platforms except pSoS.  Therefore
          added

          #  if defined (ACE_PSOS) || defined (ACE_TANDEM_NSK_BIT_ORDER)

          to handle this situation.  Thanks to Gary Maxey <gary.maxey@hp.com>
          for reporting this and providing the fix.  This fixes bugid 1703.

Mon Jan  5 12:43:01 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * ace/Name_Proxy.cpp:
        * ace/Time_Request_Reply.cpp:

          #included "ace/os_include/arpa/os_inet.h" to fix [BUG
          1701]. Thanks to Garey Maxey <gary.maxey@hp.com> for reporting
          the problem.

Mon Jan  5 12:30:56 2004  Don Hinton <dhinton@ieee.org>

        * include/makeinclude/rules.lib.GNU:

          Fixed a bug report that caused the generated cpp files to be
          added to the archive. Thanks to Werner Buchart <w.buchert@medat.de>
          for reporting the problem.

Mon Jan  5 10:47:51 2004  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/templates/cbx.mpd:
        * bin/MakeProjectCreator/templates/em3vcp.mpd:
        * bin/MakeProjectCreator/templates/nmake.mpd:
        * bin/MakeProjectCreator/templates/vc6dsp.mpd:
        * bin/MakeProjectCreator/templates/vc7.mpd:

          Removed the .\ that preceded file names to allow users to put
          absolute paths in MPC files (which isn't recommended for
          portability reasons).

Mon Jan  5 11:02:55 2004  Douglas C. Schmidt  <schmidt@ace.cs.wustl.edu>

        * ace/OS_NS_Thread.inl: Fixed ACE_OS::event_timedwait() and
          ACE_OS::event_wait() so that they use a while loop around the
          ACE_OS::cond_[timed]wait() calls to avoid problems with spurious
          wakeups, etc.  Thanks to John Bossom <John.Bossom@Cognos.COM>
          for motivating this fix.

Sun Jan  4 20:40:41 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * */Makefile*:

          Release is fast approaching. Updates to the Makefile
          dependencies.

Sun Jan  4 15:12:14 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * apps/JAWS3/jaws3/Asynch_IO.cpp:
        * apps/JAWS3/jaws3/Concurrency.cpp:
        * apps/JAWS3/jaws3/Config_File.cpp:
        * apps/JAWS3/jaws3/Datagram.cpp:
        * apps/JAWS3/jaws3/Event_Completer.cpp:
        * apps/JAWS3/jaws3/Event_Dispatcher.cpp:
        * apps/JAWS3/jaws3/FILE.cpp:
        * apps/JAWS3/jaws3/IO.cpp:
        * apps/JAWS3/jaws3/Makefile:
        * apps/JAWS3/jaws3/Options.cpp:
        * apps/JAWS3/jaws3/Protocol_Handler.cpp:
        * apps/JAWS3/jaws3/Reactive_IO.cpp:
        * apps/JAWS3/jaws3/Signal_Task.cpp:
        * apps/JAWS3/jaws3/Symbol_Table.cpp:
        * apps/JAWS3/jaws3/Synch_IO.cpp:
        * apps/JAWS3/jaws3/THYBRID_Concurrency.cpp:
        * apps/JAWS3/jaws3/TPOOL_Concurrency.cpp:
        * apps/JAWS3/jaws3/TPR_Concurrency.cpp:
        * apps/JAWS3/jaws3/Task_Timer.cpp:
        * apps/JAWS3/jaws3/Templates.cpp:
        * apps/JAWS3/jaws3/Timer.cpp:
        * apps/JAWS3/jaws3/Timer_Helpers.cpp:

          Fixed warnings in g++ due to redefinitions.

Sun Jan  4 09:56:04 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * examples/APG/Makefile:

          Removed the Logging example from the builds. The macro
          definitions seem to pain a few compilers.

Sun Jan  4 11:59:46 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/MakeProjectCreator/templates/bor.mpd:
          There is no need to pass the libpaths with the -j commandline option
          to the linker, the -L flags is only needed. The -j flag specifies
          where the object files are located, the -L flag the location of the
          lib files.

Sun Jan  4 10:30:06 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/APG/Makefile:
          Fixed directory name

Sun Jan  4 10:18:32 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * apps/JAWS3/jaws3/jaws3.mpc:
          Set correct dynamicflags. Instead of using ../ as includes, use ..
          Borland has problems with ../ and in other places we also use ..

Sun Jan  4 08:59:43 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/APG/ThreadPools/Futures.cpp:
        * examples/APG/ThreadPools/ThreadPool.cpp:
          Changed return type of thread_id functions from int to ACE_thread_t

        * examples/APG/Signals/SigInfo.cpp:
          Cygwin doesn't have unix signals, so added #ifdef for the main to
          output an debug message that this example is not supported on this
          platform when no unix signals are available.

        * examples/APG/Proactor/HA_Proactive_Status.{h,cpp}:
          With Cygwin we don't have aio, so added here also a main that
          outputs not supported when this is not available.

Sun Jan  4 08:28:13 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/APG/Reactor/Timer_Cancel.cpp:
          Fixed unused variable warning

Sun Jan  4 08:19:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/APG/Containers/containers.mpc:
          Prefixed the project name Map Manager with the '*' operator to
          avoid project name conflicts. Added Id tag

Sat Jan  3 23:45:38 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * examples/APG/Makefile:

          Some tests/examples do need threads and synchronization. Instead
          of doing tricks and confusing the reader, let us be good on them
          and prevent compilation in single threaded builds.

Sat Jan  3 23:12:58 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * examples/Makefile:

          Added APG directory back in.

Sat Jan  3 23:10:35 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * examples/APG/Proactor/HA_Proactive_Status.cpp:
        * examples/APG/Processes/Spawn.cpp:
        * examples/APG/Shared_Memory/Hash_Map.cpp:
        * examples/APG/Signals/SigInfo.cpp:
        * examples/APG/ThreadManagement/State.cpp:
        * examples/APG/Threads/Activate.cpp:
        * examples/APG/Timers/Alarm.cpp:
        * examples/APG/Timers/CB.cpp:
        * examples/APG/Timers/PCB.cpp:
        * examples/APG/Timers/Task.cpp:

          Fixed more unused variable warnings and #included files that
          were needed to compile on SuSE.

Sat Jan  3 19:31:59 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * examples/APG/Reactor/Timer_State_Data.cpp:
        * examples/APG/Streams/Answerer.cpp:
        * examples/APG/Streams/Util.h:
        * examples/APG/ThreadManagement/Priorities.cpp:
        * examples/APG/ThreadSafety/Mutex.cpp:

          Fixed more unused variable warnings.

Sat Jan  3 17:26:39 2004  Steve Huston  <shuston@riverace.com>

        * examples/APG/Naming/Temperature_Monitor2.cpp:
        * examples/APG/Shared_Memory/Mem_Map.cpp:
        * examples/APG/Streams/RecordingDevice_Text.cpp:
        * examples/APG/Timers/Task.cpp:
        * examples/APG/Timers/Timers.cpp: Fixed unused/uninitialized warnings.

        * examples/APG/Timers/Upcall.{h cpp}: Changed to match new
          timer queue upcall handler API for ACE 5.4.

        * examples/APG/ThreadSafety/Barrier.cpp: Get a random sleep time
          using ACE_OS::rand() instead of the thread ID. Thread ID is not
          an integral type on some platforms.

Sat Jan  3 14:08:13 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * bin/tao_other_tests.lst:

          Added the ior_corbaloc test to be run in the daily builds.

Sat Jan  3 11:02:32 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * examples/Makefile:

          Removed ASG for the timebeing from the daily builds. I want to
          seperate the chaff from wheat and the noise form this is making
          things hard. Will let Steve know about this.

Sat Jan  3 16:14:13 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/MakeProjectCreator/templates/bor.mpd:
          Removed the usage of IDL_DIR. There where problems when generating
          Borland makefiles for projects where the idl file is in a different
          directory than the project file. In that case the IDL_DIR should
          not be . but the directory where the idl files are. Because this is
          a hard thing to do, just removed IDL_DIR and take the path of the
          IDL file that is in the MPC file. This way Borland works just like the
          other environments and this way we can also handle IDL files in
          other directories.

Sat Jan  3 13:11:13 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        Added needed includes to compile the APG examples using the Borland
        compiler.

        * examples/APG/Config/ARGV_Example.cpp:
        * examples/APG/Config/Get_Opt.cpp:
        * examples/APG/Config/Get_Opt_Long.cpp:
          Added #include "ace/OS_NS_string.h" to get ACE_OS::strcmp and
          ACE_OS::strncmp.

        * examples/APG/Naming/Naming_Context.h:
        * examples/APG/Processes/Spawn.cpp:
        * examples/APG/Shared_Memory/Malloc.cpp
          Added #include "ace/OS_NS_stdio.h" to get ACE_OS::sprintf.

        * examples/APG/Signals/SigAction.cpp:
        * examples/APG/Signals/SigGuard.cpp:
        * examples/APG/Signals/SigHandler.cpp:
        * examples/APG/Signals/SigHandlers.cpp:
        * examples/APG/ThreadManagement/Coop_Cancel.cpp:
        * examples/APG/ThreadManagement/Signals.cpp:
        * examples/APG/ThreadManagement/Signals2.cpp:
        * examples/APG/Threads/Activate.cpp:
          Added #include "ace/OS_NS_unistd.h" to get ACE_OS::sleep and
          ACE_OS::getpid.

        * examples/APG/Sockets/Basic_Robust.cpp:
        * examples/APG/Sockets/Server.cpp:
          Added #include "ace/OS_NS_errno.h" to get ACE_OS::lasterrror.

Fri Jan  2 18:07:31 2004  Steve Huston  <shuston@riverace.com>

        * examples/APG/Active_Objects/AO.cpp:
        * examples/APG/Active_Objects/AO2.cpp:
        * examples/APG/Containers/Stacks.cpp:
        * examples/APG/Containers/Queues.cpp:
        * examples/APG/Containers/Array.cpp:
        * examples/APG/Containers/Sets.cpp:
        * examples/APG/Containers/Hash_Map_Hash.cpp:
        * examples/APG/Containers/Allocator.cpp:
        * examples/APG/Proactor/HA_Proactive_Status.cpp:
        * examples/APG/Reactor/Client.cpp:
        * examples/APG/Shared_Memory/Hash_Map.cpp:
        * examples/APG/Shared_Memory/Pool_Growth.cpp:
        * examples/APG/Threads/Condition_Variables.cpp:
        * examples/APG/Threads/Message_Queue.cpp:
        * examples/APG/ThreadManagement/Start_Hook.cpp:
        * examples/APG/ThreadPools/Futures.cpp:
        * examples/APG/ThreadPools/LF_ThreadPool.cpp:
        * examples/APG/ThreadPools/ThreadPool.cpp: Added missing template
          instantiations. Corrected #pragma instantiate directives.

        * examples/APG/Config/ARGV_Example.cpp:
        * examples/APG/Reactor/HAStatus.cpp:
        * examples/APG/Reactor/HAStatus-AC.cpp: Added #include
          "ace/os_include/os_netdb.h" to get MAXHOSTNAMELEN.

        * examples/APG/Naming/Graphable_Element.h: Corrected include for
          list<> to be <list>, not "list".

        * examples/APG/Naming/Graphable_Element.cpp: Removed this file. It
          only had template instantiations in it, for list<> and friends.
          We're not even going to try this with explicit instantiation.

        * examples/APG/Shared_Memory/Record.h: Changed #include "ace/OS.h"
          to "ace/OS_NS_string.h".

        * examples/APG/Signals/SigAction.cpp: Account for platforms that
          require the signal handler to be extern "C".

        * examples/APG/Makefile: Only build the Naming directory if using
          implicit template instantiation. See above for rationale.

Fri Jan  2 13:00:20 2004  Chad Elliott  <elliott_c@ociweb.com>

        * examples/APG/Sockets/sockets.mpc:

          Prefixed the project name with the '*' operator to avoid project
          name conflicts.

Fri Jan  2 08:56:04 2004  Chad Elliott  <elliott_c@ociweb.com>

        * examples/APG/Config/config.mpc:
        * examples/APG/Containers/containers.mpc:
        * examples/APG/Reactor/reactor.mpc:
        * examples/APG/Shared_Memory/shared_memory.mpc:
        * examples/APG/Svc_Config/svc_config.mpc:

          Changed instances of dllflags to dynamicflags and added the '*'
          operator to some of the project names to remove duplicates.

Fri Jan 02 08:08:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/MakeProjectCreator/templates/bor.mpd:
          Also overrule PASCALDIR and UNICODEDIR

Thu Jan 01 20:25:22 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tests/TSS_Static_Test.dsp:

          A new project file for TSS_Static_Test.

        * tests/tests.dsw:

          Added the new dsp file into the project.

Thu Jan  1 17:56:31 2004  Steve Huston  <shuston@riverace.com>

        * ace/OS_NS_sys_socket.inl (closesocket): On HP-UX, use
          shutdown() rather than close() to close a socket. shutdown()
          will abort an in-progress operation in another thread, while
          close() won't. This fixes the hang in the
          MT_Reference_Counted_Event_Handler_Test and will make the Proactor
          stuff more easy to work with as well.

        * ace/Time_Value.h: Don't include <time.h> (or <sys/time.h>) directly;
          use ace/os_include/sys/os_time.h to get what's needed. This
          prevents HP-UX from pulling in <time.h> before <sys/time.h> and
          picking up the wrong declaration for select(). Fixes gcc builds.

        * ace/Name_Space.h: Replace forward declarations of ACE_Unbounded_Set
          with #include "ace/Unbounded_Set.h". Needed to generate template
          specializations.

        * examples/APG/Logging/Callback-2.h:
        * examples/APG/Logging/LogManager.h:
        * examples/APG/Naming/Thermometer.h:
        * examples/APG/Naming/Temperature_Monitor.cpp:
        * examples/APG/Naming/Temperature_Monitor2.cpp:
        * examples/APG/Proactor/HA_Proactive_Status.h:
        * examples/APG/Processes/Process_Manager_Death.cpp:
        * examples/APG/Reactor/HAStatus.cpp:
        * examples/APG/Reactor/Reschedule.cpp:
        * examples/APG/Reactor/Schedule_Timers.cpp:
        * examples/APG/Reactor/Timer_Cancel.cpp:
        * examples/APG/Reactor/Timer_State_Data.cpp:
        * examples/APG/Shared_Memory/Malloc.cpp:
        * examples/APG/Shared_Memory/PI_Malloc.cpp:
        * examples/APG/Signals/SigInfo.cpp:
        * examples/APG/Streams/RecordingDevice.h:
        * examples/APG/ThreadManagement/Coop_Cancel.cpp:
        * examples/APG/ThreadPools/Futures.cpp:
        * examples/APG/ThreadPools/Task_ThreadPool.cpp:
        * examples/APG/ThreadPools/ThreadPool.cpp:
        * examples/APG/ThreadSafety/Barrier.cpp:
          Added #includes for "ace/OS_NS_*.h" as needed to convert from
          5.3 OS.h usage to refactored OS_NS_*.h headers. Added missing
          header includes that worked by accident in ACE 5.3.

        * examples/APG/Timers/Upcall.h: Added registration () method that
          is now required for a timer queue upcall functor class. This is
          also new at ACE 5.4.

Thu Jan  1 16:23:17 2004  Steve Huston  <shuston@riverace.com>

        * bin/make_release: Add VC6 to files that generate_makefiles() makes.

Thu Jan  1 15:20:30 2004  Steve Huston  <shuston@riverace.com>

        * examples/Makefile:
        * examples/APG: Added all examples from "The ACE Programmer's Guide".

Thu Jan  1 20:28:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * include/makeinclude/outputdir.bor:
          Object files are always placed in subdirectories dependent on the
          configuration

Thu Jan  1 17:59:32 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/OS_NS_Thread.h:
          Removed not needed doxygen close group tag

Thu Jan  1 17:23:44 UTC 2004  Don Hinton  <dhinton@dresystems.com>

        * include/makeinclude/rules.local.GNU:
          Added CLEANUP_BIN to the list of objects cleaned up during a
          clean, since they aren't always added to SRC.  They get cleaned
          when you do a realclean since it removes the .obj directory, but
          this allows you to use clean correctly too.

        * include/makeinclude/wrapper_macros.GNU:
          Make sure that all appropriate variables are added to the
          cleanup targets, e.g., we used to test for LIB, then LIB2, then
          LIB_UNCHECKED in that order, but quit testing once we found
          one.  Now, we test them all and add them.  This fixes a bug with
          realclean discovered because MPC defines LIB in terms of
          LIB_UNCHECKED, then sets LIB= if sufficient components weren't
          built, but only after we already set CLEANUP_LIB=$LIB.  Which
          meant we ended up not cleaning anything.  Thanks to Bala for
          noticing the problem and motivating the fix.

Thu Jan  1 16:00:11 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ASNMP/asnmp/asn1.cpp:
          Removed not needed ;. This is the last fix for bugzilla [BUGID 1677]

Thu Jan  1 09:51:05 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * bin/tao_orb_tests.lst:

          Added smart proxies test to the daily builds.

Thu Jan  1 00:35:21 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * performance-tests/Synch-Benchmarks/Perf_Test/Performance_Test_Options.cpp:

          Fixed a warning in Solaris 8 builds.

Thu Jan  1 00:00:00 2004  Douglas C. Schmidt  <schmidt@dre.vanderbilt.edu>

        * Happy New Year!  Let's hope that 2004 is a safe and prosperous
          year for everyone.

Wed Dec 31 21:57:08 2003  Kobi Cohen-Arazi  <kcarazi@finjan.com>

        * ace/Base_Thread_Adapter.h:
        * ace/Base_Thread_Adapter.inl:
        * ace/Base_Thread_Adapter.cpp:

          Added #include "os_include/sys/os_time.h" and
          data member itimerval itimer_ wrapped with ACE_USES_GPROF.

          This data member will hold the thread profiling timer.
          Added Accessor function to itimer_ data member.
          (ACE_Base_Thread_Adapter) Constructor calls getitimer.
          (ace_thread_adapter) Calls setitimer.
          Both are wrapped with ACE_USES_GPROF

        * ace/README:
          Added Useful information about ACE_USES_GPROF macro.
          That macro enable profiling with gprof in a multithreaded
          application.

Wed Dec 31 13:13:11 2003  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/modules/Creator.pm:
        * bin/MakeProjectCreator/modules/Driver.pm:
        * bin/MakeProjectCreator/modules/ProjectCreator.pm:
        * bin/MakeProjectCreator/modules/WorkspaceCreator.pm:

          Optimized the implementation of the -exclude option to correctly
          avoid searching for files located in excluded directories.

Wed Dec 31 07:13:25 2003  Chad Elliott  <elliott_c@ociweb.com>

        * ace/TMCast/MTQueue.hpp:

          Added #include for ace/os_include/sys/os_types.h to get the
          definition of size_t and changed references to std::size_t to
          size_t.

        * ace/config-win32-msvc.h:

          Added a #pragma waring to disable warning #4800 which is a
          conversion of integer to boolean warning.

Wed Dec 31 06:46:36 2003  Chad Elliott  <elliott_c@ociweb.com>

        * apps/JAWS3/jaws3.mwc:

          Removed this file.  It is not necessary for two reasons.  1) The
          jaws3 project will be part of the "apps" workspace.  2) If a
          workspace with just jaws3 is desired, one could run mwc.pl in the
          apps/JAWS3 directory to obtain the same results as the removed
          mwc file.

Wed Dec 31 12:30:11 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/Export/dll.h:
          Removed not needed ; to fix Tru64 warning

Tue Dec 30 18:14:39 2003  Steve Huston  <shuston@riverace.com>

        * ace/OS_TLI.inl (t_alloc): For XPG5, the t_alloc() return type
          changed from char* to void*, so using ACE_OSCALL_RETURN doesn't
          work. Use ACE_OSCALL to control the type and return more closely.

        * ace/Timer_List_T.cpp: Add #include "ace/Guard_T.h to get ACE_Guard.

        * apps/Gateway/Gateway/Gateway.cpp: Added #include "ace/OS_NS_stdio.h"
          so Visual Age C++ can see ACE_OS::sprintf().

        * apps/Gateway/Gateway/gatewayd.cpp: Add #include "ace/OS_NS_unistd.h"
          so Visual Age C++ can see ACE_OS::access().

        * apps/Gateway/Peer/Options.cpp: Added #include "ace/OS_NS_stdlib.h"
          so Visual Age C++ can see ACE_OS::exit(), getenv(), and atoi().
          Added #include "ace/OS_Memory.h" to get ACE_NEW_RETURN.

        * apps/Gateway/Peer/Peer.cpp: Added #include "ace/OS_NS_stdio.h"
          so Visual Age C++ can see ACE_OS::sprintf() and rewind(). Added
          "ace/OS_NS_string.h" to get ACE_OS::strdup().

        * apps/Gateway/Peer/Peer.h: Added #include "ace/Null_Condition.h"
          and "ace/Null_Mutex.h" to see the classes invoked via NULL_SYNCH
          used in the ACE_Svc_Handler template invocation.

        * apps/drwho/Options.cpp: Added #include "ace/OS_NS_stdlib.h"
          so Visual Age C++ can see ACE_OS::exit(), and atoi().

        * apps/drwho/File_Manager.cpp: Added #include "ace/OS_NS_stdio.h"
          so Visual Age C++ can see ACE_OS::tempnam().

        * apps/gperf/src/Options.cpp: Added #include "ace/OS_NS_stdlib.h"
          so Visual Age C++ can see ACE_OS::atoi().

        * examples/ASX/CCM_App/SC_Server.cpp: Add #include "ace/OS_NS_unistd.h"
          so Visual Age C++ can see ACE_OS::read().

        * examples/ASX/Event_Server/Event_Server/Consumer_Router.cpp:
        * examples/ASX/Event_Server/Event_Server/Supplier_Router.cpp:
          Add #include "ace/OS_NS_stdio.h" so Visual Age C++ can see
          ACE_OS::sprintf().

        * examples/ASX/Event_Server/Event_Server/Event_Analyzer.cpp:
          Add #include "ace/OS_NS_string.h" so Visual Age C++ can see
          ACE_OS::strdup().

        * examples/ASX/Event_Server/Transceiver/transceiver.cpp:
          Add #include "ace/OS_NS_string.h" so Visual Age C++ can see
          ACE_OS::strcmp().

        * examples/ASX/Message_Queue/buffer_stream.cpp: Added
          #include "ace/OS_NS_string.h" to find ACE_OS::strncpy(),
          #include "ace/OS_NS_unistd.h" to find ACE_OS::read() and write(), and
          #include "ace/OS_NS_stdio.h" to find ACE_OS::sprintf().

        * examples/ASX/Message_Queue/priority_buffer.cpp: Added
          #include "ace/OS_NS_stdio.h" to get ACE_OS::puts().

        * examples/ASX/UPIPE_Event_Server/Consumer_Router.cpp:
        * examples/ASX/UPIPE_Event_Server/Supplier_Router.cpp:
          Add #include "ace/OS_NS_stdio.h" so Visual Age C++ can see
          ACE_OS::sprintf() and "ace/OS_NS_string.h" to see ACE_OS::strdup().

        * examples/ASX/UPIPE_Event_Server/Event_Analyzer.cpp:
          Add #include "ace/OS_NS_string.h" so Visual Age C++ can see
          ACE_OS::strdup().

        * examples/C++NPv2/Service_Reporter.cpp: Add #include
          "ace/OS_NS_string.h" so Visual Age C++ can find ACE_OS::strcat()
          and strlen().

        * examples/C++NPv2/Client_Logging_Daemon.cpp: Add #include
          "ace/OS_NS_sys_time.h" to find ACE_OS::gettimeofday().

        * examples/C++NPv2/TP_Logging_Server.cpp: Added #include
          "ace/OS_Memory.h" to see ACE_NEW_RETURN and "ace/Guard_T.h" to
          get the ACE_GUARD stuff.

        * examples/C++NPv2/TP_Logging_Server.h: Added #include
          "ace/Synch.h" to see whatever ACE_SYNCH needs.

        * examples/C++NPv2/SR_Configurable_Logging_Server.cpp: Added #include
          "ace/OS_Memory.h" to see ACE_NEW_RETURN.

        * examples/C++NPv2/display_logfile.cpp: Add #include
          "ace/OS_NS_string.h" to see ACE_OS::strlen() and strnlen().

        * examples/Connection/misc/test_upipe.h: Added
          #include "ace/OS_NS_unistd.h" to find ACE_OS::read().

        * examples/IPC_SAP/TLI_SAP/ftp-server.cpp: Add #include
          "ace/OS_NS_stdio.h" to find ACE_OS::perror().

        * examples/IPC_SAP/TLI_SAP/db-server.cpp: Add #include
          "ace/OS_NS_stdio.h" to find ACE_OS::sprintf().

        * examples/IPC_SAP/UPIPE_SAP/ex1.cpp: Add #include "ace/OS_NS_string.h"
          to find ACE_OS::strcpy().

        * examples/Logger/Acceptor-server/server_loggerd.cpp: Added #include
          "ace/Null_Mutex.h" and "ace/Test_and_Set.h" to get needed class defs.

        * examples/Map_Manager/test_hash_map_manager.cpp: Added #include
          "ace/Synch.h" to get whatever ACE_SYNCH is.

        * examples/Naming/test_open.cpp:
        * examples/Naming/test_writers.cpp: Added #include "ace/OS_NS_unistd.h"
          to get ACE_OS::getpid().

        * examples/Reactor/Dgram/CODgram.cpp: Added #include
          "ace/OS_NS_string.h" to get ACE_OS::strcpy().

        * examples/Reactor/Dgram/Dgram.cpp: Added #include "ace/OS_NS_string.h"
          to get ACE_OS::strcpy() and "ace/OS_NS_unistd.h" to get sleep().

        * examples/Reactor/Misc/notification.cpp: Added #include
          "ace/OS_NS_unistd.h" to get ACE_OS::read() and sleep().

        * examples/Reactor/Misc/test_reactors.cpp: Add #include
          "ace/Recursive_Thread_Mutex.h" to get ACE_Recursive_Thread_Mutex def.

        * examples/Reactor/Misc/test_signals_2.cpp: Add #include "ace/Signal.h"
          to see ACE_Sig_Handlers.

        * examples/Reactor/Misc/test_timer_queue.cpp: Add #include
          "ace/OS_NS_sys_time.h" to get ACE_OS::gettimeofday().

        * examples/Reactor/Multicast/client.cpp: Add #include "ace/OS_Memory.h"
          to get ACE_NEW_RETURN and "ace/OS_NS_stdlib.h" to get ACE_OS::atoi().

        * examples/Reactor/Ntalker/ntalker.cpp: Add #include
          "ace/OS_NS_unistd.h" to get ACE_OS::read().

        * examples/Service_Configurator/IPC-tests/client/remote_thr_stream_client.cpp:
        * examples/Service_Configurator/IPC-tests/client/remote_dgram_client_test.cpp:
        * examples/Service_Configurator/IPC-tests/client/broadcast_client_test.cpp:
          Add #include "ace/OS_NS_stdlib.h" to get ACE_OS::atoi() and exit().

        * examples/Service_Configurator/IPC-tests/server/Handle_L_Dgram.i:
        * examples/Service_Configurator/IPC-tests/server/Handle_L_CODgram.i:
        * examples/Service_Configurator/IPC-tests/server/Handle_L_FIFO.i:
        * examples/Service_Configurator/IPC-tests/server/Handle_L_Pipe.i:
        * examples/Service_Configurator/IPC-tests/server/Handle_L_Stream.i:
        * examples/Service_Configurator/IPC-tests/server/Handle_R_Stream.i:
        * examples/Service_Configurator/IPC-tests/server/Handle_Timeout.i:
          Add #include "ace/OS_NS_string.h" to get ACE_OS::strdup() and
          strncpy().

        * examples/Service_Configurator/IPC-tests/server/Handle_R_Dgram.i:
        * examples/Service_Configurator/IPC-tests/server/Handle_R_Broadcast.i:
          Add #include "ace/OS_NS_string.h" to get ACE_OS::strdup() and
          strncpy(); "ace/OS_NS_unistd.h" to get ACE_OS::read()/write().

        * examples/Service_Configurator/IPC-tests/server/Handle_Thr_Stream.cpp:
          Add #include "ace/OS_NS_stdio.h" to get ACE_OS::puts() and sprintf(),
          "ace/OS_NS_string.h" and "ace/OS_NS_unistd.h".

        * examples/Service_Configurator/IPC-tests/server/server_test.cpp: Added
          #include "ace/OS_NS_unistd.h" to get ACE_OS::getpid().

        * include/makeinclude/platform_aix_ibm.GNU: Changed -ltli_r to -lxti;
          Matches change to ACE_HAS_XTI in:
          Mon Dec 29 17:09:29 2003  Steve Huston  <shuston@riverace.com>

Tue Dec 30 15:21:16 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * ace/INET_Addr.cpp (set_interface):

          Check for multicast link local in addition to unicast link local
          before calling a if_nametoindex (). Thanks to Andre Kostur
          <Andre@incognito.com > for providing the patch.

Tue Dec 30 13:02:09 2003  Chad Elliott  <elliott_c@ociweb.com>

        * ace/ace.mpc:

          Added the os_include, os_include/arpa, os_include/net,
          os_include/netinet and os_include/sys directories to the
          Header_Files section.

        * bin/MakeProjectCreator/modules/Parser.pm:
        * bin/MakeProjectCreator/modules/ProjectCreator.pm:
        * bin/MakeProjectCreator/modules/TemplateParser.pm:

          Added code to get allow templates to get the current working
          directory and the directory relative to the current working
          directory with the relative definitions.

        * bin/MakeProjectCreator/templates/bor.mpd:

          Updated the Borland template to put the executables and libraries
          in locations consistent with all other MPC generated projects.

        * include/makeinclude/build_dll.bor:
        * include/makeinclude/build_example.bor:
        * include/makeinclude/build_exe.bor:
        * include/makeinclude/build_lib.bor:
        * include/makeinclude/install.bor:
        * include/makeinclude/outputdir.bor:

          Modified these to work with the new Borland template.  The
          defaults have not been changed and the changes that were made
          should be backward compatible with the existing Borland
          makefiles.

Tue Dec 30 15:16:02 UTC 2003  Don Hinton  <dhinton@dresystems.com>

        * *.mpb:
        * bin/MakeProjectCreator/templates/*.mpt:
          Added $ID tag to quash fuzz errors.

Tue Dec 30 08:38:59 2003  Chad Elliott  <elliott_c@ociweb.com>

        * ace/ace.mpc:

          Removed Refcounted_Auto_Ptr.cpp from the Template_Files.
          Apparently there was never a Refcounted_Auto_Ptr.cpp.

Mon Dec 29 17:09:29 2003  Steve Huston  <shuston@riverace.com>

        * ace/TLI.cpp: Add #include "ace/OS_TLI.h" to see the ACE_OS::t_*
          methods and LOCALNAME/REMOTENAME. In get_option() and set_option(),
          decide on use of auto_ptr vs. ACE_Auto_Array_Ptr based on the XPG
          level currently being used. XPG5 changed the buf member from
          char* to void*.

        * ace/config-aix-4.x.h: Removed ACE_HAS_TIUSER_H and ACE_HAS_TLI;
          added ACE_HAS_XTI. Go with the more advanced capabilities.

        * include/makeinclude/platform_aix_ibm.GNU: Set the default value
          for 'inline' based on 'debug' - if debug is on, inline off, and
          vice-versa.

        * include/makeinclude/wrapper_macros.GNU: Corrected the "inline ?="
          line to set the default to 1 (instead of blank). This enables
          inlining unless platform_macros.GNU sets it explicitly.

Mon Dec 29 14:48:30 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * bin/tao_other_tests.lst:

          Do not run reference counted servant test in the minimum corba
          builds.

Mon Dec 29 12:48:22 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * bin/tao_other_tests.lst:

          Reduced iterations for a few tests.

Mon Dec 29 18:28:54 UTC 2003  Don Hinton  <dhinton@dresystems.com>

        * etc/ace.doxygen:
          Also remove the final '/' from STRIP_FROM_PATH, i.e.,
          STRIP_FROM_PATH=$(ACE_ROOT)/, so that the file list will look
          like this, ace/<file>, instead of /ace/<file>.

Mon Dec 29 11:20:50 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * bin/tao_orb_tests.lst:

          Added Bug_1670_Regression to the daily builds.

Mon Dec 29 10:57:23 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * bin/tao_orb_tests.lst:

          Added Bug_1568_Regression to the daily builds.

Mon Dec 29 08:48:40 2003  Chad Elliott  <elliott_c@ociweb.com>

        Committing changes originally made by Trevor Fields
        <fields_t@ociweb.com> on TAO 1.3a.

        * bin/MakeProjectCreator/config/dsnotifylogadmin.mpb:

          Changed the inheritance to correspond with what the
          DsNotifyLogAdmin library uses.

        * bin/MakeProjectCreator/config/openssl.mpb:

          Added $(SSL_ROOT)/out32 to the libpaths to pick up static
          OpenSSL libraries on Windows.

        * bin/MakeProjectCreator/config/portablegroup.mpb:

          Added inheritance of minimum_corba.

Sun Dec 28 22:36:22 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * bin/tao_orb_tests.lst:

          Added Bug_1693_Test to the daily builds.

Sun Dec 28 15:46:43 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * etc/*.doxygen:
          Removed CGI_NAME, CGI_URL, DOC_URL, DOC_ABSPATH, BIN_ABSPATH and
          EXT_DOC_PATHS from the doxygen config files. These options are no
          longer available because doxygen now uses PHP for search pages
          instead of CGI. The search page is disabled at this moment.

Sun Dec 28 15:09:34 UTC 2003  Don Hinton  <dhinton@dresystems.com>

        * etc/ace.doxygen:
          Changed CASE_SENSE_NAMES=NO in order to fix problems on systems
          without case sensitive file systems; doxygen adds enough of the
          path to make each filename unique.  Enabled SHORT_NAMES to make
          sure names don't grow too long.

          Set FULL_PATH_NAMES=YES and STRIP_FROM_PATH=$(ACE_ROOT) to avoid
          duplicate filenames on the file list page.  If this works out, we
          may change some of the others also.

Sun Dec 28 11:38:43 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Message_Queue.h:
          Use doxygen style of comments for deprecated enum members so that
          they appear on the doxygen deprecated page.

Sun Dec 28 10:44:13 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/OS_NS_stdio.cpp:
          On Tru64 getchar() is a macro which expands to fgetc. fgetc exists
          in the global and in the ACE_OS namespace, so on Tru64 use
          ::getchar() which then expands to ::fgetc(). This looks to work on
          the Tru64 box I am testing on.

Sat Dec 27 12:55:45 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/SOCK_Dgram_Mcast.h:
          Added @deprecated to the deprecated methods in this file so that
          they appear on the doxygen deprecated page.

Sat Dec 27 10:32:11 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * include/makeinclude/platform_vxworks5.x_g++.GNU:
          Re-added setting of GCCLIB_DIR for SIMNT which I removed by accident.
          Thanks to Thomas Lockhart <Thomas.Lockhart@jpl.nasa.gov> for
          pointing this out.

Sat Dec 27 10:22:13 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/fuzz.pl:
          Also check for Id tag in .GNU files.

        * include/makeinclude/platform_vxworks5.x_g++.GNU:
        * include/makeinclude/platform_linux_borland.GNU:
        * include/makeinclude/platform_integrity_ghs.GNU:
          Added missing Id tag

Fri Dec 26 17:29:29 2003  Steve Huston  <shuston@riverace.com>

        * m4/ace.m4: Uncommented the AM_CONDITIONAL for BUILD_SSL so
          explicit sets of --with-ssl work.

Fri Dec 26 16:53:18 2003  Steve Huston  <shuston@riverace.com>

        * m4/ace.m4: Don't restrict --enable-rtti to Solaris. AIX Visual Age
          C++ needs to be able to turn this on also. Also changed the default
          to yes, believing I saw a need for RTTI in TAO recently.

        * m4/compiler.m4: For AIX Visual Age C++, if rtti is desired, add
          -qrtti to CXXFLAGS.

        * ace/OS_NS_Thread.inl: Added #include "ace/OS_NS_sys_mman.h" to see
          ACE_OS::shm_unlink() and ACE_OS::shm_open(), needed when
          ACE_LACKS_NAMED_POSIX_SEM is defined.

        * ace/Timer_Hash_T.cpp:
        * ace/TImer_Wheel_T.cpp: Added #include "ace/OS_NS_sys_time.h" so
          Visual Age C++ can see ACE_OS::gettimeofday(), and "ace/Guard_T.h"
          so Visual Age C++ can see ACE_Guard classes.

        * tests/test_config.h:
        * tests/Signal_Test.cpp:
        * tests/Thread_Pool_Test.cpp: Added #include "ace/OS_NS_stdio.h" so
          Visual Age C++ sees ACE_OS::sprintf().

        * tests/Message_Block_Test.cpp: Added #include "ace/OS_NS_string.h"
          so Visual Age C++ sees ACE_OS::strcmp() and "ace/OS_NS_stdio.h"
          so Visual Age C++ sees ACE_OS::sprintf().

        * tests/Message_Queue_Test.cpp:
        * tests/Upgradable_RW_Test.cpp: Added #include "ace/OS_NS_sys_time.h"
          so Visual Age C++ can see ACE_OS::gettimeofday() and
          "ace/OS_NS_stdio.h" so it can see ACE_OS::sprintf().

        * tests/Message_Queue_Test_Ex.cpp:
        * tests/Recursive_Condition_Bug_Test.cpp:
        * tests/Thread_Manager_Test.cpp: Added #include
          "ace/OS_NS_sys_time.h" so Visual Age C++ can see
          ACE_OS::gettimeofday().

        * tests/Message_Queue_Notifications_Test.cpp:
        * tests/Reactor_Dispatch_Order_Test.cpp:
        * tests/SString_Test.cpp:
        * tests/Svc_Handler_Test.cpp: Added #include "ace/OS_NS_string.h" so
          Visual Age C++ sees ACE_OS::strlen().

        * tests/Multicast_Test.cpp: Added #include "ace/Min_Max.h" so
          Visual Age C++ can see ACE_MIN and ACE_MAX. Added #include
          "ace/OS_NS_sys_time.h" so Visual Age C++ can see
          ACE_OS::gettimeofday() and "ace/OS_NS_stdio.h" so it can see
          ACE_OS::sprintf().

        * tests/MT_Reference_Counted_Event_Handler_Test.cpp:
        * tests/Reactor_Registration_Test.cpp:
        * tests/Reference_Counted_Event_Handler_Test.cpp: Added #include
          "ace/Reactor.h" so Visual Age C++ sees ACE_Reactor.

        * tests/MT_Reference_Counted_Notify_Test.cpp:
        * tests/Timer_Cancellation_Test.cpp: Added #include
          "ace/Reactor.h" so Visual Age C++ sees ACE_Reactor and
          "ace/OS_NS_unistd.h" so Visual Age C++ sees ACE_OS::sleep().

        * tests/Naming_Test.cpp:
        * tests/Priority_Task_Test.cpp:
        * tests/Thread_Pool_Reactor_Test.cpp:
        * tests/Thread_Pool_Reactor_Resume_Test.cpp: Added #include
          "ace/OS_NS_string.h" so Visual Age C++ can see ACE_OS::strcmp().

        * tests/Process_Manager_Test.cpp:
        * tests/Reactor_Notify_Test.cpp: Added #include "ace/OS_NS_unistd.h"
          so Visual Age C++ can see ACE_OS::sleep().

        * tests/Process_Strategy_Test.cpp: Added #include "ace/OS_NS_string.h"
          so Visual Age C++ can see ACE_OS::strcpy(), strcat(), strlen().

        * tests/Reader_Writer_Test.cpp: Added #include "ace/Guard_T.h" and
          "ace/RW_Thread_Mutex.h" so Visual Age C++ can see ACE_Guard and
          ACE_RW_Thread_Mutex classes.

        * tests/Recursive_Condition_Test.cpp: Added #include
          "ace/OS_NS_sys_time.h" so Visual Age C++ sees ACE_OS::gettimeofday()
          and "ace/OS_NS_unistd.h" so Visual Age C++ sees ACE_OS::sleep().

        * tests/Service_Config_Test.cpp: Added #include "ace/OS_NS_stdio.h" so
          Visual Age C++ can see ACE_OS::fprintf().

        * tests/Time_Service_Test.cpp: Added #include "ace/OS_NS_string.h"
          so Visual Age C++ sees ACE_OS::strcat().

        * tests/TP_Reactor_Test.cpp:  Added #include "ace/OS_NS_stdio.h" so
          Visual Age C++ sees ACE_OS::sprintf() and "ace/OS_NS_string.h" so
          Visual Age C++ sees ACE_OS::strlen().

        * tests/TSS_Test.cpp:
        * tests/TSS_Test_Errno.h:
        * tests/Thread_Mutex_Test.cpp: Added #include "ace/Guard_T.h" so Visual
          Age C++ can see ACE_Guard stuff and "ace/Thread_Mutex.h" to see the
          ACE_Thread_Mutex class.

Fri Dec 26 12:30:55 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * bin/MakeProjectCreator/config/taoexe.mpb:
        * bin/MakeProjectCreator/config/taolib_with_idl.mpb:

          We are forcing -Sc to the users. Though this is generally good,
          but it breaks some of the tests in TAO that uses the TIE
          classes.  Just removing -Sc so that we have the minimal number
          of options out here.

Fri Dec 26 18:22:07 UTC 2003  Don Hinton  <dhinton@dresystems.com>

        * include/makeinclude/all_in_one.GNU:
          Test CLEANUP_BIN, etc., instead of BIN to determine whether or
          not to include rules.bin.GNU, etc.  These file define the
          CLEANUP_INSTALL variables needed to properly do a realclean.
          This is needed because Makefiles might use BIN2 or BIN_UNCHECKED
          instead of BIN, but still need to be cleaned up.

        * include/makeinclude/rules.lib.GNU:
        * include/makeinclude/rules.local.GNU:
          Added '*' to end of lib name so that *all* versions of a lib are
          cleaned up, not just the current one.

        * include/makeinclude/rules.local.GNU:
          No need to test to see if a variable is defined in order to
          define it, just use ?= which only sets a variable if not yet
          defined.

Thu Dec 25 18:03:28 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * bin/MakeProjectCreator/config/ftorbutils.mpb:

          Removed the dependency on CosNaming.

Thu Dec 25 00:00:00 2003  Douglas C. Schmidt <d.schmidt@vanderbilt.edu>

        * Merry Christmas!!!

Wed Dec 24 17:10:45 UTC 2003  Don Hinton  <dhinton@dresystems.com>

        * bin/fuzz.pl:
          Modified the regular expression for matching Makefiles to better
          filter out unwanted files.

        * examples/C++NPv1/Makefile.Iterative_Logging_Server:
        * examples/C++NPv1/Makefile.Logging_Client:
        * examples/C++NPv1/Makefile.Process_Per_Connection_Logging_Server:
        * examples/C++NPv1/Makefile.RT_Thread_Per_Connection_Logging_Server:
        * examples/C++NPv1/Makefile.Reactive_Logging_Server:
        * examples/C++NPv1/Makefile.Reactive_Logging_Server_Ex:
        * examples/C++NPv1/Makefile.Thread_Per_Connection_Logging_Server:
        * examples/C++NPv2/Makefile.AC_CLD:
        * examples/C++NPv2/Makefile.AIO_CLD:
        * examples/C++NPv2/Makefile.CLD:
        * examples/C++NPv2/Makefile.Configurable_Logging_Server:
        * examples/C++NPv2/Makefile.Reactor_Logging_Server:
        * examples/C++NPv2/Makefile.SLD:
        * examples/C++NPv2/Makefile.SLDex:
        * examples/C++NPv2/Makefile.SR_Configurable_Logging_Server:
        * examples/C++NPv2/Makefile.Select_Reactor_Logging_Server:
        * examples/C++NPv2/Makefile.TPCLS:
        * examples/C++NPv2/Makefile.TPLS:
        * examples/C++NPv2/Makefile.TP_Reactor_Logging_Server:
        * examples/C++NPv2/Makefile.display_logfile:
        * examples/DLL/Makefile.Newsweek:
        * examples/DLL/Makefile.Today:
        * examples/Service_Configurator/Misc/Makefile.Timer:
        * examples/Service_Configurator/Misc/Makefile.main:
        * examples/Timer_Queue/Makefile.TQTD:
        * examples/Timer_Queue/Makefile.main:
        * include/makeinclude/Makefile.rtems:
        * performance-tests/Synch-Benchmarks/Makefile.driver:
        * performance-tests/Synch-Benchmarks/Makefile.synch_tests:
          Fixed Fuzz errors.

Wed Dec 24 12:51:23 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * apps/Gateway/Gateway/Config_Files.cpp:
        * apps/Gateway/Gateway/File_Parser.cpp:
        * apps/Gateway/Gateway/File_Parser.h:
        * apps/Gateway/Gateway/Gateway.cpp:
          Added RT_ to the members of the Return_Type enum. Tru64 has a
          define SUCCESS and this clashed with the enum member SUCCESS.

Wed Dec 24 12:35:41 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-osf1-4.0.h:
          Removed ACE_HAS_TLI and ACE_HAS_TLI_PROTOTYPES. Added ACE_HAS_XTI.
          This fixes compile errors on Tru64.

        * include/makeinclude/platform_osf1_4.x_cxx.GNU:
        * include/makeinclude/platform_osf1_4.x_g++.GNU:
        * include/makeinclude/platform_osf1_4.x_kcc.GNU:
        * include/makeinclude/platform_osf1_4.x_rcc.GNU:
          Link with xti library instead of tli

Wed Dec 24 09:54:43 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * include/makeinclude/platform_vxworks5.x_g++.GNU:
          Add discussion of conventions to be used to identify shipped
          versions of VxWorks. Allow implicit templates using the
          templates variable. Default continues to be "explicit".
          Clean up some references to obsolete and unsupported versions
          of VxWorks compilers. Use explicit paths to compilers and
          utilities, and remove manipulation of PATH.
          Set the default version of VxWorks to 5.5.1, as shipped with
          Tornado 2.2 on PPC604.
          Removed -traditional from compiler flags, it causes problems
          with VxWorks 5.5.

        * ace/config-g++-common.h:
          Move VxWorks-specific features to config-vxworks5.x.h.

        * ace/config-vxworks5.x.h:
          Isolate Tornado-2.1 features to a check for ACE_VXWORKS == 0x542.
          This is consistent with the conventions suggested by J. Willemsen
          though VxWorks 5.4.2 also shipped with Tornado 2.0.2. See further
          discussion in platform_vxworks5.x_g++.GNU.
          Disable ACE_LACKS_AUTO_PTR except for ACE_VXWORKS == 0x542 since
          it is available on Tornado 2.2.x for PPC604 at least. Comments
          indicate that this was a problem on a Hitachi processor for
          Tornado 2.1.

          Thanks to Thomas Lockhart <Thomas.Lockhart@jpl.nasa.gov> for
          providing these patches.

Tue Dec 23 17:55:19 2003  Steve Huston  <shuston@riverace.com>

        * tests/Makefile.am: Added ACE_Test_SOURCES so automake doesn't
          set this up needing ACE_Test.c.

Tue Dec 23 16:52:56 2003  Chris Cleeland  <cleeland_c@ociweb.com>

        * bin/MakeProjectCreator/modules/GNUACEWorkspaceCreator.pm:

          Reordered printing of make rules so that the standard targets
          (all, install, debug, etc.) are emitted into the makefile BEFORE
          the targets for each project.  This insures that 'all' remains
          the first target in the makefile, and is thus the default target
          when make is invoked without a target.

          This should resolve the problem where builds failed due to what
          looked like the IDL compiler not being completely built.

Tue Dec 23 21:18:22 UTC 2003  Don Hinton  <dhinton@dresystems.com>

        * netsvcs/lib/Makefile.bor:
        * netsvcs/servers/Makefile.bor:
          Added $Id to fix fuzz errors.

Tue Dec 23 20:35:40 UTC 2003 Don Hinton  <dhinton@dresystems.com>

        * ace/config-freebsd.h:
          Added ACE_HAS_PTHREAD_SETSTACK if __FreeBSD_version >= 501000.

        * ace/os_include/os_pthread.h:
          Added guard around define of ACE_HAS_PTHREAD_SETSTACK.  Thanks
          to Craig Rodrigues <crodrigu@bbn.com> for these patches.

Tue Dec 23 20:19:51 UTC 2003  Don Hinton  <dhinton@dresystems.com>

        * *.{mpc,mwc}:
          Added $Id to MPC files to fix fuzz errors.

Tue Dec 23 12:31:16 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * Kokyu/Dispatcher_Impl.h:
          Added export macro, so that the destructor is exported. This fixes
          the link errors in the CBuilderX MPC build.

Mon Dec 22 17:46:12 2003  Steve Huston  <shuston@riverace.com>

        * configure.ac: Don't bother getting a ACE_HAS_TLI_PROTOTYPES
          setting if ACE_HAS_XTI. It's not needed. Fix the check for
          ACE_HAS_CONFLICTING_XTI_MACROS to only include xti.h, not tliuser.h,
          since that's where the errors are. The XTI and TLI parts are now
          separate; if the platform has XTI, none of the TLI checks are done.
          Made the check for sigaction()'s second argument set (or not)
          new config setting, ACE_HAS_SIGACTION_CONSTP2. See below.

        * m4/config_h.m4: Removed entries for ACE_LACKS_POSIX_PROTOTYPES and
          ACE_LACKS_SOME_POSIX_PROTOTYPES. Renamed ACE_HAS_BROKEN_XTI_MACROS
          to ACE_HAS_CONFLICTING_XTI_MACROS. Added entries for
          ACE_HAS_SIGACTION_CONSTP2. See rationale in ace/README entry, below.

        * ace/README: Clarified the meanings of ACE_HAS_TLI, ACE_HAS_XTI,
          and ACE_HAS_SVR4_TLI. Changed entry for ACE_HAS_BROKEN_XTI_MACROS to
          ACE_HAS_CONFLICTING_XTI_MACROS and explained it more (both names were
          used previously). Removed entries for ACE_LACKS_POSIX_PROTOTYPES
          and ACE_LACKS_SOME_POSIX_PROTOTYPES. These ended up a catch-all for
          platforms that had odd, or non-conforming (these days anyway) APIs
          for some SysV, signal, or stdio functions. Any reference to
          ACE_LACKS_POSIX_PROTOYPES is now gone. If it causes any problems
          (very doubtful since the only configs that used it were
          SunOS 4) it can be added back in a more explanatory fashion.
          Uses of ACE_LACKS_SOME_POSIX_PROTOTYPES are replaced by
          more specific settings that autoconf is detecting now anyway.
          These are:
             ACE_HAS_SIGACTION_CONSTP2: sigaction() 2nd parameter is
             const sigaction*, as opposed to non-const.

        * ace/config-hpux-11.00.h: Removed #define ACE_HAS_BROKEN_XTI_MACROS.
          This is not sued any longer (see README above).

        * ace/config-linux-common.h:
        * ace/config-integritySCA.h:
        * ace/config-lynxos.h:
        * ace/config-qnx-neutrino.h:
        * ace/config-qnx-rtp.h:
        * ace/config-unixware-7.1.0.h:
        * ace/config-unixware-7.1.0.udk.h: Removed entry for
          ACE_LACKS_SOME_POSIX_PROTOTYPES. Applies only for glibc earlier than
          2.2. If this breaks something, send details to me.

        * ace/config-rtems.h: Removed ACE_LACKS_POSIX_PROTOTYPES and
          ACE_LACKS_SOME_POSIX_PROTOTYPES; added ACE_HAS_SIGACTION_CONSTP2.

        * ace/config-sco-5.0.0.h:
        * ace/config-sco-5.0.0-mit-pthread.h:
        * ace/config-tandem.h: Removed entry for ACE_LACKS_POSIX_PROTOTYPES
          (was commented out anyway).

        * ace/config-sunos4-sun3.x.h:
        * ace/config-sunos4-sun4.1.4.h:
        * ace/config-sunos4-sun4.x.h: Removed entry for
          ACE_LACKS_POSIX_PROTOTYPES. If this breaks a build, please email
          shuston@riverace.com with compile errors and PRF.

        * ace/OS_NS_dlfcn.inl: Removed #include "ace/OS.h"; replaced with
          #include "ace/OS_NS_fcntl.h" and "ace/OS_NS_unistd.h".
          (dlsym): Removed the #if defined (ACE_LACKS_POSIX_PROTOTYPES) - this
          is not needed.

        * ace/OS_NS_signal.inl (sigaction): const_cast the new sigaction arg
          if ACE_HAS_SIGACTION_CONSTP2 is not defined. This takes the place
          of either ACE_LACKS_SOME_POSIX_PROTOTYPES or
          ACE_LACKS_POSIX_PROTOTYPES.

        * ace/OS_TLI.h: Rearranged the places and situations that TLI or XTI
          headers are included. These were confused over the years as platforms
          were ported to, and the TLI API evolved to XTI. The way this now
          works mirrors the way modern platforms work. XTI is the newer and
          current API. If XTI is available, ACE_HAS_XTI should be set. If
          XTI is not available, but the older TLI is, ACE_HAS_TLI should be
          set. ACE_HAS_XTI takes precedence if they're both set. If only TLI
          is available, the correct header (tiuser.h) is included if
          ACE_HAS_TIUSER_H is set. tiuser.h is a compatibility carryover for
          platforms with XTI. If the platform has TLI, not XTI, and no
          tiuser.h, this file doesn't include any system headers - this may
          be wrong, but I don't have any platforms available to try.
          Also, ACE_HAS_SVR4_TLI applies to platforms with TLI (not XTI) and
          additional, pre-XTI functionality such as t_getname(). This is
          true for older SunOS, but I don't think any modern platforms
          should set this. XTI includes all the things that distinguish
          ACE_HAS_SVR4_TLI from TLI, so if ACE_HAS_XTI is set, ACE_HAS_SVR4_TLI
          is ignored. To summarize, the order of precedence is, XTI, then
          TLI, optionally modified by ACE_HAS_SVR4_TLI.

        * ace/OS_TLI.inl (t_getname): Add code for calling t_getprotaddr()
          if ACE_HAS_XTI. It would be good to add ACE_OS::t_getprotaddr()
          since most platforms support XTI these days. But this will do
          for now.

        * ace/TLI.cpp (get_local_addr): Forward this through to
          ACE_OS::t_getname(), which can now handle both ACE_HAS_XTI and
          ACE_HAS_SVR4_TLI.
          (set_option, get_option): Added the XTI code for these.

        * ace/TLI_Connector.cpp (complete):
        * ace/TLI_Stream.cpp (get_remote_addr): Regardless of which flavor of
          XTI/TLI is set, call ACE_OS::t_getname() to get the address info.
          It now can do both XTI and TLI.

        * ace/os_include/os_errno.h: Removed the #defines for LOCALNAME and
          REMOTENAME. These are now in ace/OS_TLI.h where they come from.

        * ace/config-lite.h: Add a check after including config.h for
          ACE_HAS_XTI. XTI is what TLI evolved to, and wherever ACE
          wants to provide a TLI function or not, it checks for ACE_HAS_TLI.
          Since ACE_HAS_XTI can be set without ACE_HAS_TLI, we set ACE_HAS_TLI
          to get the basic functionality-providing checks taken care of.

Mon Dec 22 17:01:39 2003  Steve Huston  <shuston@riverace.com>

        * tests/Makefile.am: Removed comment on -module option for
          libTestOutput. Added ACE_Test and TSS_Static_Test.

Mon Dec 22 14:08:41 2003  Chad Elliott  <elliott_c@ociweb.com>

        * ACE-INSTALL.html:

          Updated building sections with MPC related information.

Mon Dec 22 19:25:59 UTC 2003  Don Hinton  <dhinton@dresystems.com>

        * tests/Bound_Ptr_Test.h:
        * tests/Message_Queue_Notifications_Test.cpp:
        * tests/NonBlocking_Conn_Test.h:
        * tests/Process_Strategy_Test.cpp:
        * tests/Svc_Handler_Test.cpp:
          Fixed fuzz errors by removing unneeded #include of Synch.h.

Mon Dec 22 10:31:41 2003  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/README:

          Added information about disallowing duplicate projects within a
          single workspace regardless of the project type.  It is no longer
          specific to the VC6 type.

        * bin/MakeProjectCreator/modules/GNUACEWorkspaceCreator.pm:

          Changed the workspace output to allow a user to make a specific
          target within the workspace.  If the user specified target
          requires other projects, then those projects are built also.  For
          example, a user could execute "make CosNaming" using the Makefile
          generated from the TAOACE.mwc file and the CosNaming library
          would be built including everything else that was required to
          build that library.

        * bin/MakeProjectCreator/modules/Creator.pm:
        * bin/MakeProjectCreator/modules/ProjectCreator.pm:
        * bin/MakeProjectCreator/modules/VC6ProjectCreator.pm:
        * bin/MakeProjectCreator/modules/VC6WorkspaceCreator.pm:
        * bin/MakeProjectCreator/modules/VC7ProjectCreator.pm:
        * bin/MakeProjectCreator/modules/VC7WorkspaceCreator.pm:
        * bin/MakeProjectCreator/modules/WorkspaceCreator.pm:

          Changed the output section of the code to only compare the
          existing output file to the newly created output file only if
          required by the individual project or workspace type.  Currently
          only VC6, EM3 (through inheritance), VC7 and VC71 (through
          inheritance) use this.

Sun Dec 21 08:40:46 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * performance-tests/Synch-Benchmarks/Synch_Lib/Benchmark_Base.cpp:

          Fixed an annoying warning about redefinition.

Sun Dec 21 13:55:12 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Test_Output.dsp:
          Cleared the output directory for the static configurations, all
          test project expect the lib to be in the same directory.

Sun Dec 21 10:16:43 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * *.bor:
          Added missing Id tag to all Borland makefiles which didn't have it
          yet.

Sun Dec 21 10:02:11 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Timeprobe.h:
          Added missing includes when ACE_COMPILE_TIMEPROBES is set to 1.
          Thanks to Konstantinos Margaritis <markos@debian.gr> for reporting
          this.

Sun Dec 21 09:45:13 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * Kokyu/Makefile.bor:
        * Kokyu/Makefile.Kokyu.bor:
          Added Id tag to fix fuzz errors

Sat Dec 20 17:51:49 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ACEXML/parser/parser/ParserContext.inl:
          Removed not needed ; to fix a Tru64 warning

Sat Dec 20 14:21:13 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ACEXML/*.bor:
          Added missing Id tag to fix fuzz errors

Sat Dec 20 13:22:12 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/fuzz.pl:
          Changed filters to the types of files a little so that a Makefile.bor is
          handled as a Borland makefile.

Fri Dec 19 22:56:26 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * ace/RMCast/RMCast.h:
        * ace/RMCast/RMCast_IO_UDP.cpp:
        * ace/RMCast/RMCast_UDP_Proxy.cpp:

          Enums are evil, more so with broken compilers that cannot scope
          enums within a class. LynxOS defines a bunch of #defines with
          MT_* which starts colliding with the MT_* declaration in the
          above files. Renamed the enums to be RMCAST_MT_*. Thanks to
          Thomas Lockhart <Thomas.Lockhart@jpl.nasa.gov> for providing
          patches to fix this.

Fri Dec 19 22:34:42 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * ace/INET_Addr.i:

          Fix for [BUGID 1688]. Please see

          http://deuce.doc.wustl.edu/bugzilla/show_bug.cgi?id=1688

          for more details. Thanks to Gary Maxey <gary.maxey@hp.com> for
          the patch.

Fri Dec 19 11:57:20 2003  Steve Huston  <shuston@riverace.com>

        * tests/Sigset_Ops_Test.cpp: Add an optional can_miss parameter to
          the siglistset() function; defaults to 0 (current behavior). Pass
          it as 1 when the full (sigfillset) set is being tested because
          there's no guarantee that all signals from 1-ACE_NSIG are legit
          and set in the sigset. This is true on Red Hat Linux w/ NPTL
          (Redhat 9 and Enterprise Linux 3, for example). Thanks to
          Roger Beathard (rbeathar@cisco.com) for reporting this issue.

        * tests/Makefile.tests: Added TSS_Static_Test.

Fri Dec 19 08:43:44 2003  Douglas C. Schmidt  <schmidt@ace.cs.wustl.edu>

        * ace/Malloc_T.cpp: Reformatted some of the code to conform to
          ACE guidelines.  In particular, stuff like this:

          if ((this->lock_ = ACE_Malloc_Lock_Adapter_T<ACE_LOCK> ()(pool_name)) == 0)
            return;

          should be written like this:

          this->lock_ = ACE_Malloc_Lock_Adapter_T<ACE_LOCK> ()(pool_name);
          if (this->lock_ == 0)
            return;

          since the latter is less error prone and more readable!

Fri Dec 19 13:31:59 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ACEXML/parser/parser/Parser.i (isChar):
          Made the argument non const, just as the method declaration
          in the header file. This fixes a compile error on Tru64.

Fri Dec 19 13:29:13 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/C++NPv2/C++NPv2.mpc:
          Use the new wfmo base project.

Fri Dec 19 13:27:54 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * performance-tests/SCTP/Options_Manager.cpp:
          Removed not needed ; after extern C to fix a Tru64 warning

Fri Dec 19 07:19:37 2003  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/README:
        * bin/MakeProjectCreator/USAGE:
        * bin/MakeProjectCreator/modules/AutomakeProjectCreator.pm:
        * bin/MakeProjectCreator/modules/BorlandProjectCreator.pm:
        * bin/MakeProjectCreator/modules/CbxProjectCreator.pm:
        * bin/MakeProjectCreator/modules/Creator.pm:
        * bin/MakeProjectCreator/modules/Driver.pm:
        * bin/MakeProjectCreator/modules/EM3ProjectCreator.pm:
        * bin/MakeProjectCreator/modules/GHSProjectCreator.pm:
        * bin/MakeProjectCreator/modules/GNUACEProjectCreator.pm:
        * bin/MakeProjectCreator/modules/MakeProjectCreator.pm:
        * bin/MakeProjectCreator/modules/NMakeProjectCreator.pm:
        * bin/MakeProjectCreator/modules/Options.pm:
        * bin/MakeProjectCreator/modules/ProjectCreator.pm:
        * bin/MakeProjectCreator/modules/TemplateParser.pm:
        * bin/MakeProjectCreator/modules/VA4ProjectCreator.pm:
        * bin/MakeProjectCreator/modules/VC6ProjectCreator.pm:
        * bin/MakeProjectCreator/modules/VC7ProjectCreator.pm:
        * bin/MakeProjectCreator/modules/WorkspaceCreator.pm:

          Added a workspace/project name modifier (-name_modifier) which can
          be used to modify workspace and project names using a pattern
          replacement.  The parameter passed to -name_modifier will have any
          instances of the asterisk character replaced with the actual
          workspace or project name.

          Also, deprecated the -static_only option and modified -static to
          generate only static projects (since dynamic and static couldn't
          co-exist with the vc6 and vc7 types).

          And, finally, replaced $generator with $creator which is more
          consistent with object names.

Fri Dec 19 11:45:13 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-osf1-3.2.h:
        * ace/config-osf1-4.0.h:
          Replaced ACE_HAS_64BIT_LONGS with ACE_SIZEOF_LONG 8 to fix compile
          errors on Tru64.

        * bin/MakeProjectCreator/config/wfmo.mpb:
          Added new config file. Projects that need wfmo, should be based on
          this.

        * include/makeinclude/wrapper_macros.GNU:
          When wfmo is not set, we set it to 0. So by default all platforms that
          use the GNU makefiles lack wfmo support.

        * include/makeinclude/platform_mingw32.GNU:
          MinGW has wfmo, so set wfmo to 1.

        * examples/Reactor/WFMO_Reactor/WFMO_Reactor.mpc:
          Based now on the wfmo instead of a GNU specific hack. This simplifies
          this MPC file but also with MinGW we will now build these examples.

Fri Dec 19 10:46:13 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Codeset_Registry.cpp:
          Removed not needed ; after ACE_RCSID to fix Tru64 warning.

        * ace/OS.h:
        * ace/OS_TLI.h:
        * ace/UUID.{h,cpp,inl}:
        * ace/OS_NS_arpa_inet.h:
          Removed not needed ; after namespace close } to fix Tru64 warning.

        * ace/config-cxx-common.h:
          Added ACE_HAS_STD_TEMPLATE_CLASS_MEMBER_SPECIALIZATION. I hope all
          version of the Compaq CC compiler will support this, V6.5 needs this

        * ace/config-tru64.h:
          Tru64 5.1 doesn't have stdint.h so added ACE_LACKS_STDINT_H. I don't
          know of previous versions, so made this dependent on the version of
          Tru64.

        * ace/config-osf1-4.0.h:
          Moved check for ACE_MT_SAFE for ACE_LACKS_CLEARERR a little bit down,
          so that ACE_MT_SAFE is always defined to fix compile error on Tru64.

        * tests/Reference_Counted_Event_Handler_Test.cpp:
          Make sure we don't have local variables with the same name but
          different type to fix Tru64 warning.

Fri Dec 19 03:29:33 UTC 2003  Don Hinton  <dhinton@dresystems.com>

        * examples/System_V_IPC/SV_Semaphores/Semaphores_1.cpp:
        * examples/System_V_IPC/SV_Semaphores/Semaphores_2.cpp:
        * tests/SV_Shared_Memory_Test.cpp:
          More explicit template instantiations of
          ACE_Malloc_Lock_Adapter_T.

Fri Dec 19 01:27:00 UTC 2003  Irfan Pyarali  <irfan@oomworks.com>

        * examples/Reactor/WFMO_Reactor/Abandoned.cpp (handle_timeout):

          Must remove handler from the Reactor before the handler dies.
          Otherwise, a call back from the Reactor will result in a seg
          fault.

Fri Dec 19 01:26:00 UTC 2003  Don Hinton  <dhinton@dresystems.com>

        * ace/Process_Mutex.cpp:
        * ace/RW_Process_Mutex.cpp:
        * ace/Thread_Mutex.cpp:
          Added #include ace/Malloc_T.h.

Fri Dec 19 00:46:23 UTC 2003  Don Hinton  <dhinton@dresystems.com>

        * ace/Null_Mutex.h:
          Added template specialization of ACE_Malloc_Lock_Adapter_T.

        * ace/Process_Mutex.cpp:
        * ace/RW_Process_Mutex.cpp:
        * ace/Thread_Mutex.cpp:
          Added explicit template instantiations for
          ACE_Malloc_Lock_Adapter.

Thu Dec 18 22:43:09 UTC 2003  Don Hinton  <dhinton@dresystems.com>

        * ace/Malloc_T.{h,cpp}:
          Added a new functor template class, ACE_Malloc_Lock_Adapter_T, used
          by ACE_Malloc_T as a factory for the ACE_LOCK template parameter,
          and allows the use of locking strategy classes that don't have a
          satisfactory ctor taking a single required ACE_TCHAR* parameter,
          which is the default.  Thanks to John Glynn <jglynn@bjc.org> for
          motivating this.

        * ace/Process_Semaphore.{h,cpp}:
        * ace/Thread_Semaphore.{h,cpp}:
          Added template specializations of ACE_Malloc_Lock_Adapter_T for
          ACE_Process_Semaphore and ACE_Thread_Semaphore since they don't
          have a satisfactory ctor taking an ACT_TCHAR*.  Thanks to John
          Glynn <jglynn@bjc.org> for motivating this.

Thu Dec 18 11:55:29 2003  Chad Elliott  <elliott_c@ociweb.com>

        * ace/Null_Barrier.h:
        * ace/Null_Condition.h:
        * ace/Null_Mutex.h:
        * ace/Null_Semaphore.h:

          All methods in both of these files are inline and therefor do not
          need ACE_Export.

        * ace/ace.mpc:

          Updated the Inline_Files and Header_Files sections.

        * examples/TMCast/Member/member.cpp:

          Added #include of OS_NS_string.h to get ACE_OS::strlen and added a
          return value for main.

Thu Dec 18 09:53:31 2003  Balachandran  <bala@dre.vanderbilt.edu>

        * ACE version 5.3.6 released.

Thu Dec 18 08:45:06 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * bin/make_release:

          Generate vc71 for the ace alone. We used to generate vc7 project
          files. But now we generate vc71. Theoretically we shouldn't need
          to generate this. But this is not the time to argue with Steve H
          ;)! Will do after the beta goes out!

Wed Dec 17 12:54:18 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * ace/TMCast/Group.cpp:
        * ace/TMCast/LinkListener.hpp:

          More fixes for VC 71. Thanks to Chad Elliott for helping
          me checking the results.

Wed Dec 17 09:52:18 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * ace/TMCast/LinkListener.hpp:

          Fixed errors in VC71 builds.

Wed Dec 17 15:21:36 UTC 2003  Don Hinton  <dhinton@dresystems.com>

        * performance_tests/Misc/Makefile:
          Remove static_libs_only=0 and add static_libs=1 and
          shared_libs=0 to insure that only static libs are built.  We
          need to set these values individually instead of setting
          static_libs_only, since users may override it in
          platform_macros.GNU.  Thanks to John Zorko <jmzorko@mac.com> for
          tracking this down and supplying the patch.  This fixed the
          MacOSX compile errors on the scoreboard.

Wed Dec 17 11:25:43 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/TMCast/Group.cpp:
          Fixed compile errors in the SunOS Forte8 build caused by the
          lack of the scope of the exceptions.

Wed Dec 17 11:16:12 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/TMCast/TMCast.mpc:
          TMCast uses native exceptions, so added requires += exceptions
          to this mpc file. This fixes compile errors in no exception
          builds.

        * bin/MakeProjectCreator/config/tmcast.mpb:
          Because TMCast uses native exceptions, this is also required for
          everything that uses TMCast.

Tue Dec 16 11:48:11 2003  Chad Elliott  <elliott_c@ociweb.com>

        * ace/config-aix-4.x.h:
        * ace/config-aix5.1.h:

          Updated the AIX config files to reflect the existence of
          netinet/tcp.h on AIX 5.1.

Tue Dec 16 09:31:18 2003  Douglas C. Schmidt  <schmidt@tango.doc.wustl.edu>

        * ace/Thread_Semaphore.{h,cpp}:
        * ace/Process_Semaphore.{h,cpp}: Reverted the change
          Sun Dec 14 15:26:46 2003 Douglas C. Schmidt
          <schmidt@ace.cs.wustl.edu> since this has too many side-effects
          that'll break user code.  The "Right Thing"[TM] here is simply
          to update the ACE_Malloc<> documentation to explain not to use
          the ACE_Process_Semaphore or ACE_Thread_Semaphore, but instead
          to use the ACE_Process_Mutex or ACE_Thread_Mutex.  Thanks to
          Don Hinton and Bala for motivating this change.

Tue Dec 16 08:29:05 2003  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/templates/make.mpd:

          Fixed the install targets when installing to the current
          directory.

Tue Dec 16 07:13:53 2003  Chad Elliott  <elliott_c@ociweb.com>

        * ace/TMCast/TMCast.mpc:
        * ace/ace.mwc:
        * bin/MakeProjectCreator/config/tmcast.mpb:

          Added a project and base project for TMCast.

        * examples/IPC_SAP/SSL_SAP/SSL-server-simple.cpp:
        * examples/TMCast/Member/member.cpp:

          Added #include's to get things to build on Linux.

        * examples/TMCast/Member/Member.mpc:

          Added an mpc to override the default project to add the tmcast
          base project.

Mon Dec 15 20:34:31 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tests/MM_Shared_Memory_Test.cpp:
        * tests/Reactor_Notify_Test.cpp:
        * tests/Semaphore_Test.cpp:
        * tests/TP_Reactor_Test.cpp:

          More fixes like "Mon Dec 15 11:09:45 2003  Douglas C. Schmidt
          <schmidt@ace.cs.wustl.edu>". Thanks to Don for motivating this.

Mon Dec 15 18:51:15 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/MakeProjectCreator/templates/gnu.mpd:
          Added setting of CLEANUP_INSTALL, this has the result that an exe
          that is installed into a different directory is also removed when
          doing a clean. Thanks to Don and Chad for validating this.

Mon Dec 15 11:09:45 2003  Douglas C. Schmidt  <schmidt@ace.cs.wustl.edu>

        * tests/Proactor_Test.cpp (ACE_MT_SYNCH>):
        * ace/POSIX_CB_Proactor.cpp (ACE_POSIX_CB_Proactor): Added a
          cast to (unsigned int) so things will work properly for the
          ACE_Thread_Semaphore.  Thanks to Bala and Don Hinton for
          reporting these problems.

Mon Dec 15 10:11:31 2003  Chad Elliott  <elliott_c@ociweb.com>

        * tests/NonBlocking_Conn_Test.h:
        * tests/NonBlocking_Conn_Test.cpp:

          Moved the template class Svc_Handler into a header file so that
          Visual Age C++ could implicitly instantiate the template.

        * tests/Message_Queue_Notifications_Test.cpp:
        * tests/Process_Strategy_Test.cpp:
        * tests/Reactor_Registration_Test.cpp:
        * tests/Reactors_Test.cpp:
        * tests/Recursive_Mutex_Test.cpp:
        * tests/Reference_Counted_Event_Handler_Test.cpp:
        * tests/Svc_Handler_Test.cpp:
        * tests/TP_Reactor_Test.h:

          Added various #include's to get the tests to build on AIX with
          Visual Age C++ 5.0.

Mon Dec 15 10:06:17 2003  Steve Huston  <shuston@riverace.com>

        * ace/OS_NS_stdio.cpp (gets): Reverted this change:
          Thu Dec 11 18:13:29 2003  Steve Huston  <shuston@riverace.com>
          It broke the Borland build and wasn't a very good fix for the
          AIX situation either. Since Riverace is dropping AIX 4.3 support
          at ACE 5.4, I'm not going to push this issue. It appears to be a
          compiler issue with Visual Age C++ version 5.

Mon Dec 15 07:29:27 2003  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/templates/gnu.mpd:

          Removed a redundant rule to create the $(TEMPINCDIR) directory.

        * include/makeinclude/rules.local.GNU:

          Added -p to the mkdir command in the rules to make the
          $(CLEANUP_DIRS).

Mon Dec 15 11:35:12 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Naming_Context.cpp:
          When ACE_HAS_TRACE is defined include ace/OS_NS_strings.h to get
          ACE_OS::strcasecmp. This fixes a compile error when ACE_NTRACE has
          been defined to 0

Sun Dec 14 15:26:46 2003  Douglas C. Schmidt  <schmidt@ace.cs.wustl.edu>

        * ace/Thread_Semaphore.{h,cpp}: Added support for an ACE_Thread_Semaphore
          that takes a first param that's an ACE_TCHAR * so that things
          will work properly if ACE_Thread_Semaphore is used with
          ACE_Malloc<>.  Thanks to John Glynn <jglynn@bjc.org> for
          motivating this.

        * ace/Process_Semaphore.{h,cpp}: Added support for an ACE_Process_Semaphore
          that takes a first param that's an ACE_TCHAR * so that things
          will work properly if ACE_Process_Semaphore is used with
          ACE_Malloc<>.  Thanks to John Glynn <jglynn@bjc.org> for
          motivating this.

Sun Dec 13 20:00:00 2003  Douglas C. Schmidt  <schmidt@ace.cs.wustl.edu>

        * Saddam Hussein captured in a "spider hole" in Iraq.  Sic Semper
          Tyrannis.

Sat Dec 13 23:29:05 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * bin/tao_orb_tests.lst:
        * bin/tao_other_tests.lst:

          Many of the tests were being run in the single threaded
          configuration, though they shouldn't have been.

Fri Dec 12 19:31:00 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * bin/tao_orb_tests.lst:

          Some tests were run twice. They have been removed.

Fri Dec 12 08:53:50 2003  Chad Elliott  <elliott_c@ociweb.com>

        * bin/DependencyGenerator/DependencyEditor.pm:
        * bin/DependencyGenerator/DependencyWriter.pm:
        * bin/DependencyGenerator/GNUObjectGenerator.pm:
        * bin/DependencyGenerator/ObjectGenerator.pm:
        * bin/DependencyGenerator/Preprocessor.pm:
        * bin/depgen.pl:

          More optimizations to decrease dependency generation times.

        * bin/DependencyGenerator/DependencyGenerator.pm:

          Fixed a bug where when replacing paths (using the -A option), it
          wouldn't replace as much of the path as it could depending on the
          replacement values.  Now they are sorted by length so that the
          longest values are checked first.

Fri Dec 12 08:37:45 2003  Chad Elliott  <elliott_c@ociweb.com>

        * bin/create_ace_build.pl:

          When creating a build on Windows and we run into a problem with
          linking to a target that has a path that is "too long", we resort
          to the short file name and everyone's happy.

Thu Dec 11 18:25:39 2003  Steve Huston  <shuston@riverace.com>

        * ace/Future.cpp: Added #include "ace/Guard_T.h" and
          "ace/Recursive_Thread_Mutex.h" if ACE_HAS_THREADS is defined.
          There are ACE_Guards that use it and AIX Visual Age C++ needs
          to see these headers to work right.

        * ace/Future_Set.h: Added #include "ace/Null_Mutex.h" since this
          file references it in an ACE_Hash_Map_Manager declaration. Even if
          it may have been available during compile, Visual Age C++ needs to
          see the header during link time as well, and it only remembers to
          look at headers that were explicitly included.

Thu Dec 11 18:13:29 2003  Steve Huston  <shuston@riverace.com>

        * ace/OS_NS_netdb.inl: Changed use of naked ::memset() calls to
          ACE_OS::memset(). Fixes compile errors on AIX 4.3.

        * ace/OS_NS_stdio.cpp (gets): Added "ACE_STD_NAMESPACE::" prefix to
          getchar() call; fixes compile error on AIX 4.3.

Wed Dec 10 18:20:12 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Message_Queue.h:
          Mark deprecated enums with @deprecated so that they appear on the
          doxygen deprecated page

        * ace/Thread.h:
          Moved comment above method instead of between augments.

Wed Dec 10 13:16:03 2003  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * ace/UUID.cpp (to_string):

          Fixed incorrect delete() operator call.  Use vector delete[]()
          instead of scalar delete() since array was allocated with
          new[]().

Wed Dec 10 15:09:13 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/TMCast/Member/member.cpp:
          Added missing includes

Wed Dec 10 13:39:53 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Log_Msg.cpp:
          In case of ACE_Log_Msg::SYSLOG is set, log messages to the backend
          and in case of closing down redirect logging to stderr

Wed Dec 10 07:18:44 2003  Chad Elliott  <elliott_c@ociweb.com>

        * bin/depgen.pl:

          Fixed a bug introduced by my change on Tue Dec  9 13:00:30 2003.

Wed Dec 10 13:17:13 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/IPC_SAP/SSL_SAP/SSL-server-poll.cpp:
          Added #include of ace/OS_NS_poll.h to get poll() stuff.

Wed Dec 10 07:09:10 2003  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/config/dseventlogadmin.mpb:

          The dseventlogadmin base project should also inherit from event.

Wed Dec 10 12:56:47 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/IPC_SAP/SSL_SAP/SSL-server-fancy.cpp:
          Added #include of OS_NS_sys_select.h to get ACE_OS::select

Wed Dec 10 12:50:13 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/IPC_SAP/SSL_SAP/SSL-client.h:
          Fixed casing of include

Wed Dec 10 10:20:48 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/NT_Service.cpp (wait_for_service_state):
          Initialize last_state and last_check_point with 0 to fix MinGW
          compiler warnings.

Wed Dec 10  9:31:13 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Task_Ex_T.h:
          Removed the ACE_HAS_EXPLICIT_TEMPLATE_INSTANTIATION_EXPORT directive.
          It is meaningless to define it with ACE_MESSAGE_TYPE. Thanks to
          Kobi Cohen-Arazi <kobi-co@barak-online.net> for reporting this.

Wed Dec 10  9:18:12 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * performance-tests/TTCP/ACE-C++/TTCP_ACE_C++.mpc:
          Removed this file from the repo. This performance-tests contains
          so many non-portable code that it is impossible to build it on
          all the platforms we have.

Wed Dec 10  8:39:12 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Tests.bor:
          Added TSS_Static_Test

Tue Dec  9 13:00:30 2003  Chad Elliott  <elliott_c@ociweb.com>

        * bin/DependencyGenerator/DependencyEditor.pm:
        * bin/DependencyGenerator/DependencyGenerator.pm:
        * bin/DependencyGenerator/DependencyWriter.pm:
        * bin/DependencyGenerator/DependencyWriterFactory.pm:
        * bin/DependencyGenerator/GNUDependencyWriter.pm:
        * bin/DependencyGenerator/GNUObjectGenerator.pm:
        * bin/DependencyGenerator/NMakeDependencyWriter.pm:
        * bin/DependencyGenerator/NMakeObjectGenerator.pm:
        * bin/DependencyGenerator/ObjectGenerator.pm:
        * bin/DependencyGenerator/ObjectGeneratorFactory.pm:
        * bin/DependencyGenerator/Preprocessor.pm:
        * bin/depgen.pl:

          Performance optimizations that decrease dependency generation
          times by up to 10%.

Tue Dec  9 17:49:12 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ACEXML/apps/svcconf/Svcconf_Handler.cpp:
          Added #include of ace/OS_NS_strings.h to get ACE_OS::strcasecmp

Tue Dec  9 16:33:43 UTC 2003  Don Hinton  <dhinton@dresystems.com>

        * include/makeinclude/platform_aix_ibm.GNU:
          Removed ACELIB from LIBS since both LIBS and ACELIB is added to
          VLDLIBS in wrapper_macros.GNU.  Otherwise -lACE appears twice in
          the link command.

Tue Dec  9 15:51:13 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Log_Msg.cpp:
          When ACE_Log_Msg::LOGGER or ACE_Log_Msg::SYSLOG is passed as
          flags, make sure the correct bit is set in flags_. This fixes
          the problem reported by A. Kleibeuker
          <kleibeuk@natlab.research.philips.com> that CORBA::ORB_init()
          fails after ACE_Log_Msg::SYSLOG is passed to the
          ACE_Log_Msg->open() call.

Tue Dec  9 09:28:49 2003  Chad Elliott  <elliott_c@ociweb.com>

        * bin/DependencyGenerator/DependencyEditor.pm:

          Removed some unnecessary module usage.

        * bin/DependencyGenerator/DependencyGenerator.pm:
        * bin/DependencyGenerator/GNUDependencyWriter.pm:
        * bin/DependencyGenerator/NMakeDependencyWriter.pm:

          Avoid copying the array of object files for a speed increase.

        * bin/DependencyGenerator/Preprocessor.pm:

          Fixed a bug where #if's inside of c comments would be counted.
          Fixed a bug where the Preprocessor would not return an array
          reference if the last file to be processed did not exist.

Tue Dec  9 09:23:06 2003  Chad Elliott  <elliott_c@ociweb.com>

        * ace/OS_NS_Thread.h:
        * ace/OS_NS_Thread.cpp:

          Worked around a bug in the VxWorks OS loader that caused complex
          objects to be constructed multiple times.  Instead of having a
          static ACE_TSS_Keys object within the ACE_TSS_Emulation class, we
          have a static pointer that is allocated upon the first call of
          ACE_TSS_Emulation::next_key().

        * ace/OS_NS_dlfcn.inl:
        * ace/OS_NS_string.cpp:
        * ace/OS_NS_sys_utsname.cpp:
        * ace/Pipe.cpp:
        * ace/SV_Message_Queue.h:
        * ace/SV_Semaphore_Simple.h:
        * ace/SV_Shared_Memory.h:
        * ace/config-lite.h:
        * ace/config-vxworks5.x.h:

          Added #includes necessary for building on VxWorks.

        * ace/os_include/os_signal.h:

          Changed NSIG to ACE_NSIG.

        * ace/os_include/os_unistd.h:

          Added #include <hostLib.h> for gethostname().

        * tests/TSS_Static_Test.cpp:
        * tests/run_test.lst:
        * tests/tests.mpc:

          Added a test to ensure that TSS used during static construction
          functions properly.  This test only performs a test if TSS
          emulation is used.

Tue Dec  9 15:09:55 UTC 2003  Don Hinton  <dhinton@dresystems.com>

        Thanks to Bruce Jones <bruce.jones@cubic.com> for the
        following patches for IRIX.

        * ace/config-irix6.5.x-sgic++.h:
          Removed ACE_HAS_EXPLICIT_TEMPLATE_INSTANTIATION and
          added ACE_HAS_STD_TEMPLATE_CLASS_MEMBER_SPECIALIZATION.

        * ace/config-irix6.x-common.h:
          Added ACE_LACKS_PERFECT_MULTICAST_FILTERING.

        * ace/config-irix6.x-sgic++-nothreads.h:
          Added ACE_LACKS_STDINT_H.

        * include/makeinclude/platform_irix6.x_sgic++.GNU:
          Set templates = implicit in not yet defined and only add
          -no_prelink to CCFLAGS if templates != implicit.

Mon Dec  8 19:44:04 UTC 2003  Don Hinton  <dhinton@dresystems.com>

        * include/makeinclude/rules.bin.GNU:
        * include/makeinclude/rules.local.GNU:
        * include/makeinclude/rules.nested.GNU:
        * include/makeinclude/wrapper_macros.GNU:
          Make sure that all variables are defined prior to first use to
          get rid of warnings.

        * include/makeinclude/rules.lib.GNU:
        * include/makeinclude/wrapper_macros.GNU:
          Moved the initial assignment of SOVERSION and SONAME from
          wrapper_macros.GNU to rules.lib.GNU so that users can set them
          in a Makefile or in another file, e.g., rules.tao.GNU.
          Since it must be set prior to it's use in rules.lib.GNU--it's
          used in a target name that isn't a pattern, so it's evaluated
          when the file is read--it can't be set later.  If versioned_so=1
          and the user has not set a value, either in the Makefile or by
          including a file like rules.tao.GNU that defines it, the default
          ACE version number will be used.  Note that rules.tao.GNU now
          behaves like rules.lib.GNU and only sets SOVERSION and SONAME
          if versioned_so=1 and they have not yet been set.  Thanks to
          Milan Cvetkovic <mcvetkovic@mpathix.com> for motivating this
          change.

Mon Dec  8 07:38:52 2003  Douglas C. Schmidt  <schmidt@ace.cs.wustl.edu>

        * ace/Logging_Strategy.cpp (fini): Check whether there's a reactor
          configured before trying to access it!  Thanks to Yoav Borer
          <yoav.borer@data-pod.com> for reporting this.

Mon Dec  8 16:14:01 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/fuzz.pl:
          Added a noncvs file check. I found yesterday some ncb and opt files
          in the TAO part of the repo, and they shouldn't be in the repo. This
          are msvc6 generated files. So added a noncvs file check which checks
          whether these files exists, and if they exist, give an error. If
          people know of more extensions that shouldn't get into the repo,
          feel free to add them.

Mon Dec  8 16:06:12 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        Added the ability to better determine whether apps/drwho must be build.
        By setting rwho=0 into the default.features file that MPC uses no
        makefiles are generated. For GNU make, just put rwho=0 into your
        own platform_macros.GNU file or in the specific platform file.

        * apps/drwho/drwho.mpc:
          Added requires rwho and removed the usage of nobuild.

        * apps/drwho/nobuild.mpb:
          Removed this file from the repo, it is not needed anymore

        * include/makeinclude/wrapper_macros.GNU:
          When rwho is not set, set it to 1. This way, we can set in the specific
          .GNU files rwho=0 when that environment doesn't support rwho.

        * include/makeinclude/platform_chorus.GNU:
        * include/makeinclude/platform_chorus4.x_g++.GNU:
        * include/makeinclude/platform_chorus_ghs.GNU:
        * include/makeinclude/platform_cygwin32.GNU:
        * include/makeinclude/platform_mingw32.GNU:
        * include/makeinclude/platform_vxworks5.x_diab.GNU:
        * include/makeinclude/platform_vxworks5.x_g++.GNU:
        * include/makeinclude/platform_vxworks5.x_ghs.GNU:
          Added rwho=0 because these environments don't have rwho.

Mon Dec  8 09:14:39 2003  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/modules/Driver.pm:

          Remove trailing slashes and duplicate slashes from relative paths.

Sun Dec  7 20:23:34 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * bin/auto_run_tests.pl:

          Fixed a problem with this checkin "Fri Nov 21 07:24:07 UTC 2003
          Don Hinton  <dhinton@dresystems.com>". The config_list
          declaration should be within the loop, else the list will be
          permanent. This lead to our ACE tests being run thrice, TAO ORB
          tests twice and other tests once. That change was bogus. All
          that was required was to remove ":" in the optlist.  Finding
          this out only took 3 hours after getting mislead to search
          through all the perl scripts for autobuild :(!

Sat Dec  6 19:36:19 2003  Steve Huston  <shuston@riverace.com>

        * ace/os_include/sys/os_stat.h: Added #include "ace/Time_Value.h"
          in the ACE_HAS_WINCE section because the WinCE version of struct
          stat uses ACE_Time_Value for time fields.

        * ace/config-WinCE.h: Added ACE_LACKS_FCNTL_H. eVC doesn't supply this,
          at least thru version 4.1.

        * ace/iosfwd.h: Disable most of this file if ACE_LACKS_IOSTREAM_TOTALLY
          is set.

        * ace/QtReactor.h:
        * ace/os_include/os_errno.h: Added /**/ to #include statements to
          keep eVC from complaining about files not being there.

Sat Dec  6 19:27:26 2003  Steve Huston  <shuston@riverace.com>

        * tests/aix_hack_for_main.cpp: New file that is here to be
          compiled first, along with Main.cpp, before any real test.
          This simply gets Main.o ready for all the other tests.
          This gets things back to where each test need only compile
          one source file, and the AIX C++ hack to delete the tempinc
          directory works again.

        * tests/Makefile.tests: Add aix_hack_for_main to the front of the
          BIN set of tests. It must be first in order for this hack to work.

Sat Dec  6 09:28:17 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * bin/tao_other_tests.lst:

          A bunch of tests depend on dynamic libraries being
          available. They have been prevented from running in the static
          builds. I am sending a separate mail to the authors to fix
          this.

Sat Dec  6 12:55:13 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/Reactor/WFMO_Reactor/APC.dsp:
        * examples/Reactor/WFMO_Reactor/APCTest.dsp:
        * examples/Reactor/WFMO_Reactor/WFMO_Reactor.dsw:
          The APC.dsp file was a normal test file, but it should be a
          binary file, to prevent all kinds of problems by adding and
          removing a file with the same name, just removed APC.dsp and
          added APCTest.dsp as binary. Also updated the corresponding dsw
          file. This should fix an error in the msvc6 debug build when
          cygwin cvs is used.

Fri Dec  5 21:48:43 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * ace/CORBA_macros.h:
          Fixed a typo in the documentation. Thanks to Thomas Lockhart for
          pointing it out.

Fri Dec  5 10:20:23 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * performance-tests/TTCP/ACE-C++/wrapper-new-ttcp.cpp:
          Removed not used local variable

Fri Dec  5 07:28:13 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Vector_Test.cpp:
          Added explicit template instantiation for the ACE_Vector_Iterator

Thu Dec  4 17:13:29 2003  Steve Huston  <shuston@riverace.com>

        * configure.ac: Removed extraneous set of [] for AS_IF test
          ace_has_tli_funcs = yes. Allows complete testing for all TLI/XTI-
          related features. Fixes some HP-UX problems.
          Wrapped ACE_HAS_BROKEN_T_ERROR check in
          ACE_CONVERT_WARNINGS_TO_ERRORS to work right on HP-UX.

        * m4/compiler.m4: Added a conditional set around CFLAGS on HP-UX,
          trying to silence a sh diagnostic at configure time. Didn't work...
          Added +p to WERROR for HP aC++. Allows "future error" warnings
          to be noted as errors. Now can properly detect non-const 5th
          arg to select().

        * m4/tls.m4: Moved AM_CONDITIONAL(BUILD_SSL) outside of the test
          $ac_cv_openssl_libs. This makes sure BUILD_SSL gets set properly
          whether or not with-ssl is set.

        * ace/OS_NS_Thread.cpp (rwlock_init): Added
          !defined (ACE_HAS_PTHREADS_UNIX98_EXT) to the cases where the .cpp
          version of rwlock_init() is defined (as opposed to the version in
          OS_NS_Thread.inl). This matches an earlier change to OS_NS_Thread.h:
          Thu Nov 20 17:30:18 2003  Steve Huston  <shuston@riverace.com>

Thu Dec  4 13:56:50 2003  Jeff Parsons <j.parsons@vanderbilt.edu>

        * ace/Basic_Types.cpp:

          Added #includes needed to compile if ACE_LACKS_LONGLONG_T is
          defined.

Thu Dec  4 13:46:36 2003  Chad Elliott  <elliott_c@ociweb.com>

        * bin/DependencyGenerator/DependencyEditor.pm:
        * bin/DependencyGenerator/DependencyGenerator.pm:
        * bin/DependencyGenerator/Preprocessor.pm:

          Added optimizations that cut the dependency generation time by
          over 40%.

Thu Dec  4 18:34:13 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Bug_1576_Regression_Test.cpp:
          This tests whether loading a non-existent .so will really fail.
          Don't log dll.error() because this is the error that we could
          not load the .so and this will then result in an error on the
          scoreboard. Just log an error in case we are able to load the
          non-existent .so

Thu Dec  4 16:51:13 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-vxworks5.x.h:
          VxWorks 5.5 (0x550) has clearerr, so changed the defines that
          set ACE_LACKS_CLEARERR to == 0x542 instead of >= 0x542. Thanks
          to Thomas Lockhart <Thomas.Lockhart@jpl.nasa.gov> for reporting
          this.

Thu Dec  4 16:31:12 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Vector_Test.cpp:
          When using BCB6 or earlier the second template argument of the
          ACE_Vector template must be passed explicit. Just expecting
          that the default one is used doesn't work with Borland.

Thu Dec  4 14:30:44 2003  Kobi Cohen-Arazi  <kcarazi@finjan.com>

        * ace/Task_Ex_T.i (reply, put_next):
        These 2 functions related to ACE_Stream Framework,
        doesn't work with new ACE_Task_Ex (yet)

Wed Dec  3 23:37:59 2003  Kobi Cohen-Arazi  <kobi-co@barak-online.net>

        * ace/Task_Ex_T.h:
        Add remark about the idea of merging ACE_Task and ACE_Task_Ex.
        Add remark about sibling always returning 0

        * ace/Task_Ex_T.cpp (ACE_Task_Ex::sibling):
        ACE_Task_Ex::sibling cannot call mod_->sibling(this) because it
        is not typed as ACE_Task<>. Return 0 always when calling sibling.
        TODO: That can be fixed if ACE_Task and ACE_Task_Ex can be merged so
        ACE_Task_Ex can have the Module ability - aka the Stream model.
        See ACE_Task_Ex.h for more info on that.

Wed Dec  3 12:14:51 2003  Steve Huston  <shuston@riverace.com>

        Pulled in these changes from the 5.3 stream:

        Tue Dec  2 14:43:28 2003  Steve Huston  <shuston@riverace.com>

        * ace/Vector_T.{h cpp i}: Added operator== and operator!= methods
          that take the correct vector length into account. The inherited
          ACE_Array methods run the whole array max length.

        Thu Sep 04 12:20:39 2003  Steve Huston  <shuston@riverace.com>

        * ace/Vector_T.{h, i, cpp}: Added new ACE_Vector_Iterator<T> class
          to correctly detect end of the vector content. Use this new class as
          ACE_Vector<>::Iterator. ACE_Vector previously used ACE_Array_Iterator
          as the iterator, but it doesn't notice the end of the legit vector
          area.

        * tests/Vector_Test.cpp: Added a test of the ACE_Vector::Iterator
          range to be sure it gets all legit vector elements, and no more.
          Thanks to Yann Steff <Yann.Steff@jci.com> for this test addition
          and for diagnosing the failure cause.

Wed Dec  3 15:58:12 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * performance-tests/Misc/basic_perf.bor:
        * performance-tests/Misc/childbirth_time.bor:
        * performance-tests/Misc/context_switch_time.bor:
        * performance-tests/Misc/preempt.bor:
        * performance-tests/Misc/test_mutex.bor:
        * performance-tests/Misc/test_naming.bor:
        * performance-tests/Misc/test_singleton.bor:
        * netsvcs/build.bor:
        * include/makeinclude/build_example.bor:
        * include/makeinclude/build_exe.bor:
        * examples/Timer_Queue/Async_Timer_Queue_Test.bor:
        * examples/Timer_Queue/Reactor_Timer_Queue_Test.bor:
        * examples/Timer_Queue/Thread_Timer_Queue_Test.bor:
        * examples/Smart_Pointers/gadget_test.bor:
        * examples/Smart_Pointers/widget_test.bor:
        * examples/Reactor/Multicast/client.bor:
        * examples/Reactor/Multicast/server.bor:
        * examples/Export/export_dll.bor:
        * examples/Export/test.bor:
        * apps/build.bor:
          Added missing Id tag

Wed Dec  3 09:48:55 2003  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/templates/gnu.mpd:

          Fixed a bug in the generated GNU Makefile where idl files that had
          scoped idlflag assignments would be processed every time
          regardless of whether the generated files were up-to-date or not.

Wed Dec  3 11:06:12 UTC 2003  Johnny Willemsen <jwillemsen@remedy.nl>

        * ace/OS_NS_Thread.h:
          Changed definition thr_setprio to fix link errors in MSVC6 release
          build.

Wed Dec  3 11:39:45 2003  Kobi Cohen-Arazi  <kcarazi@finjan.com>

        * tests/Task_Ex_Test.cpp:
          Added explicit instantiations to ACE_Task_Ex and ACE_Message_Queue_Ex

Tue Dec  2 16:33:14 2003  Steve Huston  <shuston@riverace.com>

        * ace/OS_NS_Thread.h: Add #include "ace/Object_Manager_Base.h" to get
          the ACE_OS_Object_Manager definition referenced by the ACE_OS_GUARD
          macros.

        * ace/OS_NS_Thread.inl: (ACE_OS_Thread_Mutex_Guard,
          ACE_OS_Recursive_Thread_Mutex_Guard): Changed use of
          ACE_Object_Manager::starting_up to ACE_OS_Object_Manager to match
          the class preallocated locks are obtained in the ACE_OS_GUARD
          macros, above. Fixes compile errors on Linux and others.

Tue Dec  2 14:43:17 2003  Steve Huston  <shuston@riverace.com>

        * ace/OS_NS_Thread.{h inl} (ACE_OS_Thread_Mutex_Guard,
          ACE_OS_Recursive_Thread_Mutex_Guard): Changed the constructors to
          check ACE_Object_Manager::starting_up () before grabbing the
          monitor lock. If done before ACE_Object_Manager has been
          initialized, the lock reference is invalid and often results
          in a crash in the guard object.
          The motivating case for this fix is a static ACE_Date_Time
          object which resulted in an ACE_OS_GUARD crashing in
          ACE_OS::localtime_r(). Thanks to Craig L. Ching
          <cching@mqsoftware.com> for this report.

        * tests/Date_Time_Test.cpp: Test a static ACE_Date_Time object.

Tue Dec  2 16:19:33 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Bound_Ptr_Test.h:
          Moved Printer definition outside the ACE_HAS_THREADS check to
          fix compile problems in single threaded builds.

Tue Dec  2 12:15:18 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/C++NPv2/Server_Shutdown.cpp:
          Added include of ace/OS_NS_string.h to get ACE_OS::strcmp

Tue Dec  2 12:07:13 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * apps/JAWS2/JAWS/Cache_Manager_T.cpp:
          Removed all std::, this causes problems in our MSVC6 builds

Mon Dec  1 22:04:37 2003  Kobi Cohen-Arazi  <kobi-co@barak-online.net>

        * tests/Task_Ex_Test.cpp:
        Move User_Defined_Msg class to Task_Ex_Test.h.

        * tests/Task_Ex_Test.dsp:
        Add Task_Ex_Test.h to dsp.

        * tests/Task_Ex_Test.h:
        Added to fix problems with AIX IBM and Template instantiations.

Mon Dec  1 13:03:50 2003  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/modules/Creator.pm:

          Fixed a bug in the subtraction operator on strings.  Values in
          doubled quoted strings weren't being subtracted properly.

Mon Dec 01 16:01:33 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/MakeProjectCreator/modules/Creator.pm (add_file_written):
          There was a warning given when something was written with exactly the
          same name, added an extra warning when things are just different by
          casing. This is no problem on a Unix box, but on a Windows box it
          will result in the fact that the second file overwrites the first.

        * bin/MakeProjectCreator/modules/WorkspaceCreator.pm:
          Do the duplicate check case insensitive by making everything lower
          case. Thanks to Chris Cleeland <cleeland@ociweb.com> for helping
          me fixing this. The reason is that VC6 handles project names
          case insensitive.

Sun Nov 30 10:40:13 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/MakeProjectCreator/modules/WorkspaceCreator.pm:
          When duplicates our not allowed and duplicates are found, then output
          an error instead of a warning

Sun Nov 30 10:22:29 2003  Kobi Cohen-Arazi  <kobi-co@barak-online.net>

        * tests/tests.dsw:
        * tests/Task_Ex_Test.icc:
        * tests/Task_Ex_Test.dsp:
        * tests/Makefile.am:
        Added Task_Ex_Test to Makefile.am and tests.dsw
        Added Task_Ex_Test.icc, Task_Ex_Test.dsp

Sat Nov 29 15:25:36 UTC 2003  Don Hinton  <dhinton@dresystems.com>

        * ace/config-lite.h: (new file)
        * ace/config-all.h:
          Added new file, config-lite.h, and moved most of the code,
          except for the includes, from config-all.h to the new file,
          and included it in config-all.h.  Since some of the files
          included by config-all.h in turn include config-all.h, we
          ended up with a circular include problem on some platforms.  The
          new file eliminates the problem by separating the includes from
          the definitions.

        * ace/ACE_export.h:
        * ace/os_include/os_stdarg.h:
        * ace/os_include/os_stddef.h:
        * ace/os_include/os_stdio.h:
          Include config-lite.h instead of config-all.h to avoid
          circular include problem.  Most, if not all, of the files in
          ace/os_include need only config-lite.h, but these are the only
          files that currently have the circular include problem.  Future
          subsetting can address the rest after the release.

Fri Nov 28 17:08:34 2003  Venkita Subramonian  <venkita@cs.wustl.edu>

        * Kokyu/README: Added this file with some basic information on
          Kokyu and pointing to the Kokyu html documents under Kokyu/docs.

Fri Nov 28 17:17:29 2003  Steve Huston  <shuston@riverace.com>

        * ace/Caching_Strategies_T.i: Added #include "ace/OS_Memory.h" so
          ACE_NEW can be found properly when inlined methods are used without
          the .cpp file, such as when instantiating templates in AIX Visual
          Age C++.

        * ace/Cache_Map_Manager_T.cpp: Added #include "ace/Log_Msg.h" to
          find ACE_ERROR, et al.

        * ace/Env_Value_T.h: Added #include "ace/Global_Macros.h" to
          get ACE_UNIMPLEMENTED_FUNC and "ace/OS_NS_stdlib.h" to get
          strtol, strtoul.

        * ace/Reverse_Lock_T.inl: Added #include "ace/OS_NS_errno.h" so
          errno can be found properly when inlined methods are used without
          the .cpp file, such as when instantiating templates in AIX Visual
          Age C++.

        * tests/Bound_Ptr_Test.{h, cpp}: Added #include "ace/Null_Mutex.h"
          to find ACE_Null_Mutex. Moved the Printer and Scheduler class
          definitions from Bound_Ptr_Test.cpp to a new file, Bound_Ptr_Test.h
          so AIX Visual Age C++ can find it when instantiating templates.

        * tests/Buffer_Stream_Test.cpp:
        * tests/Cached_Accept_Conn_Test.cpp:
        * tests/Cached_Allocator_Test.cpp:
        * tests/Cached_Conn_Test.cpp:
        * tests/CDR_Test.cpp:
        * tests/Config_Test.cpp:
        * tests/Env_Value_Test.cpp:
        * tests/Logging_Strategy_Test.cpp:
        * tests/MT_Reactor_Upcall_Test.cpp: Added #include
          "ace/OS_NS_string.h" to get string functions.

        * tests/Cache_Map_Manager_Test.cpp: Added #include "ace/OS_NS_stdlib.h"
          to get atoi() and srand(), and "ace/OS_Memory.h" for ACE_NEW.

        * tests/Capabilities_Test.cpp: Added #include "ace/OS_NS_fcntl.h" to
          get open() and "ace/OS_NS_unistd.h" to get write().

        * tests/Conn_Test.cpp: Added #include "ace/OS_NS_sys_select.h" to get
          select() and the proper mutex header, Thread_Mutex.h, Null_Mutex.h,
          or Process_Mutex.h.

        * tests/Conn_Test.h: Added #include "ace/Null_Condition.h" so the
          template parent has it available when instantiating templates.

        * tests/Env_Value_Test.cpp:
        * tests/Get_Opt_Test.cpp:
        * tests/Handle_Set_Test.cpp:
        * tests/Hash_Map_Bucket_Iterator_Test.cpp: Added #include
          "ace/OS_NS_stdlib.h" to get itoa().

        * tests/Future_Set_Test.cpp:
        * tests/Logging_Strategy_Test.cpp: Added #include "ace/OS_NS_stdio.h"
          and "ace/OS_NS_unistd.h" to get missing symbols on AIX.

        * tests/Future_Test.cpp: Added #include "ace/OS_NS_sys_time.h" to get
          gettimeofday() and "ace/OS_NS_string.h" to get strlen().

        * tests/MEM_Stream_Test.cpp: Added #include "ace/OS_NS_stdio.h" to get
          sprintf().

Fri Nov 28 11:21:05 2003  Ossama Othman  <ossama@dre.vanderbilt.edu>

        The following are fixes for problems exposed by running
        `autoreconf' with the "--warnings=all" command line option.

        * configure.ac:

          Precompute the absolute path of the ACE "tests" build
          directory.

        * Makefile.am (CONFIGURE_DEPENDENCIES):

          Updated configure script dependency list to reflect latest set
          of M4 filenames.

        * ace/Makefile.am:
        * ace/QoS/Makefile.am:
        * ace/RMCast/Makefile.am:
        * ace/SSL/Makefile.am:
        * apps/gperf/src/Makefile.am:
        * tests/SSL/Makefile.am:

          "INCLUDES" -> "AM_CPPFLAGS".  The former is obsolete.

        * tests/Makefile.am (libdir):

          Do not set this variable to the absolute path of the current
          working directory via the "$(shell pwd)" GNU Make extension.
          Instead pre-compute it inside the `configure' script, and then
          substitute the actual value inside the generated Makefile.
          "$(shell pwd)" is not portable to non-GNU Make implementations.

        * m4/ace.m4:

          Ran `autoupdate' on this file to update obsolete Autoconf
          macros.  In particular, "AC_HELP_STRING" is now
          "AS_HELP_STRING".

Fri Nov 28 15:37:36 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Makefile.tests:
          Added Task_Ex_Test

Fri Nov 28 15:34:53 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-WinCE.h:
          Added missing # before include.

Fri Nov 28 15:11:13 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * include/makeinclude/ace_flags.bor:
        * include/makeinclude/build_core_exe.bor:
        * include/makeinclude/build_core_library.bor:
        * include/makeinclude/build_dll.bor:
        * include/makeinclude/build_lib.bor:
        * include/makeinclude/build_library.bor:
        * include/makeinclude/clean.bor:
        * include/makeinclude/compiler.bor:
        * include/makeinclude/decorator.bor:
        * include/makeinclude/install.bor:
        * include/makeinclude/make_flags.bor:
        * include/makeinclude/outputdir.bor:
        * include/makeinclude/recurse.bor
          Added missing id tag

Fri Nov 28 14:59:03 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ACE-INSTALL.html:
          Updated Cygwin documentation, use GCC 3.2.3 and select DOS
          as default text file type.

Fri Nov 28 08:56:50 2003  Douglas C. Schmidt  <schmidt@ace.cs.wustl.edu>

        * ace/Configuration_Import_Export.cpp (import_config): Rearranged
          the code a bit to avoid declaring the "end" variable multiple
          times in the loop.  Thanks to Moran Levi for suggesting this.

Fri Nov 28 14:31:12 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/fuzz.pl:
          Fixed error in my previous change.

Fri Nov 28 14:03:53 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/OS_NS_Thread.inl:
          Moved ACE_OS::mutex_init() above ACE_OS::event_init() to fix
          internal compiler error with Cygwin.

Fri Nov 28 13:43:12 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/fuzz.pl:
          Also check for Id string in the .bor files.

Thu Nov 27 10:40:32 2003  Douglas C. Schmidt  <schmidt@ace.cs.wustl.edu>

        * ace/Configuration_Import_Export.cpp (import_config): The
          problem: when importing a configuration from file - the import
          process assumes maximum line length of 4096 bytes (which means
          actually about 1360 bytes because each byte is represented as
          three bytes in the output file).  The solution is to use a
          dynamic buffer to load a line from the file. If the load did not
          reach the end of the line - resize the buffer and continue until
          the end of the line is reached.  Thanks to Moran Levi
          <moran@monosphere.com> for the fixes.

Thu Nov 27 16:51:31 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tests/ARGV_Test.cpp:

          Fixed compile errors on Win32.

Thu Nov 27 10:51:00 UTC 2003  Don Hinton  <dhinton@dresystems.com>

        * include/makeinclude/rules.bin.GNU:
        * include/makeinclude/rules.lib.GNU:
          Added new variable, LIB_INSTALL that contains the libraries that
          should be installed and added it as a dependency of BIN so that
          the libs will get installed prior to building the BIN that depends
          on it.

Wed Nov 26 18:36:04 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tests/ARGV_Test.cpp:

          Fixed compile errors, mostly related to missing includes.

Wed Nov 26 17:09:32 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * ace/Log_Msg.cpp (log): Fixed a compile error with VC6.

Wed Nov 26 12:10:22 2003  Douglas C. Schmidt  <schmidt@ace.cs.wustl.edu>

        * ace/OS_NS_signal.h: Put the typedef for ACE_SIGNAL_C_FUNC inside
          of an extern "C" block to quiet warnings on Solaris.  Thanks to
          Kevin Heifner <heifner_k@ociweb.com> for this suggestion!

        * ace/POSIX_Proactor.cpp: Made the sig_handler() function static
          so that it won't "leak" out of ACE!

        * tests/Log_Msg_Test.cpp (test_format_specs):
        * ace/Log_Msg.cpp (log): ACE_Log_Msg::log has a number of problems
          when ACE is built with ACE_USES_WCHAR
          1) %m needs to convert strerror to wide string
          2) %I should not use memset to set spaces in wide string
          3) recent modifications to remove dependencies on ACE_TRACE
             prevent %I from indenting
          Thanks to Duane Binder for these fixes. Fixes [BUGID 1660]

Wed Nov 26 12:15:22 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * bin/tao_other_tests.lst:

          Blocked a number of tests from running in if messaging is disabled.

Wed Nov 26 17:41:13 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * include/makeinclude/ace_flags.bor:
          Changed TAO FT flags and libs

Wed Nov 26 10:11:20 2003  Douglas C. Schmidt  <schmidt@ace.cs.wustl.edu>

        * tests/ARGV_Test.cpp: Added new functions to test the fixes by
          Duane Binder below.

        * ace/Argv_Type_Converter.cpp (cleanup): Ensure we don't try to
          delete memory that wasn't allocated dynamically.  Thanks to
          Duane Binder <duane.binder@veritas.com> for reporting this and
          providing a fix.  This fixes bugid 1658.

        * ace/Log_Msg_NT_Event_Log.cpp (open):
          ACE_Log_Msg_NT_Event_Log::open() has a problem with passing the
          program name to ACE_TEXT_RegSetValueEx.  It is passing
          msg_file_length.  msg_file_length is defined as
          ACE_OS::strlen(msg_file).  Unfortunately, this is 1/2 the
          required buffer length since this argument is defined in bytes,
          not in characters. End result - the event log message file entry
          is truncated resulting in the log message file not found.
          Thanks to Duane Binder <duane.binder@veritas.com> for reporting
          this and providing a fix.  This fixes bugid 1659.

        * ace/POSIX_Proactor.cpp: Changed sig_handler() to be extern "C".
          Thanks to Chris Cleeland for suggesting this fix.

        * ace/Process.{h,cpp}: Fixed the ACE_Process_Options::command_line_argv()
          method so that it doesn't modify the command_line_buf_ parameter
          directly since this messes things up when process_name() is
          used.  Thanks to Dror Tirosh <ace@dror.mailshell.com> for reporting
          this.

Wed Nov 26 16:09:55 UTC 2003  Don Hinton  <dhinton@dresytems.com>

        * tests/IO_Stream_Test.cpp:
          Added #include OS_NS_sys_wait.h:

Wed Nov 26 15:58:07 UTC 2003  Don Hinton  <dhinton@dresytems.com>

        * ace/config-WinCE.h:
          Added #define ACE_LACKS_SIGNAL_H and ACE_LACKS_SYS_STAT_H.

Wed Nov 26 14:52:43 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/IPC_SAP/SSL_SAP/SSL-server.cpp:
          Corrected wrong include

Tue Nov 25 16:24:18 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * bin/tao_orb_tests.lst:

          Added the Servant_To_Reference_Test for the daily builds.

Tue Nov 25 23:41:21 2003  Kobi Cohen-Arazi  <kobi-co@barak-online.net>

        * apps/JAWS3/jaws3/Concurrency.cpp:

          Remove the unnecessary ACE_TEMPLATE_METHOD_SPECIALIZATION

        * apps/JAWS3/jaws3/Config_File.cpp:

          Added #include "ace/Unbounded_Queue.h"

        * apps/JAWS3/jaws3/Datagram.cpp:

          Remove unnecessary default values in cpp impl file.

        * apps/JAWS3/jaws3/Event_Dispatcher.cpp:
          Use ACE_THR_FUNC_RETURN instead of void*

        * apps/JAWS3/jaws3/IO.h:

          Added #include "ace/Singleton.h" and  #include
          "ace/Synch_Traits.h"

        * apps/JAWS3/jaws3/Reactive_IO.cpp:

          Added #include "ace/ACE.h"

        * apps/JAWS3/jaws3/Signal_Task.cpp:

          Added #define JAWS_BUILD_DLL. Use ACE_THR_FUNC_RETURN instead of
          void*. Add if !defined (ACE_WIN32) for WIN32 because of SIGHUP

        * apps/JAWS3/jaws3/Signal_Task.h:

          Added #include "jaws3/Export.h" and add JAWS_Export to
          JAWS_Signal_Task

        * apps/JAWS3/jaws3/THYBRID_Concurrency.h:
        * apps/JAWS3/jaws3/TPR_Concurrency.h:

          Added #include "ace/Atomic_Op.h"

Tue Nov 25 23:35:27 2003  Kobi Cohen-Arazi  <kobi-co@barak-online.net>

        * apps/JAWS3/jaws3.mwc:
        * apps/JAWS3/jaws3/jaws3.mpc:

          Added To the repository

Tue Nov 25 15:01:28 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * bin/MakeProjectCreator/config/global.features:

          Added sctp and xt_reactor to the list of features.

Tue Nov 25 12:34:15 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * ace/DLL.h: Made the constructors explicit.

        * ace/Service_Config.cpp:

          Fix for one of the problems that showed up in TAO. For some
          reason  we were passing in a "0" to the constructor
          ACE_Service_Type that was expecting a const ACE_DLL &. None of
          the compilers complained about this, since they created
          temporary. This created all sorts of problems once this "Sun Nov
          23 11:00:02 2003  Douglas C. Schmidt
          <schmidt@ace.cs.wustl.edu>" went through since it added a new
          constructor.

          We have now fixed it by creating a temporary and forcing the
          compiler to use the right constructor of ACE_Service_Type. This
          shouldn't be harmful, since we were expecting just this.

Tue Nov 25 11:14:09 2003  Chad Elliott  <elliott_c@ociweb.com>

        * ace/config-lynxos.h:
        * include/makeinclude/platform_lynxos.GNU:

          Made modifications to support LynxOS 4.0.0 and shared libraries.

Tue Nov 25 14:13:24 UTC 2003  Don Hinton  <dhinton@dresystems.com>

        * include/makeinclude/all_in_one.GNU:
          Include rules.bin.GNU after rules.lib.GNU so that dependencies
          can be correctly set.  Use definition of DIRS to decide whether
          to include rules.nested.GNU or rules.nonested.GNU.
          rules.nested.GNU is needed to recurse directories if DIRS is
          defined.

Tue Nov 25 10:08:12 2003  Kobi Cohen-Arazi  <kobi-co@barak-online.net>

        * apps/JAWS3/jaws3/io.h:
        * apps/JAWS3/jaws3/io.cpp:
        * apps/JAWS3/jaws3/file.h:
        * apps/JAWS3/jaws3/file.cpp:
          Removed.


Tue Nov 25 09:23:35 2003  Kobi Cohen-Arazi  <kobi-co@barak-online.net>

        * apps/JAWS3/small/SS_Templates.cpp:
        * apps/JAWS3/jaws3/io.h:
        * apps/JAWS3/jaws3/io.cpp:
        * apps/JAWS3/jaws3/file.h:
        * apps/JAWS3/jaws3/file.cpp:
        * apps/JAWS3/jaws3/Timer_Helpers.h:
        * apps/JAWS3/jaws3/Timer_Helpers.cpp:
        * apps/JAWS3/jaws3/Templates.cpp:
        * apps/JAWS3/jaws3/Reactive_IO_Helpers.h:
        * apps/JAWS3/jaws3/Options.h:
        * apps/JAWS3/jaws3/Options.cpp:
        * apps/JAWS3/jaws3/Asynch_IO_Helpers.h:
        * apps/JAWS3/jaws3-todo/Reactive_Socket_Helpers.h:
        * apps/JAWS3/jaws3-todo/Reactive_Socket_Helpers.cpp:
        * apps/JAWS3/http/HTTP_States.h:
        * apps/JAWS3/contrib/john_at_lyris_dot_com/readme:
        * apps/JAWS3/contrib/jmills_at_tga_dot_com/readme:
        * apps/JAWS3/bench/rqfiles.cpp:
        * apps/JAWS3/bench/mkfiles.cpp:
        * apps/JAWS3/docs/web/images/jaws3_components.gif:
        * apps/JAWS3/docs/web/images/jaws3_components.fig:
        * apps/JAWS3/docs/web/images/jaws3_banner.png:
        * apps/JAWS3/docs/web/images/jaws3_banner.gif:

          Added to the repository

Tue Nov 25 05:25:58 UTC 2003  Don Hinton  <dhinton@dresystems.com>

        * include/makeinclude/all_in_one.GNU:
          Include rules.nonested.GNU instead of rules.nested.GNU to enable
          parallel builds.  Thanks to Bala for noticing that the builds
          didn't always build in parallel as expected.

Mon Nov 24 18:30:12 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * include/makeinclude/platform_sunos5_sunc++.GNU:
          When using CC 5.5 (SunForte8) then use implicit templates

Mon Nov 24 17:29:30 UTC 2003  Don Hinton  <dhinton@dresystems.com>

        * include/makeinclude/rules.local.GNU:
          Added a $(TAO_IDL_DEP) target that emits an error if the
          $(TAO_IDL_DEP) doesn't exist.  Thanks to Carlos for
          motivating this and suggesting the use of /bin/false to force
          make to see the error.

Mon Nov 24 16:59:53 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/OS_NS_stdio.inl:
          Moved ACE_OS::flock_unlock() to an earlier place in this file
          to fix an internal compiler with MinGW.

Mon Nov 24 07:03:15 2003  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/templates/em3vcpdll.mpt:
        * bin/MakeProjectCreator/templates/em3vcpdllexe.mpt:
        * bin/MakeProjectCreator/templates/em3vcplib.mpt:
        * bin/MakeProjectCreator/templates/em3vcplibexe.mpt:
        * bin/MakeProjectCreator/templates/nmakedll.mpt:
        * bin/MakeProjectCreator/templates/vc6dspdll.mpt:
        * bin/MakeProjectCreator/templates/vc6dsplib.mpt:

          Removed the /Zi option (enable debugging information) from the
          release targets.

Mon Nov 24 05:26:14 UTC 2003  Don Hinton  <dhinton@dresystems.com>

        * include/makeinclude/rules.local.GNU:
          Only cleanup shared libraries when shared_libs is defined and
          static libraries when static_libs is defined.  Also, test for
          whether or not the CLEANUP targets in this case are empty, not
          b
          just for existence, since they always exist by this time.

Mon Nov 24 02:38:58 UTC 2003  Don Hinton  <dhinton@dresystems.com>

        * include/makeinclude/all_in_one.GNU:
        * include/makeinclude/wrapper_macros.GNU:
        * include/makeinclude/rules.local.GNU:
          Removed the multiple assignments to BUILD from
          wrapper_macros.GNU and all_in_one.GNU and replaced them with a
          single assignment to VBUILD in rules.local.GNU.  VBUILD always
          includes the following targets: IDL_SRC, VLIBS, VBIN, then
          filters out any of these already in BUILD and includes them too.
          IDL_SRC and the V* targets get defined in the appropriate
          rules.*.GNU file or Makefile or are defined in rules.local.GNU
          prior to use.  If VBIN has not yet been defined when
          rules.local.GNU is loaded, but BIN has been (because BIN or
          BIN_UNCHECKED was defined in the Makefile but rules.bin.GNU
          wasn't included), VBIN is defined in terms of BIN, and is set to
          depend on VLIBS.  VLIBS is defined in rules.lib.GNU and
          discussed below.

        * include/makeinclude/rules.lib.GNU:
          Assign VLIB and/or VSHLIB and VSHLIBA to VLIBS if either
          static_libs and/or shared_libs is defined, respectively.  Added
          a rule that they depend on IDL_SRC if it's defined, which will
          insure that they are built first.  Issue warning if this file
          was included but no *LIB or *LIB_UNCHECKED variables were defined.

        * include/makeinclude/rules.bin.GNU:
          Modified the BIN target to command to use the specific objects
          from the dependency list instead of $^ which takes all the
          dependencies, even those added elsewhere--make is evil in this
          respect.  Since objects could be listed multiple times, sort is
          used to remove duplicates. Added dependency rules making VBIN
          dependent on VLIBS and IDL_SRC.  Issue warning if this file is
          included and BIN or BIN_UNCHECKED wasn't defined.

        * include/makeinclude/rules.local.GNU:
          In addition to the BUILD changes noted above, added
          makefile.local target the prints out the name of the Makefile in
          use.  This really helpful in big directories with lots of
          Makefiles.  Set the SUFFIXES to nothing so that implicit rule
          matching based on suffixes is turn off--we only want our
          explicit rules to fire.  Removed the IDL_SRC dependency rule
          added below since it was redundant and already handled in
          rules.tao.GNU.

        * include/makeinclude/wrapper_macros.GNU:
          Removed VBIN assignment since it belongs in rules.bin.GNU and/or
          rules.local.GNU and is no longer needed here since the BUILD
          variable assignments were removed as noted above.  Added
          comments on how to use the various variables.

        * include/makeinclude/all_in_one.GNU:
        * include/makeinclude/platform_g++_common.GNU:
        * include/makeinclude/platform_linux.GNU:
        * include/makeinclude/rules.bin.GNU:
        * include/makeinclude/rules.lib.GNU:
        * include/makeinclude/rules.local.GNU:
        * include/makeinclude/wrapper_macros.GNU:
          Use ifdef/ifndef to test to see if variables exist before
          testing their values.

        * apps/Gateway/Gateway/Makefile:
          Added -lGateway to LDLIBS and removed the VBIN target dependency
          lists.

        * apps/Gateway/Peer/Makefile:
          Added -lPeer to LDLIBS and removed the VBIN target dependency
          lists.

        * tests/Makefile.DLL_Test:
        * tests/Makefile.Framework_Component_DLL:
        * tests/Makefile.Service_Config_DLL:
        * tests/Makefile.Test_Output:
          Removed the erroneous BUILD variable assignments that were
          incorrect and no longer work correctly.

Sun Nov 23 11:00:02 2003  Douglas C. Schmidt  <schmidt@ace.cs.wustl.edu>

        * ace/Service_Object.cpp (ACE_Service_Type): Added an ACE_const_cast<>
          to resolve a bug.  Thanks to Bala for reporting this.

Sun Nov 23 14:17:33 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Tests.bor:
          Added Task_Ex_Test

Sun Nov 23 10:06:43 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ACE-INSTALL.html:
          Added a new section how to build ACE with Cygwin

Sat Nov 22 15:39:05 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * ace/Service_Object.h:

          Made <this->dll_> mutable. This should get rid of the errors in
          the scoreboard.

Sat Nov 22 22:10:14 2003  Kobi Cohen-Arazi  <kobi-co@barak-online.net>

        * tests/Task_Ex_Test.cpp:
        * tests/run_test.lst:
        * tests/tests.mpc:
          Added test for ACE_Task_Ex

Sat Nov 22 22:03:34 2003  Kobi Cohen-Arazi  <kobi-co@barak-online.net>

        * ace/ace.mpc:

          Added Task_Ex_T file

Sat Nov 22 22:00:15 2003  Kobi Cohen-Arazi  <kobi-co@barak-online.net>

        * ace/Task_Ex_T.h:
        * ace/Task_Ex_T.i:
        * ace/Task_Ex_T.cpp:

          Added support for ACE_Task with Use define Message template
          parameter.

Sat Nov 22 21:07:09 2003  Kobi Cohen-Arazi  <kobi-co@barak-online.net>

        * ace/OS_NS_Thread.h :

          Added "&& !defined (ACE_DEFAULT_THREAD_KEYS)". Problems occurs
          on win2k/XP when OS support up to 1024 slots,  but MS-sdk
          defines TLS_MINIMUM_AVAILABLE as 64. Now, Win2k/XP Users can
          raise that number, define-ing ACE_DEFAULT_THREAD_KEYS as 1024
          e.g..

Sat Nov 22 11:18:38 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * ace/Service_Object.{h,cpp}:

          Reverting this change "Fri Nov 21 12:13:42 2003  Balachandran
          Natarajan  <bala@dre.vanderbilt.edu>" since Dr. Schmidt wants to
          fix this the right way.

Fri Nov 21 12:13:42 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * ace/Service_Object.{h,cpp}:

          Reverted this change since it broke the builds.
          "Thu Nov 20 18:11:32 2003  Douglas C. Schmidt
          <schmidt@ace.cs.wustl.edu>".  We will get a better patch soon
          from the user.

Thu Nov 20 18:11:32 2003  Douglas C. Schmidt  <schmidt@ace.cs.wustl.edu>

        * ace/Service_Object.{h,cpp}: Added a new constructor for
          ACE_Service_Type that is passed an ACE_SHLIB_HANDLE handle.
          This fixes a bug with ACE_DLL_Strategy::make_svc_handler().
          Thanks to Thomas Girard <thomas.g.girard@free.fr> for reporting
          this.

Fri Nov 21 13:26:22 UTC 2003  Don Hinton  <dhinton@dresystems.com>

        * *Makefile*:
          Updated dependencies for all Makefiles normally built.

        * include/makeinclude/macros.GNU:
        * include/makeinclude/rules.common.GNU:
          Added cleanup_idl_stubs.  It was already there as a .local
          target, now it can be called directly.  This allows you to
          cleanup the idl stub code for a particular project without
          having to run realclean which will cleanup all everything in the
          directory.

Fri Nov 21 07:24:07 UTC 2003  Don Hinton  <dhinton@dresystems.com>

        * bin/auto_run_tests.pl:
          Moved the declaration of $config_list to before the if(!getopt
          line, since it's used there if the if is satisfied.  Removed the
          ":" after a in the getopt argument list, since -a does not take
          a mandatory argument (which is what ":" means).  This has
          prevented any tests from running in the ACE only autobuilds.
          since September.

Fri Nov 21 02:57:35 UTC 2003  Don Hinton  <dhinton@dresystems.com>

        This is a major reorganization of the make system, and was
        motivated by intermittent build errors in the autobuilds as well
        as the pending move to MPC.  Sorry if it's a little long, it's in
        a quasi Irfan-Bala style...

        Specific changes are noted below, but here's a basic overview:

        clean: Cleans up only the objects actually created by the
          current project.  If multiple makefiles exist in the same
          directory, they no longer need to be completely rebuilt because
          another makefile issued a clean.  This will help in large
          directories like $(ACE_ROOT)tests or
          $(TAO_ROOT)/orbsvcs/orbsvcs.  These objects are cleaned up even
          if a particular feature is not enabled, e.g., rmcast, ssl,
          Other, etc., and is not dependent on bin/ace_components or the
          files it maintains.  So, for normal development, prefer clean
          over realclean.

        realclean: Cleans up everything, including the removal of the
          .obj or .shobj directories, and any IDL files, e.g., *C.h, etc.
          Like clean:, it also cleans up objects whether or not the
          feature is currently enabled, thus obviating reverseclean:
          entirely.  Also removed the multiple $(RM) lines.  Each clean
          target now only invokes $(RM) a single time, and they aren't
          invoked at all in Makefiles that don't actually build anything.
          This reduced the time to run realclean on TAO by about 10%.

        BUILD:  It now includes $(IDL_SRC) as the first dependency, so
          that idl_stubs is always invoked first if needed.  It also
          includes, in order, $(VLIB), $(VSHLIB), and $(VSHLIBA),
          depending on the values of static_libs and shared_libs.
          Finally, it includes $(VBIN) so that it's the last thing built.
          This ordering will always work even in parallel builds, -jn
          with n > 1, since dependencies are processed in order.  Had
          these target just satisfied other rules, but were not explicitly
          ordered, make would have tried to build them at the same time.
          This should fix most of the parallel build autobuild errors.

        depend: Now depends on idl_studs, so you no longer have to run
          both in order.  depend will invoke idl_stubs if needed.  It also
          uses $(VDIR) instead of a hard coded .obj/ value, and removes
          the config-*h files even if it's run in the $(ACE_ROOT)/ace
          directory, but leaves config-all.h and a new variable file,
          $(ACE_PLATFORM_CONFIG), which can be set in the appropriate
          platform_*.GNU file to correspond to the matching config-*.h
          file.  For instance, it is set to config-linux.h in
          platform_macros.GNU so that changes to config-linux.h will
          insure recompilation on Linux.  It defaults to config.h if not
          set in platform_*.GNU.  $(PSRC) is now set to $(addsuffix .cpp,
          $(CLEANUP_BIN)), where $(CLEANUP_BIN) is either $(BIN) or
          $(BIN_UNCHECKED) or $(BIN2), $(BIN_UNCHECKED) is heavily used in
          TAO and MPC, and $(BIN2) is heavily used in ACE, so both are
          maintained. This insures that it will be added to the
          dependencies even if the developer forgets to add it to the
          Makefile.  In fact, it's here so it doesn't have to be added to
          the Makefile.

        install/deinstall:  These are somewhat problematic, since they
          *must* be installed to actually run anything, but now they
          install exactly what you build, $(LIB) or $(SHLIB), and
          deinstall the same even if the feature isn't enabled, as in
          clean above.  Also, the versioning code was modified a bit to
          make it easier to understand and make deinstall work correctly.

        $(IDL_SRC): This target was added here, because adding it to
          $(TAO)/rules_tao.GNU wouldn't work correctly due to backward
          compatibility issues.  Anyway, it depends on $(IDL_FILES) and
          will force idl_stubs to be run if any of the idl files change.
          Unfortunately, we can't yet generate dependencies for idl files,
          but perhaps that won't be hard to add in the future.

        component_check.GNU:  Including this file is similar to calling a
          function with named parameters, it's been altered to let you
          include it as many times as you want.  It will probably evolve
          over time, but currently, you add of list of all components that
          you want to tests to an input variable, REQUIRED_COMPONENTS,
          include the file, then test to see if the return variable,
          MISSING_COMPONENTS, contains any of the components specified in
          REQUIRED_COMPONENTS, if it does, these components are missing,
          i.e., not specified in either platform_macros.GNU, the
          commandline, or contained in any of the ace_components files.
          For example, if you want to test for ssl and Other, you'd do
          something like this:

            REQUIRED_COMPONENTS = ssl Other
            include $(ACE_ROOT)/include/makeinclude/component_check.GNU
            ifneq ($(MISSING_COMPONENTS),)
              all:
                     @echo Missing $(MISSING_COMPONENTS)
            endif

          This should greatly simplify Makefiles in general and MPC
          templates in particular.

        * include/makeinclude/all_in_one.GNU:
        * include/makeinclude/component_check.GNU:
          Moved the code that set the BIN, LIB, and SHLIB variable from
          component_check.GNU to all_in_one.GNU, and removed the include
          guards from component_check.GNU so it could be included multiple
          times like a function call.  Also, set the BUILD to the correct
          values depending on which variables are set (BUILD is also set
          correctly in wrapper_macros.GNU, but this implementation should
          be more correct if all_in_one.GNU is used instead of including
          the other files individually).

        * include/makeinclude/platform_linux.GNU:
        * include/makeinclude/wrapper_macros.GNU:
        * include/makeinclude/rules.local.GNU:
        * bin/g++dep:
          Added ACE_PLATFORM_CONFIG = config-linux.h, so that
          config-linux.h will always be included in dependencies on
          Linux.  Added default value of config.h to wrapper_macros.GNU,
          and pass it to g++dep where it is used to replace the matching
          file dependency with $(ACE_PLATFORM_CONFIG) so we can pick up
          the correct dependency automatically on each platform.

        * include/makeinclude/wrapper_macros.GNU:
        * include/makeinclude/platform_sunos5_kcc.GNU:
        * include/makeinclude/platform_sunos5_sunc++.GNU:
          Moved the assignment of the CLEANUP_* variables to the top of
          wrapper_macros.GNU, and changed the test in the two platform_*
          files from BIN to CLEANUP_BIN, so they can be correctly tested
          even if BIN_UNCHECKED of BIN2 was defined in the Makefile
          instead of BIN.

        * include/makeinclude/rules.bin.GNU:
          Assign CLEANUP_BIN to PSRC so that it gets passed to depend and
          dependencies are generated even if the component isn't enabled
          or not explicitly included in VOBJS which is derived from SRC.

        * include/makeinclude/rules.lib.GNU:
          Modified the versioning variables and created CLEANUP_INSTALL so
          that libraries can be installed and uninstalled correctly even
          if components are currently enabled.  Cosmetic fixes to the
          ifdef code to make it more readable, added comments.

        * include/makeinclude/rules.local.GNU:
          More cosmetic changes to make it more readable.  Added
          CLEANUP_OBJDIRS to make it easier to keep track of what
          directories need to be removed during clean and realclean.
          Condensed the clean and install/deinstall target code to use
          fewer rm calls and only call them if there's something to do.
          Also, only cleanup the library or bin that was created,
          including a specific version number if available.  These use the
          special CLEANUP_* variables so they aren't dependent on whether
          or not a feature or component is enabled.

        * include/makeinclude/wrapper_macros.GNU:
          Added $(IDL_SRC) to all the BUILD variables (there are lots of
          them), so that they are always generated first if defined.
          Commented out the assignment of $(VSHDIR) to $(VDIR) is building
          shared_libs_only and not on VXWORKS.  This doesn't seem right,
          especially if we are building bins and libs in the same directory.

Thu Nov 20 17:30:18 2003  Steve Huston  <shuston@riverace.com>

        * ace/os_include/sys/os_socket.h: HP-UX supplies the socklen_t type
          unless some feature set less than _XOPEN_SOURCE_EXTENDED is
          specifically requested. However, it only actually uses the
          socklen_t type in supplied socket functions if
          _XOPEN_SOURCE_EXTENDED is specifically requested. So, for example,
          the compile options ACE usually uses (includes -mt) cause
          _HPUX_SOURCE to be set, which sets _INCLUDE_XOPEN_SOURCE_EXTENDED
          (causing socklen_t to be defined) but _not_ _XOPEN_SOURCE_EXTENDED
          (causing socket functions to use int, not socklen_t).

        * ace/OS_NS_Thread.h (ACE_rwlock_t): Uncomment the two lines that
          set "typedef pthread_rwlock_t ACE_rwlock_t" for
          ACE_HAS_PTHREADS_UNIX98_EXT.

        * ace/OS_NS_Thread.inl (rw_trywrlock_upgrade): Add "defined
          (ACE_HAS_PTHREADS_UNIX98_EXT)" to the platforms that return
          ENOTSUP for this. Avoids tripping over the code that emulates it
          without having the emulated lock type set up.

        * ace/OS_NS_sys_stat.h: Change #include "ace/os_include/sys/os_types.h"
          to "ace/os_include/sys/os_stat.h" to get the proper struct stat
          definition for the platform. Fixes compile error on HP-UX.

Thu Nov 20 09:35:01 2003  Dale Wilson  <wilson_d@ociweb.com>

        * bin/MakeProjectCreator/config/fault_tolerance.mpb:
          New--to support fault tolerance mpc files.

        * bin/MakeProjectCreator/config/orbsvcsexe.mpb:
        * bin/MakeProjectCreator/config/taoexe.mpb:
          Add IDL includes to match CPP includes.

Thu Nov 20 07:51:59 2003  Douglas C. Schmidt  <schmidt@tango.doc.wustl.edu>

        * ace/OS_NS_sys_uio.cpp: "Short-circuit the readv_emulation() and
          writev_emulation() for the case where there's just a single
          element in the iovec.  Thanks to Edan Ayal <edanayal@yahoo.com>
          for contributing this.

Wed Nov 19 11:55:43 2003  Douglas C. Schmidt  <schmidt@ace.cs.wustl.edu>

        * ace/Mem_Map.i (map): Reverted the change from

          Mon Nov 17 17:09:37 2003  Douglas C. Schmidt  <schmidt@ace.cs.wustl.edu>

          since this isn't the right fix.  Thanks to Kitty for noting this.

Wed Nov 19 10:09:12 2003  Chad Elliott  <elliott_c@ociweb.com>

        * bin/DependencyGenerator/GNUDependencyWriter.pm:
        * bin/DependencyGenerator/Preprocessor.pm:

          Modifications that decrease the time to generate dependencies by
          7 percent.

        * bin/depgen.pl:

          Added the -n option to the usage and updated the version number.

Wed Nov 19 09:53:06 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * ace/config-win32-msvc-7.h:

          MSVC 7 supports templates class specialization.

Tue Nov 18 22:31:00 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * bin/MakeProjectCreator/config/naming.mpb:

          Naming service now depends on messaging.

Tue Nov 18 22:12:53 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * ace/Log_Msg.cpp:
        * ace/Log_Msg.h:

          Fixed warnings in the daily builds. Further, made some cosmetic
          changes.

Tue Nov 18 21:25:23 2003  Tao Lu  <lu@dre.vanderbilt.edu>

        * html/index.html:
          Configured the index.html to display CIAO doxygen information.

Tue Nov 18 15:58:00 2003  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * configure.ac (AC_PROC_CC, AC_PROG_CPP, AC_PROG_CC_C_O):

          No need to check for a C compiler and preprocessor.  ACE is only
          compiled with a C++ compiler.

          (AC_LIBTOOL_TAGS):

          Added call to this Libtool autoconf macro to only enable C++
          library support.  C and FORTRAN support are unnecessary.  Note
          that this forces a requirement on Libtool 1.5 or better.

          (ACE_CHECK_TLS):

          Only run the OpenSSL detection tests if SSL support is enabled
          by the user.

        * m4/ace.m4:

          Enable TLS/SSL support by default.

        * m4/aio.m4:
        * m4/features.m4:

          Renamed `features.m4' file to `aio.m4' to better reflect the
          contents of this file, namely asynchronous IO checks.

        * m4/config_h.m4 (AH_BOTTOM):

          Prevent Emacs from inadvertently applying the "Local Variables"
          block to be placed in the generated "config.h" header to this
          Autoconf/M4 file by splitting the words "Local" and "Variables"
          into two separate concatenated M4 quoted blocks.

        * m4/tls.m4:

          New Autoconf OpenSSL detection tests.

        * ace/Makefile.am (clean-local):

          Updated list of additional files/directories unknown to the
          standard "clean" target to be cleaned.

        * ace/SSL/Makefile.am:

          (AM_CPPFLAGS):

          Add preprocessor flags necessary to build applications with
          OpenSSL support.  Detected at "configure-time".

          (libACE_SSL_la_LIBADD):

          Link the OpenSSL libraries detected at "configure-time."

        * tests/Makefile.am (SUBDIRS):

          Build the SSL test subdirectory.

          (noinst_SCRIPTS):

          Removed non-existent files from this list.  Fixes some build
          problems.

          (libTest_Output_la_LDFLAGS):

          Removed "-module" libtool flag from libTest_Output.* linker
          flags.  This library is meant to be linked at build time, not
          loaded dynamically.

          (*_SOURCES, LDADD):

          No need to add `Main.cpp' to all test source lists.  Simply
          adding `Main.o' to $(LDADD) is much cleaner and provides the
          same effect.

          (Reference_Counted_Event_Handler_Test_SOURCES):

          Fixed source file list.  This test is now built correctly.

          (EXTRA_DIST):

          Added `Main.cpp' to the list of files to be explicitly
          distributed with the ACE distribution when building a
          distribution with the Autoconf support.

          (all-local):

          "$(top_srcdir/tests" -> "$(srcdir)".  The latter is cleaner and
          provides the same effect/result.

          (clean-local):

          Updated list of additional files/directories unknown to the
          standard "clean" target to be cleaned.

          (distclean-local):

          Removed `bin' directory from the list of directories to be
          erased.  It hasn't been generated for quite some time.

        * tests/SSL/Makefile.am:

          New Automake Makefile template for the ACE_SSL library test.

Tue Nov 18 16:37:21 2003  Douglas C. Schmidt  <schmidt@ace.cs.wustl.edu>

        * examples/IPC_SAP/DEV_SAP/reader/reader.cpp (main): Changed
          recv_n() to recv() so that the underlying Windows Read()
          function is called properly (recv_n() doesn't call this).
          Thanks to Mike Gingell <mike.gingell@drdc-rddc.gc.ca> for
          reporting this.

Tue Nov 18 16:22:45 2003  Tao Lu  <lu@dre.vanderbilt.edu>

        * etc/ciao.doxygen:
        * etc/ciao_assembly_deployer.doxygen :
        * etc/ciao_componentserver.doxygen :
        * etc/ciao_daemon.doxygen :
        * etc/ciao_serveractivator.doxygen :
        * etc/ciao_xml_helpers.doxygen :
        * bin/generate_doxygen.pl :
        * html/index.html :
          Added some more doxygen files.

Tue Nov 18 16:14:29 2003  Steve Huston  <shuston@riverace.com>

        * include/makeinclude/platform_hpux_aCC.GNU: Add preprocessor defs
          for threads ability to CPPFLAGS, not CCFLAGS. Thanks to Ossama
          Othman <ossama@dre.vanderbilt.edu> for this suggestion.

Tue Nov 18 16:03:10 UTC 2003  Don Hinton  <dhinton@dresystems.com>

        Thanks to Olli Savia <ops@iki.fi> for the following patches:

        * ace/OS_NS_sys_mman.inl:
          Added #include OS_NS_sys_stat.h if __Lynx__ is defined.

        * ace/RMCast/RMCast.h:
          Added #include /**/ <bsd/mbuf.h> before #undef'ing MT_DATA if
          __Lynx__ is defined, since it's MT_DATA is defined in this file.

        * tests/Max_Default_Port_Test.cpp:
          Changed NULL to 0 to fix compile problem on LynxOS.

Tue Nov 18 15:01:49 2003  Simon McQueen  <sm@prismtechnologies.com>

        * ace/Log_Msg.h:
        * ace/Log_Msg.cpp:

          Time / time and date stamps can now be placed on log entries by
          defining the environment property ACE_LOG_TIMESTAMP to be one of
          'TIME' / 'DATE'. This fixes bug #1635.

Tue Nov 18 08:11:52 2003  Dale Wilson  <wilson_d@ociweb.com>

        * bin/MakeProjectCreator/config/ftorbutils.mpb:

          Ftorbutils depends on CosNaming.

Tue Nov 18 05:12:17 UTC 2003  Don Hinton  <dhinton@dresystems.com>

        * include/makeinclude/all_in_one.GNU:
          Added ability to include an arbitrary Makefile passed as
          ADDITIONAL_INCLUDE, and added BUILD rule dependency of idl_stubs
          if IDL_SRC is defined.  Added TAO_ROOT is not already defined.

Mon Nov 17 20:34:27 2003  Tao Lu  <lu@dre.vanderbilt.edu>

        * etc/ciao.doxygen:
        * bin/generate_doxygen.pl:

          Added doxygen configuration file for ciao.

Mon Nov 17 20:12:53 2003  Tao Lu  <lu@dre.vanderbilt.edu>

        * etc/tao_ifr.doxygen:
          Added doxygen configuration file for IFR_Service.

Mon Nov 17 20:00:14 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * ace/Default_Constants.h:

          Added a new #define ACE_IPV6_LOCALHOST. The
          ACE_DEFAULT_SERVER_HOST would point to ACE_IPV6_LOCALHOST if
          IPV6 is enabled and ACE_LOCALHOSt of IPV4 is used.

          Thanks to Bryan Bruesker for providing the patches.

Mon Nov 17 18:55:49 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * ace/Asynch_Connector.cpp:

          Use ACE_reinterpret_cast instead of a C style casts.

        * ace/INET_Addr.cpp:

          Fixed a problem with the ACE_INET_Addr::set () method, where the
          type and  size of this object were not being set. This could
          cause a problem when  the type of sa is different than the type
          of this ACE_INET_Addr. Even  though the inet_addr_ member will
          be set correctly, the type and size  will be, making the state
          of the ACE_INET_Addr inconsistent.

        * ace/Multihomed_INET_Addr.cpp:
        * ace/Multihomed_INET_Addr.h:
        * ace/Multihomed_INET_Addr.i:

          Added a get_addresses method () that takes a sockaddr_in6* as
          argument, so  that if the  ACE_Multihomed_INET_Addr is storing
          only IPv6 addresses, they can all be put into an array of
          sockaddr_in6 by this method. Further, changed the variable name
          within the class to be secondaries_, ie. with an underscore.

        * ace/SOCK_Dgram_Mcast.cpp:

          Added a memset to make_multicast_ifaddr6 to ensure that the
          ipv6_mreq is zero'ed out before using it.


          Thanks to Bryan Bruesker for providing the patches.

Tue Nov 18 00:35:51 UTC 2003  Don Hinton  <dhinton@dresystems.com>

        * include/makeinclude/component_check.GNU:
        * include/makeinclude/wrapper_macros.GNU:
          Added new variable, ACE_MAKE_OPTIONS, to wrapper_macros.GNU that
          collects all the flags passed to make, e.g., ssl, sctp, rmcast,
          etc....  Use this variable in component_check.GNU so that we
          only have to add new flags one place.

Tue Nov 18 00:04:30 UTC 2003  Don Hinton  <dhinton@dresystems.com>

        * include/makeinclude/all_in_one.GNU:
          Fixed variable tests and changed the order variables are added
          to BUILD, i.e., put the libraries first, then the bins.  This
          insures the libs are built first if a Makefile builds both libs
          and executables.

        * netsvcs/clients/Naming/Client/Makefile:
          Removed the special BIN target with a dependency on SHLIB, since
          this is now handled automagically by the above rule.

Mon Nov 17 17:09:37 2003  Douglas C. Schmidt  <schmidt@ace.cs.wustl.edu>

        * ace/Mem_Map.i (map): Disable the use of MAP_FIXED on Linux
          since it seems to cause problems.  Thanks to Lothar Werzinger
          <lothar@xcerla.com> for this fix.

Mon Nov 17 21:50:29 UTC 2003  Don Hinton  <dhinton@dresystems.com>

        * include/makeinclude/rules.local.GNU:
        * include/makeinclude/wrapper_macros.GNU:
          Renamed the CLEAN_* variables to CLEANUP_*, and moved them from
          rules.local.GNU to wrapper_macros.GNU.

        * include/makeinclude/all_in_one.GNU:
        * include/makeinclude/component_check.GNU:
          Added new files that simplify the makefile systems.
          all_in_one.GNU replaces and conditionally includes all the other
          standard makeinclude files.  It also includes the new
          component_check.GNU file that handles all the conditional
          compilation rules.  All you need to do is add a list of required
          components needed for the particular project, e.g., rmcast,
          shared_libs, Other, etc..., to REQUIRED_COMPONENTS and then
          include all_in_one.GNU. These files will simplify MPC a great
          deal.

        * netsvcs/Makefile:
        * netsvcs/clients/Makefile:
        * netsvcs/clients/Logger/Makefile:
        * netsvcs/clients/Naming/Makefile:
        * netsvcs/clients/Naming/Client/Makefile:
        * netsvcs/clients/Naming/Dump_Restore/Makefile:
        * netsvcs/clients/Naming/Dump_Restore/Makefile.Dump_Restore:
        * netsvcs/clients/Naming/Dump_Restore/Makefile.main:
        * netsvcs/clients/Tokens/Makefile:
        * netsvcs/clients/Tokens/collection/Makefile:
        * netsvcs/clients/Tokens/deadlock/Makefile:
        * netsvcs/clients/Tokens/invariant/Makefile:
        * netsvcs/clients/Tokens/manual/Makefile:
        * netsvcs/clients/Tokens/mutex/Makefile:
        * netsvcs/clients/Tokens/rw_lock/Makefile:
        * netsvcs/lib/Makefile:
        * netsvcs/servers/Makefile:
          Modified these Makefiles to use the new all_in_one.GNU file
          above and updated dependencies.  This is mainly a test and
          example for future MPC implementations.

Mon Nov 17 16:37:49 2003  Steve Huston  <shuston@riverace.com>

        * include/makeinclude/rules.lib.GNU: Moved the AIX shr.o-building stuff
          out of the main path of the VSHLIB rule. Avoids bulding the shr.o
          file with the SOVERSION suffix. Now the shr.o file is made without
          decoration, inserted into the .a file, then deleted. The .a file
          is correctly decorated and installed.

Sun Nov 16 23:49:02 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * ace/INET_Addr.h:

          Fixed a typo in the interface documentation.

        * ace/SOCK_Dgram.cpp:

          In shared_open () used INADDR_ANY when calling bind_port ()
          instead of 0.

        * ace/Asynch_Acceptor.cpp:

          Modifies the call to bind_port in open () so that if the address
          passed in is the any address, the protocol is passed to
          bind_port so that when IPv6 is enabled, it will bind to the IPv6
          any address instead of the IPv4 one

        * ace/Sock_Connect.cpp:

          Modified bind_port () so that if the protocol specified is
          PF_INET6 and the IP address is not INADDR_ANY, then the address
          will be set to an IPv4-mapped IPv6 address before doing the
          bind.

          Thanks to Brian Buesker <bbuesker@qualcomm.com> for the
          patches.

Sun Nov 16 23:08:16 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * bin/footprint_stats.sh:

          Removed Smart_Proxies from the daily build since it made no
          sense to have that. Added new libraries like the Valuetype that
          we would like to track to the daily stats pages.

Sun Nov 16 18:33:27 UTC 2003  Don Hinton  <dhinton@dresystems.com>

        * ace/Reactor.cpp:
          Added #include Recursive_Thread_Mutex.h.

Fri Nov 14 15:17:30 2003  Chris Cleeland  <cleeland_c@ociweb.com>

        * ace/INET_Addr.cpp (get_host_addr): Fixed these two methods so
          that they work properly on vxworks.  They used to work in 1.2a,
          but those changes got lost during an IPv6 refactoring after the
          release of DOC 1.2.1.  This should close [RT 3183].

        * tests/INET_Addr_Test.cpp: Added a test for the augmented
          version of get_host_addr.

Fri Nov 14 15:55:30 UTC 2003  Don Hinton  <dhinton@dresystems.com>

        * ace/os_include/sys/os_select.h:
          Rolled back change from Thu Nov 13 23:22:21 UTC 2003  Don Hinton
          <dhinton@dresystems.com> which was incorrect.  The
          ACE_HAS_SELECT_H refers to <sys/select.h>.

Fri Nov 14 10:50:33 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/OS_NS_sys_wait.inl:
          Moved the wait method below the waitpid method. After searching for
          hours for the internal compiler error MinGW has the solution was
          to easy to think of. Because wait calls waitpid it must be below
          waitpid in the inline file. This fixes the internal compiler
          error in the MinGW build and restores the order of wait and waitpid
          to the state before the ACE_OS split up.

Fri Nov 14 00:42:22 UTC 2003  Don Hinton  <dhinton@dresystems.com>

        * tests/DLL_Test.cpp:
        * tests/DLL_Test_Impl.cpp:
          Test for !ACE_LACKS_RTTI to #ifdef away dynamic_cast test.  Add
          ACE_UNUSED_ARG around dll if ACE_LACKS_RTTI is defined to quash
          unused arg warning.

Thu Nov 13 23:22:21 UTC 2003  Don Hinton  <dhinton@dresystems.com>

        * ace/os_include/sys/os_select.h:
          Added missing #include of select.h when ACE_HAS_SELECT_H is
          defined.

        * tests/DLL_Test.cpp:
        * tests/DLL_Test_Impl.cpp:
          #ifdef away the dynamic_cast test if ACE_LACKS_RTTI is defined.

Thu Nov 13 16:22:19 2003  Steve Huston  <shuston@riverace.com>

        * configure.ac: Make the check for sys/select.h set
          ACE_LACKS_SYS_SELECT_H is _not_ found. Added a check of select.h
          that sets ACE_HAS_SELECT_H. Changed further code tests that used
          ACE_HAS_SELECT_H to include <sys/select.h> to use
          ACE_LACKS_SYS_SELECT_H instead.

        * m4/config_h.m4: Added AH_TEMPLATE for ACE_LACKS_SYS_SELECT_H.

Thu Nov 13 19:56:53 UTC 2003  Don Hinton  <dhinton@dresystems.com>

        * ASNMP/tests/Octet_Test.cpp:
          Added #include OS_NS_string.h.

        Thanks to Olli Savia <ops@iki.fi> for the following fixes need to
        compile ACE on LynxOS.

        * ace/Base_Thread_Adapter.cpp:
          Added #include OS_NS_Thread.h if ACE_HAS_TSS_EMULATION is defined.

        * ace/OS_NS_stdlib.cpp:
          Added #include OS_NS_stdio.h and OS_NS_sys_stat.h if
          ACE_LAKCS_MKTEMP is defined.

        * ace/OS_NS_strings.cpp:
          Added #include OS_NS_ctype.h if ACE_LACKS_STRCASECMP is defined.

        * ace/config-lynxos.h:
          Added ACE_LACKS_WCHAR_H, ACE_LACKS_REGEX_H, and
          ACE_LACKS_TCP_NODELAY.

Thu Nov 13 12:54:35 2003  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/templates/gnu.mpd:

          When defining OBJS, always use $(notdir $(FILES)).

Thu Nov 13 18:39:15 UTC 2003  Don Hinton  <dhinton@dresystems.com>

        * examples/C++NPv2/AC_Client_Logging_Daemon.cpp:
        * examples/C++NPv2/AIO_Client_Logging_Daemon.cpp:
        * examples/C++NPv2/TPC_Logging_Server.cpp:
          Added #include os_netdb.h to get MAXHOSTNAMELEN.

        * examples/IPC_SAP/SSL_SAP/SSL-client.h:
          Fixed typo, missing "ace" in #include path.

        * examples/IPC_SAP/SSL_SAP/SSL-server.cpp:
          Added #include OS_NS_select.h.

        * examples/OS/Process/process.cpp:
          Added #include OS_NS_stdio.h.

        * examples/QOS/Diffserv/diffserv_test.cpp:
          Added #include OS_NS_string.h.

Thu Nov 13 12:13:28 2003  Chad Elliott  <elliott_c@ociweb.com>

        * bin/DependencyGenerator/DependencyGenerator.pm:
        * bin/DependencyGenerator/Preprocessor.pm:

          Changed the behavior of the -n option to only exclude inline files
          that are not included by the cpp file being processed.

Thu Nov 13 17:37:04 UTC 2003  Don Hinton  <dhinton@dresystems.com>

        * ace/DEV_Addr.{cpp,i}:
          Moved #include os_socket.h from .cpp to .i since it is needed
          there, removed #include SString.h from .i and added
          OS_NS_string.h and Global_Macros.h, then moved the #include's in
          .cpp to below the #include of .i so that the inlined and
          non-inlined builds would behave the same.

        * ace/SString.i:
          Added #include ACE.h if not already included, e.g., when
          ACE_TEMPLATES_REQUIRE_SOURCE isn't defined.

Thu Nov 13 17:39:19 UTC 2003  Craig Rodrigues  <crodrigu@bbn.com>

        * ace/config-freebsd.h:
          Remove #define ACE_SIZEOF_LONG_DOUBLE, since this value
          is hardcoded for 32-bit platforms.  Dan Eischen
          <deischen@freebsd.org> reported that this caused the
          Basic_Types_Test to fail on 64-bit FreeBSD platforms.
          The correct value for this constant is defined later
          on in Basic_Types.h by including <float.h>.

Thu Nov 13 11:27:23 2003  Chad Elliott  <elliott_c@ociweb.com>

        * bin/DependencyGenerator/DependencyEditor.pm:
        * bin/DependencyGenerator/DependencyGenerator.pm:
        * bin/depgen.pl:

          Added an option (-n) to produce dependencies with no inline files.

Thu Nov 13 17:14:29 UTC 2003  Don Hinton  <dhinton@dresystems.com>

        * ace/config-WinCE.h:
          Added #define ACE_LACKS_ERRNO_H and ACE_LACKS_TIME_H.

        * ace/config-all.h:
        * ace/os_include/os_stddef.h:
          Fixed typo's in rarely accessed #ifdef'd sections.

Thu Nov 13 16:18:30 UTC 2003  Don Hinton  <dhinton@dresystems.com>

        * ace/Sock_Connect.cpp:
          Added #include Guard_T.h and Recursive_Thread_Mutex.h when
          ACE_HAS_IPV6 is defined.

Thu Nov 13 16:10:54 UTC 2003  Don Hinton  <dhinton@dresystems.com>

        * apps/Gateway/Gateway/File_Parser.cpp:
          Added #include OS_NS_stdlib.h to fix compile errors on HP.

        * examples/Connection/non_blocking/CPP-acceptor.h:
        * examples/Connection/non_blocking/CPP-connector.h:
          Added #include Signal.h to fix compile errors on HP.

Thu Nov 13 16:11:07 UTC 2003  Don Hinton  <dhinton@dresystems.com>

        * ace/OS_TLI.h:
          Fixed a typo by changing the test to determine whether or not to
          include os_tcp.h and #undef TCP_NODELY and TCP_MAXSEG to avoid a
          conflict with sys/xti.h from ACE_HAS_BROKEN_XTI_MACROS to
          ACE_HAS_CONFLICTING_XTI_MACROS.  This should fix compile
          problems in HP.

        * ace/os_include/netinet/os_tcp.h:
          Removed the ACE_HAS_CONFLICTING_XTI_MACROS test that #undef'd
          TCP_NODELAY and TCP_MAXSEG.  This only needs to be done prior to
          including sys/xti.h.

Thu Nov 13 04:26:17 UTC 2003  Don Hinton  <dhinton@dresystems.com>

        * include/makeinclude/rules.lib.GNU;
          Added # -*- Makefile -*- at the top of the file so emacs will
          highlight the syntax.

        * include/makeinclude/rules.local.GNU:
          Added explicit shared library with version extension to the
          deinstall.local target so that it will get cleaned up even if it
          is only defined as SHLIB_UNCHECKED.

Thu Nov 13 03:32:14 UTC 2003  Don Hinton  <dhinton@dresystems.com>

        * bin/MakeProjectCreator/templates/gnu.mpd:
          Rolled back the part of Wed Nov 12 12:43:14 2003  Chad Elliott
          <elliott_c@ociweb.com> that added a line to realclean to remove
          the *_UNCHECKED files.  This is unnecessary and doesn't work
          with specialized targets, see Wed Nov 12 07:40:27 UTC 2003  Don
          Hinton  <dhinton@dresystems.com> for details.

Wed Nov 12 16:55:00 2003  Justin Michel  <michel_j@ociweb.com>

        * ace/NT_Service.h:
        * ace/QoS/qos.mpc:
        * bin/MakeProjectCreator/config/amh.mpb:
        * bin/MakeProjectCreator/config/ami.mpb:
        * bin/MakeProjectCreator/config/avstreams.mpb:
        * bin/MakeProjectCreator/config/dseventlogadmin.mpb:
        * bin/MakeProjectCreator/config/dsnotifylogadmin.mpb:
        * bin/MakeProjectCreator/config/global.features:
        * bin/MakeProjectCreator/config/mfc.mpb:
        * bin/MakeProjectCreator/config/namingexe.mpb:
        * bin/MakeProjectCreator/config/notification.mpb:
        * bin/MakeProjectCreator/config/notifytest.mpb:
        * bin/MakeProjectCreator/config/psdl.mpb:
        * bin/MakeProjectCreator/config/qos.mpb:
        * bin/MakeProjectCreator/config/rpc.mpb:
        * bin/MakeProjectCreator/config/rt_client.mpb:
        * bin/MakeProjectCreator/config/rt_server.mpb:
        * bin/MakeProjectCreator/config/rteventexe.mpb:
        * bin/MakeProjectCreator/config/rteventlogadmin.mpb:
        * bin/MakeProjectCreator/config/smart_proxies.mpb:
        * bin/MakeProjectCreator/config/ssliop.mpb:
        * bin/MakeProjectCreator/config/taoclient.mpb:
        * bin/MakeProjectCreator/config/wxwindows.mpb:
        * examples/ConfigViewer/ConfigViewer.mpc:
        * examples/Log_Msg/Log_Msg_MFC/Log_Msg_MFC.mpc:
        * examples/NT_Service/NT_Service.mpc:
        * examples/QOS/Change_Receiver_FlowSpec/QOS_Change_Receiver_FlowSpec.mpc:
        * examples/QOS/Change_Sender_TSpec/QOS_Change_Sender_FlowSpec.mpc:
        * examples/QOS/Diffserv/QOS_Diffserv.mpc:
        * examples/QOS/Simple/QOS_Simple.mpc:
        * examples/RMCast/Send_File/RMCast_Send_File.mpc:
        * examples/Timer_Queue/Timer_Queue.mpc:
        * performance-tests/Misc/Misc.mpc:
        * performance-tests/RPC/RPC.mpc:
        * performance-tests/Server_Concurrency/Leader_Follower/Server_Concurrency_Leader_Follower.mpc:
        * performance-tests/Server_Concurrency/Queue_Based_Workers/Server_Concurrency_Queue_Based_Workers.mpc:
        * performance-tests/Synch-Benchmarks/Synch_Benchmarks.mpc:
        * performance-tests/Synch-Benchmarks/Base_Test/Synch_Benchmarks_Base_Test.mpc:
        * performance-tests/Synch-Benchmarks/Perf_Test/Synch_Benchmarks_Perf_Test.mpc:
        * performance-tests/Synch-Benchmarks/Synch_Lib/Synch_Benchmarks_Synch_Lib.mpc:
        * performance-tests/TCP/TCP.mpc:
        * performance-tests/TTCP/ACE-C++/TTCP_ACE_C++.mpc:
        * performance-tests/UDP/UDP.mpc:

          Imported many misc MPC file fixes from the OCI repository.
          Imported new mpc and mpb files from the OCI repository.
          Added missing #include to ace/NT_Service.h that was used by
            macros defined in this file.

Wed Nov 12 12:43:14 2003  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/templates/gnu.mpd:

          Added LIB_UNCHECKED and SHLIB_UNCHECKED.  Added a line to the
          realclean rule that removes BIN_UNCHECKED, LIB_UNCHECKED and
          SHLIB_UNCHECKED.

Wed Nov 12 11:21:55 2003  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/modules/ProjectCreator.pm:

          Fixed a bug where relative definitions wouldn't be properly
          processed on Windows depending on where mwc.pl was run.

        * bin/MakeProjectCreator/modules/WorkspaceCreator.pm:

          Fixed a bug in a warning message.  The wrong project name was
          being displayed.

Wed Nov 12 16:44:24 UTC 2003  Don Hinton  <dhinton@dresystems.com>"

        * ace/OS_NS_sys_time.inl:
          Fixed typo.

Wed Nov 12 15:42:31 UTC 2003  Don Hinton  <dhinton@dresystems.com>

        * ace/config-macosx.h:
          Added #define ACE_LACKS_SEARCH_H.

        * ace/config-vxworks5.x.h:
          Added #define ACE_LACKS_WCHAR_H and ACE_LACKS_PWD_H.

        * ace/OS_NS_unistd.inl:
          Added #include OS_NS_stdio.h if ACE_LACKS_ACCESS is defined.
          Added #include os_unistd.h if VXWORKS or ACE_HAS_WINCE is
          define.

        * ace/OS_NS_sys_time.inl:
          Added #include OS_NS_time.h if VXWORKS, CHORUS, or ACE_PSOS is
          defined.

Wed Nov 12 09:30:13 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/OS_NS_dirent.h:
          Added ACE_Export to opendir_emulation

Wed Nov 12 09:26:48 UTC 2003  Don Hinton  <dhinton@dresystems.com>

        * include/makeinclude/rules.local.GNU:
          Use CLEAN_LIB and CLEAN_SHLIB for the deinstall.local target as
          well.

Wed Nov 12 08:44:54 UTC 2003  Don Hinton  <dhinton@dresystems.com>

        * performance-tests/SCTP/Makefile:
          Moved the BIN variable up to top of file (above
          rules.common.GNU), and removed rules.bin.GNU, since the targets
          are explicitly defined.  Otherwise nothing gets cleanup during
          realclean.

Wed Nov 12 07:40:27 UTC 2003  Don Hinton  <dhinton@dresystems.com>

        * include/makeinclude/rules.local.GNU:
          Added CLEAN_BIN, CLEAN_LIB, CLEAN_SHLIB, and CLEAN_SHLIBA
          variables that are assigned the values of BIN or BIN_UNCHECKED,
          etc values.  Changed the realclean target to use the CLEAN_*
          variables instead of the BIN/BIN2, etc., variables.  This will
          insure that realclean removes these files even if the
          ace_components files have already been removed.  The *2 variety
          were add by David Levine,  Mon Apr 12 14:24:28 1999  David
          L. Levine  <levine@cs.wustl.edu>, but newer projects, especially
          in TAO, have begun using the *_UNCHECKED naming scheme.  Since
          these files where often dependent on the ace_components files,
          they never got cleaned up. This should also obviates the need
          for the reverseclean target.

        * netsvcs/Makefile:
          Removed ace_components test from around the DIRS variable.  You
          should always descend into the directories and give them the
          opportunity to clean themselves up.

        * netsvcs/clients/Naming/Client/Makefile:
          Added use of *_UNCHECKED variables so that these files will get
          cleanup during a realclean.

        * tests/Makefile.tests:
          Added Service_Config_Test and Framework_Component_Test to the
          BIN2 variable if not being built so that they will always get
          deleted during a realclean.

Tue Nov 11 18:48:27 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tests/Map_Manager_Test.cpp:

          Renamed the variable ENTRY to MAP_ENTRY since it was clashing
          with system headers.

Tue Nov 11 18:02:56 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * ace/TSS_T.cpp (ts_object):

          Added the change "Mon Nov 10 22:30:14 2003  Kobi Cohen-Arazi
          <kobi@mivzak.com>"  back into the repo. The actual problem lay
          elsewhere. Please see below.


          The double checked locking optimization in ts_init () was the
          culprit. After grabbing the lock, if the check for null pointer
          fails, meaning it was already allocated, just return 0 instead
          of a -1. This should fix most of the runtime problems that we
          saw in the builds today.

Tue Nov 11 17:25:10 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * ace/TSS_T.cpp:

          Reverting the change "Mon Nov 10 22:30:14 2003  Kobi Cohen-Arazi
          <kobi@mivzak.com>". The change is so benign that the problem is
          elsewhere. This change just triggered something else. Reverting
          this since our daily builds can run properly.

Tue Nov 11 12:20:14 2003  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/modules/WorkspaceCreator.pm:

          Fixed a bug in the implicitly generated dependencies where actual
          inter-project dependencies would be abandoned in favor of
          implicitly generated dependencies.

        * bin/MakeProjectCreator/templates/gnu.mpd:

          Make sure that PWD is set before it is used.

Tue Nov 11 17:09:46 UTC 2003  Don Hinton  <dhinton@dresystems.com>

        * bin/fuzz.pl:
          Added new check, check_for_makefile_variable, to verify that
          MAKEFILE variable is correct and that Makefile's not named just
          "Makefile" without an extension, have a MAKEFILE variable.  Added
          check for spaces around "=" to dependency file check.  Added
          makefiles to the ID check.

Tue Nov 11 15:45:23 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/OS_NS_stdlib.inl:
          Added #include of ace/os_include/os_search.h to get bsearch and other
          search functions

        * ace/WFMO_Reactor.i:
          Added #include of ace/Thread.h

Tue Nov 11 15:13:36 UTC 2003  Don Hinton  <dhinton@dresystems.com>

        * examples/ASX/CCM_App/Makefile:
          Added depend and realclean targets to force them to call
          Makefile.CCM_App. Updated dependencies.

        * examples/ASX/CCM_App/Makefile.CCM_App:
          Added MAKEFILE variable, and updated dependencies.

Mon Nov 10 17:02:37 2003  Jeff Parsons <j.parsons@vanderbilt.edu>

        * ace/CDR_Stream.i:

          Added cast to ACE_CDR::Boolean of return values where necessary in
          extraction methods, similarly to what is already in insertion
          methods. Thanks to Ted Mules <ned@technisyst.com.au> for the
          resulting warnings on MSVC at warning level 4. This closes
          [BUGID:1632].

Mon Nov 10 16:43:19 2003  Steve Huston  <shuston@riverace.com>

        * ace/Acceptor.cpp: Add #include "ace/OS_NS_stdio.h" to get sprintf()
          and "ace/OS_NS_string.h" to get strdup().

        * ace/Svc_Conf_l.cpp: Add #include "ace/OS_NS_string.h" for strrchr().

        * ace/Synch_Traits.h: Add #include "ace/config-all.h" to find the
          template and threads config settings.

        * ace/RMCast/RMCast_UDP_Proxy.cpp:
        * ace/RMCast/RMCast_IO_UDP.i: Added #include "ace/OS_Memory.h" to
          get ACE_NEW_RETURN.

        * netsvcs/lib/Log_Message_Receiver.h: Add #include of either
          "ace/Thread_Mutex.h" or "ace/Null_Mutex.h" for the ACE_Guard
          template arg (ACE_SYNCH_MUTEX_T).

        * netsvcs/lib/TS_Clerk_Handler.h: Add #include
          "ace/os_include/os_dirent.h" to get MAXNAMLEN.

        * netsvcs/lib/TS_Clerk_Handler.cpp: Add #include
          "ace/OS_NS_string.h" to get strcat() and "ace/OS_NS_stdio.h" to
          get sprintf().

        * netsvcs/lib/Client_Logging_Handler.cpp: Add #include
          "ace/OS_NS_stdio.h" to get ACE_OS::sprintf().

        * netsvcs/lib/Name_Handler.cpp: Add #include "ace/OS_NS_string.h" to
          get ACE_OS::strlen().

        * netsvcs/clients/Naming/Client/Client_Test.cpp: Add #include
          "ace/OS_NS_stdio.h" for ACE_OS::fgets(), "ace/OS_NS_unistd.h"
          for ACE_OS::getpid(), "ace/OS_NS_string.h" for strtok(), and
          "ace/os_include/os_ctype.h" for isupper()/tolower().

        * netsvcs/client/Naming/Dump_Restore/Dump_Restore.cpp: Add #include
          "ace/OS_NS_string.h", "ace/OS_NS_stdio.h", and "ace/OS_NS_unistd.h"
          to get missing ACE_OS functions.

        * tests/Service_Config_DLL.cpp: Add #include "ace/OS_NS_string.h" and
          "ace/OS_NS_stdio.h" to get missing ACE_OS functions.

Mon Nov 10 22:30:14 2003  Kobi Cohen-Arazi  <kobi@mivzak.com>

        * ace/TSS_T.cpp:
          Fix ts_get and ts_object functions to check ts_init() return value,
          and return 0 when ts_init failed.

Mon Nov 10 20:15:46 UTC 2003  Don Hinton  <dhinton@dresystems.com>

        * ace/SV_Message_Queue.i:
          Added struct to msqid_ds* cast to try to get around compile
          error on MacOSX.

        * ace/Semaphore.cpp:
          Added #include ACE.h.

        * ace/config-macosx.h:
          Added ACE_LACKS_POLL_H.

Mon Nov 10 16:37:43 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/Reactor/WFMO_Reactor/Removals.cpp:
          Added #include ace/Event.h to get ACE_Event

Mon Nov 10 04:37:46 UTC 2003  Don Hinton  <dhinton@dresystems.com>

        * bin/fuzz.pl:
          Added mpb and mpt to the MPC files to check for Id.

        * ACEXML/apps/svcconf/svcconf.mpc:
        * ACEXML/common/common.mpc:
        * ACEXML/examples/SAXPrint/SAXPrint.mpc:
        * ACEXML/parser/parser/parser.mpc:
        * ACEXML/tests/tests.mpc:
        * Kokyu/Kokyu.mpc:
        * Kokyu/tests/DSRT_MIF/DSRT_MIF.mpc:
        * Kokyu/tests/EDF/EDF.mpc:
        * Kokyu/tests/FIFO/FIFO.mpc:
        * ace/ace.mwc:
        * ace/QoS/qos.mpc:
        * ace/RMCast/rmcast.mpc:
        * ace/SSL/ssl.mpc:
        * tests/tests.mpc:
        * tests/tests.mwc:
        * tests/RMCast/acetest.mpb:
        * tests/RMCast/tests.mpc:
        * tests/SSL/acetest.mpb:
        * tests/SSL/tests.mpc:
          Fixed FUZZ errors.

Mon Nov 10 03:56:03 UTC 2003  Don Hinton  <dhinton@dresystems.com>

        * examples/NT_Service/main.cpp:
        * examples/Registry/test_registry_iterator.cpp:
        * examples/Registry/test_registry_update.cpp:
          Fixed FUZZ errors.

        * examples/NT_Service/main.cpp:
          Added #include OS_NS_errno.h.

        * ace/NT_Service.h:
        * ace/WFMO_Reactor.h:
          Removed #include Synch.h.

        * ace/WFMO_Reactor.cpp:
          Added #include Null_Condition.h.

        * ace/WFMO_Reactor.h:
          Added #include Auto_Event.h, Manual_Event.h,
          Condition_Thread_Mutexc.h, and Lock_Adapter_T.h.

Mon Nov 10 02:44:59 UTC 2003  Don Hinton  <dhinton@dresystems.com>

        * ace/IOStream.h:
          Readded streams.h needed on Windows.  Fixed Fuzz error.

Mon Nov 10 02:44:59 UTC 2003  Don Hinton  <dhinton@dresystems.com>

        * ACE.mwc:
        * vc7_nightly.mwc:
        * ACEXML/ACEXML.mwc:
        * ACEXML/apps/apps.mwc:
        * ACEXML/examples/examples.mwc:
        * ACEXML/parser/parser.mwc:
        * ASNMP/examples/examples.mwc:
        * Kokyu/tests/tests.mwc:
        * apps/Gateway/Gateway.mwc:
        * apps/JAWS/JAWS.mwc:
        * apps/JAWS/clients/clients.mwc:
        * apps/JAWS2/JAWS2.mwc:
        * apps/gperf/gperf.mwc:
        * examples/ASX/ASX.mwc:
        * examples/Connection/Connection.mwc:
        * examples/IOStream/IOStream.mwc:
        * examples/IPC_SAP/IPC_SAP.mwc:
        * examples/Logger/Logger.mwc:
        * examples/Mem_Map/Mem_Map.mwc:
        * examples/OS/OS.mwc:
        * examples/RMCast/RMCast.mwc:
        * examples/Reactor/Reactor.mwc:
        * examples/Service_Configurator/Service_Configurator.mwc:
        * examples/System_V_IPC/System_V_IPC.mwc:
        * netsvcs/netsvcs.mwc:
        * netsvcs/clients/clients.mwc:
        * netsvcs/clients/Naming/Naming.mwc:
        * websvcs/websvcs.mwc:
          Removed these files from the repo.  Most, if not all, of these
          files were added to force MPC to create a makefile.  MPC has
          since been fixed to allow this via the -hierarchy flag.

Mon Nov 10 01:58:00 UTC 2003  Don Hinton  <dhinton@dresystems.com>

        * ASNMP/examples/get/get.cpp:
        * ASNMP/examples/get/get_async.cpp:
        * ASNMP/examples/next/next.cpp:
        * ASNMP/examples/set/set.cpp:
        * ASNMP/examples/trap/trap.cpp:
        * ASNMP/examples/walk/walk.cpp:
        * ASNMP/tests/test_config.h:
        * ace/Basic_Types.cpp:
        * ace/Log_Msg.cpp:
        * ace/Log_Record.cpp:
        * ace/Logging_Strategy.cpp:
        * ace/OS.cpp:
        * ace/SString.cpp:
        * ace/Token.cpp:
        * ace/iosfwd.h:
        * apps/JAWS2/JAWS/Cache_Manager_T.cpp:
        * apps/mkcsregdb/mkcsregdb.cpp:
        * apps/soreduce/Library.h:
        * examples/ASX/UPIPE_Event_Server/event_server.cpp:
        * examples/C++NPv1/Logging_Client.cpp:
        * examples/C++NPv1/Logging_Handler.cpp:
        * examples/C++NPv2/Logging_Handler.cpp:
        * examples/C++NPv2/Select_Reactor_Logging_Server.cpp:
        * examples/C++NPv2/Server_Shutdown.cpp:
        * examples/C++NPv2/TP_Reactor_Logging_Server.cpp:
        * examples/Log_Msg/test_log_msg.cpp:
        * examples/Log_Msg/test_ostream.cpp:
        * examples/Logger/Acceptor-server/server_loggerd.cpp:
        * examples/Reactor/Misc/test_time_value.cpp:
        * examples/Reactor/Proactor/test_proactor2.cpp:
        * examples/Reactor/Proactor/test_proactor3.cpp:
        * examples/Shared_Malloc/test_persistence.cpp:
        * examples/System_V_IPC/SV_Message_Queues/MQ_Client.cpp:
        * examples/System_V_IPC/SV_Message_Queues/MQ_Server.cpp:
        * examples/System_V_IPC/SV_Message_Queues/TMQ_Client.cpp:
        * examples/System_V_IPC/SV_Message_Queues/TMQ_Server.cpp:
        * examples/Threads/task_three.cpp:
        * netsvcs/clients/Naming/Dump_Restore/Dump_Restore.cpp:
        * performance-tests/SCTP/Options_Manager.cpp:
        * performance-tests/SCTP/SOCK_SEQPACK_clt.cpp:
        * performance-tests/SCTP/SOCK_SEQPACK_srv.cpp,:
        * performance-tests/SCTP/SOCK_STREAM_clt.cpp:
        * performance-tests/SCTP/SOCK_STREAM_srv.cpp:
        * tests/CDR_File_Test.cpp:
        * tests/Log_Msg_Test.cpp:
        * tests/Test_Output.cpp:
          Fixed FUZZ errors.

        * ace/IOStream.h:
        * apps/JAWS/clients/Caching/test_URL.cpp:
        * apps/JAWS2/HTTP_10_Parse.cpp
        * apps/soreduce/Library.cpp:
        * examples/Reactor/Ntalker/ntalker.cpp:
        * examples/Reactor/Proactor/test_cancel.cpp:
        * examples/Reactor/Proactor/test_proactor.cpp:
        * tests/Max_Default_Port_Test.cpp:
        * tests/Proactor_Test.cpp:
        * tests/TP_Reactor_Test.cpp:
          Removed #include streams.h.

        * ace/RMCast/RMCast_Fragment.h:
        * ace/RMCast/RMCast_IO_UDP.h:
        * ace/RMCast/RMCast_Retransmission.h:
        * tests/Lazy_Map_Manager_Test.cpp:
          Removed #include Synch.h.

        * ace/Object_Manager.h:
        * ace/Svc_Conf_l.cpp:
          Removed temporary fix in Object_Manager.h, removed #include of
          Object_Manager.h from Svc_Conf_l.cpp, and added #include
          Recursive_Thread_Mutex.h, OS_NS_stdio.h, and OS_NS_ctype.h.

        * apps/JAWS/clients/Blobby/Makefile:
        * apps/JAWS/clients/Caching/Makefile:
        * apps/JAWS/server/Makefile:
        * apps/soreduce/Makefile:
          Updated dependencies.

        * bin/fuzz.pl:
          Fixed typo, should be mwc, not mpw as one of MPC type files.

Sun Nov  9 20:53:07 UTC 2003  Don Hinton  <dhinton@dresystems.com>

        * docs/tutorials/002/server.cpp:
        * docs/tutorials/005/server.cpp:
        * docs/tutorials/006/server.cpp:
        * docs/tutorials/007/server.cpp:
        * docs/tutorials/022/server.cpp:
          Added #include Signal.h.

        * docs/tutorials/003/client.cpp:
          Added #include OS_NS_string.h and OS_NS_stdio.h.

        * docs/tutorials/004/client.cpp:
        * docs/tutorials/019/shmem.cpp:
        * docs/tutorials/020/mmap.cpp:
          Added #include OS_NS_stdio.h.

        * docs/tutorials/008/broadcast_client.cpp:
        * docs/tutorials/008/directed_client.cpp:
        * docs/tutorials/008/server.cpp:
        * docs/tutorials/009/server.cpp:
        * docs/tutorials/015/Protocol_Stream.cpp:
        * docs/tutorials/015/Xmit.cpp:
        * docs/tutorials/015/ZlibCompressor.cpp:
        * docs/tutorials/015/client.cpp:
          Added #include OS_NS_string, and ACE_OS to some memcpy methods,
          etc...

        * docs/tutorials/007/thread_pool.h:
          Added #include Mutex.h.

        * docs/tutorials/009/broadcast_client.cpp:
        * docs/tutorials/009/directed_client.cpp:
          Added #include OS_NS_string.h and Time_Value.h.

        * docs/tutorials/010/message_queue.cpp:
        * docs/tutorials/010/task.cpp:
        * docs/tutorials/011/task.cpp:
        * docs/tutorials/016/condition.cpp:
        * docs/tutorials/019/server.cpp:
        * docs/tutorials/019/server2.cpp:
        * docs/tutorials/019/shmem.cpp:
        * docs/tutorials/020/mmap.cpp:
        * docs/tutorials/020/server.cpp:
        * docs/tutorials/020/server2.cpp:
          Added #include OS_NS_unistd.h.

        * docs/tutorials/010/task.h:
        * docs/tutorials/011/task.h:
        * docs/tutorials/012/task.h:
        * docs/tutorials/013/task.cpp:
        * docs/tutorials/017/Barrier_i.cpp:
          Added #include Barrier.h.

        * docs/tutorials/011/message_queue.cpp:
        * docs/tutorials/012/message_queue.cpp:
        * docs/tutorials/012/task.cpp
          Added #include OS_NS_unistd.h and OS_NS_string.h.  Added
          ACE_OS:: to several strlen methods, etc...

        * docs/tutorials/013/block.h:
          Removed #include Synch.h and added #include Lock_Adapter_T.h and
          Mutex.h.

        * docs/tutorials/013/mld.h:
        * docs/tutorials/017/Barrier_i.h:
          Removed #include of Synch.h and added Mutex.h.

        * docs/tutorials/013/task.h:
        * docs/tutorials/017/Barrier_i.h:
          Added forward declaration of ACE_Barrier.

        * docs/tutorials/013/work.h:
          Removed #include Synch.h.

        * docs/tutorials/015/Makefile.client:
        * docs/tutorials/015/Makefile.server:
          Removed CompressionSocket from FILES and added -lz to LDLIBS.

        * docs/tutorials/016/Condition_i.h:
          Removed #include Synch.h and added Thread_Mutex.h,
          Condition_Thread_Mutex.h, and Guard_T.h.

        * docs/tutorials/018/Test_T.h:
          Added Barrier.h and Mutex.h.

        * docs/tutorials/019/client.cpp:
        * docs/tutorials/020/client.cpp:
          Added #include os_ctype.h.

        * docs/tutorials/022/Makefile:
          Added -I../005 to CPPFLAGS since this tutorial needs to find
          client_handler from tutorial 005.

Sun Nov  9 16:32:28 UTC 2003  Don Hinton  <dhinton@dresystems.com>

        * bin/fuzz.pl:
          Added line feed for dependency check output to make it easier to
          read.

Sun Nov  9 13:27:12 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-win32-borland.h:
          Added ACE_HAS_STD_TEMPLATE_CLASS_MEMBER_SPECIALIZATION

Sun Nov  9 13:14:12 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Makefile.bor:
          Added OS_main

Sun Nov  9 00:01:22 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * bin/fuzz.pl:

          Fixed a typo. "streams" was spelt as "steams".

Sun Nov  9 04:37:29 UTC 2003  Don Hinton  <dhinton@dresystems.com>

        * bin/fuzz.pl:

          Removed STDERR from print statements for new checks.  They
          didn't work well and got the messages out of order.  Thanks to
          Bala for motivating this.

Sat Nov  8 22:11:23 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tests/TkReactor_Test.cpp:

          Fixed a compile error by removing cerr.

Sun Nov  9 04:08:16 UTC 2003  Don Hinton  <dhinton@dresystems.com>

        * bin/fuzz.pl:
          Added extra line feed to the file checks to make them more
          readable.  Fixed synch check to only pick up Synch.h and
          Synch_T.h.

        * */Makefile*:
          Updated dependencies.

        * ACEXML/apps/svcconf/Makefile.ACEXML_XML_Svc_Conf_Parser:
        * ACEXML/common/Makefile.ACEXML:
        * ACEXML/examples/SAXPrint/Makefile.SAXPrint:
        * ACEXML/parser/parser/Makefile.ACEXML_Parser:
        * ACEXML/tests/Makefile.ContentHandler_Test:
        * ACEXML/tests/Makefile.HttpCharStream_Test:
        * ACEXML/tests/Makefile.NamespaceSupport_Test:
        * ACEXML/tests/Makefile.Transcoder_Test:
          Removed DEPENDENCY_FILE variable and updated dependencies.

        * tests/Makefile.libs:
          Added depend target to get the other makefiles to update depends.

        * tests/Makefile.Service_Config_DLL:
        * tests/Makefile.DLL_Test:
        * tests/Makefile.Framework_Component_DLL:
        * tests/Makefile.Test_Output:
          Added MAKEFILE variable so depend would update dependencies,
          then updated them.

        * ace/Synch.cpp:
        * ace/Synch.h:
        * ace/Synch_T.cpp:
        * ace/Synch_T.h:
          Added FUZZ: disable check_for_synch_include.

        * apps/JAWS2/HTTP_10_Request.cpp:
          Added #include OS_NS_pwd.h.

        * apps/JAWS2/JAWS/Headers.cpp:
        * apps/JAWS2/JAWS/Parse_Headers.cpp:
        * examples/QOS/Simple/Receiver_QoS_Event_Handler.cpp:
        * examples/QOS/Simple/Sender_QoS_Event_Handler.cpp:
        * performance-tests/Synch-Benchmarks/Perf_Test/Performance_Test_Options.cpp:
          Added #include OS_NS_string.h.

        * performance-tests/Synch-Benchmarks/Base_Test/Baseline_Test.h:
          Added #include Barrier.h.

        * examples/Reactor/Proactor/test_aiocb_ace.cpp:
          Added #include os_aio.h and OS_NS_string.h.

        * examples/Reactor/Proactor/test_aiosig_ace.cpp:
          Added #include os_aio.h, OS_SN_signal.h, OS_NS_unistd.h,
          OS_NS_fcntl.h, Asynch_IO.h.

        * ACEXML/common/Mem_Map_Stream.h:
        * Kokyu/Dispatcher_Task.cpp:
        * Kokyu/tests/DSRT_MIF/MIF.cpp:
        * ace/FlReactor.cpp:
        * ace/Malloc_Allocator.h:
        * ace/PI_Malloc.cpp:
        * ace/Sock_Connect.cpp:
        * ace/TkReactor.cpp:
        * ace/XtReactor.cpp:
        * ace/CLASSIX/CLASSIX_CO_Acceptor.cpp:
        * ace/CLASSIX/CLASSIX_Port_Core.cpp:
        * ace/SSL/SSL_Context.cpp:
        * ace/SSL/SSL_SOCK_Connector.cpp:
        * apps/Gateway/Gateway/Options.h:
        * apps/JAWS/clients/Caching/ID_Generator.h:
        * apps/JAWS/server/JAWS_Concurrency.h:
        * apps/JAWS/server/JAWS_Pipeline.h:
        * apps/JAWS2/JAWS/Cache_Manager_T.h:
        * apps/JAWS2/JAWS/Concurrency.h:
        * apps/JAWS2/JAWS/Pipeline.h:
        * apps/JAWS2/JAWS/Reaper.h:
        * apps/JAWS3/jaws3/Concurrency.cpp:
        * apps/JAWS3/jaws3/Concurrency_T.cpp:
        * apps/JAWS3/jaws3/FILE.cpp:
        * apps/JAWS3/jaws3-todo/Reactive_Socket.cpp:
        * examples/ASX/CCM_App/SC_Server.cpp:
        * examples/ASX/Event_Server/Event_Server/Event_Analyzer.h:
        * examples/ASX/Event_Server/Event_Server/Options.cpp:
        * examples/ASX/Event_Server/Transceiver/transceiver.h:
        * examples/ASX/Message_Queue/buffer_stream.cpp:
        * examples/ASX/UPIPE_Event_Server/Event_Analyzer.h:
        * examples/ASX/UPIPE_Event_Server/Options.cpp:
        * examples/Bounded_Packet_Relay/BPR_Drivers.h:
        * examples/C++NPv2/AC_Client_Logging_Daemon.cpp:
        * examples/C++NPv2/AIO_Client_Logging_Daemon.cpp:
        * examples/C++NPv2/TP_Logging_Server.h:
        * examples/C++NPv2/WFMO_Reactor_Logging_Server.cpp:
        * examples/Connection/misc/Connection_Handler.h:
        * examples/Connection/misc/test_upipe.h:
        * examples/IOStream/server/iostream_server.h:
        * examples/IPC_SAP/SOCK_SAP/CPP-inserver-fancy.cpp:
        * examples/IPC_SAP/SOCK_SAP/CPP-memclient.cpp:
        * examples/IPC_SAP/SSL_SAP/SSL-client.cpp:
        * examples/IPC_SAP/SSL_SAP/SSL-server-fancy.cpp:
        * examples/Logger/Acceptor-server/server_loggerd.h:
        * examples/NT_Service/ntsvc.h:
        * examples/QOS/Simple/Fill_ACE_QoS.h:
        * examples/Reactor/Misc/notification.cpp:
        * examples/Reactor/Misc/test_reactors.cpp:
        * examples/Reactor/Proactor/post_completions.cpp:
        * examples/Reactor/Proactor/test_end_event_loop.cpp:
        * examples/Reactor/Proactor/test_multiple_loops.cpp:
        * examples/Reactor/Proactor/test_timeout.cpp:
        * examples/Reactor/WFMO_Reactor/Removals.cpp:
        * examples/Reactor/WFMO_Reactor/Suspended_Removals.cpp:
        * examples/Reactor/WFMO_Reactor/Talker.cpp:
        * examples/Shared_Malloc/test_multiple_mallocs.cpp:
        * examples/Shared_Malloc/test_position_independent_malloc.cpp:
        * examples/Synch/proc_sema.cpp:
        * examples/Threads/TSS_Obj.h:
        * examples/Threads/TSS_Task.h:
        * examples/Threads/recursive_mutex.cpp:
        * examples/Threads/task_two.cpp:
        * examples/Threads/tss1.cpp:
        * examples/Web_Crawler/Mem_Map_Stream.h:
        * examples/Web_Crawler/URL_Visitor.h:
        * netsvcs/lib/Client_Logging_Handler.h:
        * netsvcs/lib/Log_Message_Receiver.cpp:
        * netsvcs/lib/Server_Logging_Handler.cpp:
        * netsvcs/lib/Server_Logging_Handler_T.h:
        * performance-tests/Misc/test_guard.cpp:
        * performance-tests/Misc/test_singleton.h:
        * performance-tests/Server_Concurrency/Leader_Follower/RT_CORBA_Leader_Follower.h:
        * performance-tests/Synch-Benchmarks/synch_driver.cpp:
        * performance-tests/Synch-Benchmarks/Base_Test/Baseline_Test.cpp:
        * performance-tests/Synch-Benchmarks/Base_Test/base_test.cpp:
        * performance-tests/Synch-Benchmarks/Base_Test/mutex_test.cpp:
        * performance-tests/Synch-Benchmarks/Perf_Test/Adaptive_Lock_Performance_Test_Base.cpp:
        * performance-tests/Synch-Benchmarks/Perf_Test/Performance_Test.cpp:
        * performance-tests/Synch-Benchmarks/Perf_Test/adaptive_mutex_test.cpp:
        * performance-tests/Synch-Benchmarks/Perf_Test/adaptive_recursive_lock_test.cpp:
        * performance-tests/Synch-Benchmarks/Perf_Test/adaptive_sema_test.cpp:
        * performance-tests/Synch-Benchmarks/Perf_Test/condb_test.cpp:
        * performance-tests/Synch-Benchmarks/Perf_Test/conds_test.cpp:
        * performance-tests/Synch-Benchmarks/Perf_Test/context_test.cpp:
        * performance-tests/Synch-Benchmarks/Perf_Test/guard_test.cpp:
        * performance-tests/Synch-Benchmarks/Perf_Test/memory_test.cpp:
        * performance-tests/Synch-Benchmarks/Perf_Test/mutex_test.cpp:
        * performance-tests/Synch-Benchmarks/Perf_Test/recursive_lock_test.cpp:
        * performance-tests/Synch-Benchmarks/Perf_Test/rwrd_test.cpp:
        * performance-tests/Synch-Benchmarks/Perf_Test/rwwr_test.cpp:
        * performance-tests/Synch-Benchmarks/Perf_Test/sema_test.cpp:
        * performance-tests/Synch-Benchmarks/Synch_Lib/Benchmark_Base.h:
        * tests/Buffer_Stream_Test.cpp:
        * tests/Cache_Map_Manager_Test.cpp:
        * tests/Cached_Accept_Conn_Test.h:
        * tests/Cached_Conn_Test.h:
        * tests/Framework_Component_DLL.h:
        * tests/Future_Set_Test.cpp:
        * tests/Future_Test.cpp:
        * tests/Lazy_Map_Manager_Test.cpp:
        * tests/MT_Reactor_Timer_Test.h:
        * tests/Map_Manager_Test.cpp:
        * tests/Notify_Performance_Test.cpp:
        * tests/Reactor_Performance_Test.h:
        * tests/Reactors_Test.cpp:
        * tests/Reader_Writer_Test.cpp:
        * tests/Recursive_Condition_Test.cpp:
        * tests/Recursive_Mutex_Test.cpp:
        * tests/Refcounted_Auto_Ptr_Test.cpp:
        * tests/Svc_Handler_Test.cpp:
        * tests/TP_Reactor_Test.h:
        * tests/Test_Output.cpp:
        * tests/Thread_Pool_Reactor_Resume_Test.h:
        * tests/Thread_Pool_Reactor_Test.h:
        * tests/CLASSIX/CLASSIX_Con_Acc_Test.h:
        * tests/CLASSIX/CLASSIX_Notify_Test.cpp:
        * tests/SSL/Thread_Pool_Reactor_SSL_Test.h:
          Removed #include Synch*.h and added need synch includes (most.
          almost all, files required no additional includes).

Sun Nov  9 00:25:57 UTC 2003  Craig Rodrigues  <crodrigu@bbn.com>

        * ace/QoS/QoS_Session_Impl.cpp: Add include of OS_NS_arpa_inet.h
          to unbreak build.

Sat Nov  8 20:54:53 UTC 2003  Don Hinton  <dhinton@dresystems.com>

        * bin/fuzz.pl:
          Added the following new fuzz checks:

          check_for_dependency_file:  Checks to see if the Makefile uses
          the DEPENDENCY_FILE variable.  If it does, check to see if the
          dependency file is in cvs.  If not, flag it as an error, since
          the realclean target needs the dependencies to properly
          function.

          check_for_streams_include: Checks to see if ace/streams.h has
          been included since this is an expensive and often unneeded file.

          check_for_OS_h_include: Checks to see if ace/OS.h has been
          included.  This files is maintained for backward
          compatibility but should not be included within ACE+TAO since
          it is expensive and often unneeded--include the OS_NS*.h files
          instead.

          check_for_synch_include: Checks to see if ace/Synch.h or
          ace/Synch_T.h have been included.  These files are maintained
          for backward compatibility but should not be included within
          ACE+TAO since they are expensive and often unneeded--include
          the specific synch file instead, e.g., ace/Null_Mutex.h.

          Added the *.mpc and *.mwc files to the check_for_id_string
          test.

Sat Nov  8 04:52:30 UTC 2003  Don Hinton  <dhinton@dresystems.com>

        * apps/soreduce/Library.h:
          Added #include streams.h

Sat Nov  8 04:11:17 UTC 2003  Don Hinton  <dhinton@dresystems.com>

        * ace/OS_main.h
        * ace/OS_main.cpp:
          Fixed last checkin on Windows and WINCE.  This involved adding a
          pure virtual method and implementing it in a derived class in
          the macro and having it call the users entry point on Windows.
          Otherwise the ACE dll complained about unresolved externals when
          linking.

Fri Nov  7 23:29:02 UTC 2003  Don Hinton  <dhinton@dresystems.com>

        * ace/OS_main.h
        * ace/OS_main.cpp:
          Added class to get around problems on Windows.  This is a
          first cut.  If it works out, I'll clean it up.

2003-11-07  Emre Turkay  <turkaye@dre.vanderbilt.edu>

        * ace/config-win32-msvc.h:
          Added QT_DLL definition.

Fri Nov  7 21:09:01 UTC 2003  Don Hinton  <dhinton@dresystems.com>

        * ace/Makefile.ace:
        * ace/ace.mpc:
        * ace/OS.cpp:
        * ace/OS_main.h
        * ace/OS_main.cpp:
          Added new file, OS_main.cpp, and restructured the "main" macros
          to call real functions the now live in OS_main.cpp.  Added
          OS_main.cpp to the makefiles and OS.cpp.

Fri Nov  7 15:21:49 2003  Steve Huston  <shuston@riverace.com>

        * ace/Connector.cpp: Added #include "ace/os_include/os_fcntl.h" to
          get ACE_NONBLOCK, "ace/OS_NS_stdio.h" to get ACE_OS::sprintf(), and
          "ace/OS_NS_string.h" to get ACE_OS::strdup().

        * ace/Service_Config.h:
        * ACEXML/common/URL_Addr.h: Added #include "ace/Default_Constants.h" to
          see ACE_DEFAULT_SERVICE_REPOSITORY_SIZE.

        * ace/Codeset_Registry.cpp:
        * ace/Local_Name_Space.cpp:
        * ace/Local_Name_Space_T.cpp:
        * ace/Module.i:
        * ace/Name_Space.cpp:
        * ace/Naming_Context.cpp:
        * ace/Obstack_T.cpp:
        * ace/Parse_Node.cpp:
        * ace/Remote_Name_Space.cpp:
        * ace/Service_Config.i:
        * ace/Service_Manager.cpp:
        * ace/Service_Types.cpp:
        * ace/Stream.cpp:
        * ace/Svc_Conf_y.cpp:
        * ace/UUID.cpp:
        * ace/RMCast/RMCast_Partial_Message.cpp:
        * ACEXML/common/AttributesImpl.i:
        * ACEXML/common/Encoding.cpp:
        * ACEXML/common/Exception.cpp:
        * ACEXML/common/HttpCharStream.cpp:
        * ACEXML/common/NamespaceSupport.cpp:
        * ACEXML/common/SAXExceptions.cpp:
        * ACEXML/common/StrCharStream.cpp:
        * ACEXML/common/StreamFactory.cpp:
        * ACEXML/common/Transcode.cpp:
        * ACEXML/common/URL_Addr.{inl cpp}:
        * ACEXML/common/XML_Codecs.cpp:
        * ACEXML/parser/parser/Parser.cpp:
        * ACEXML/tests/ContentHandler_Test.cpp:
        * ACEXML/tests/Transcorder_Test.cpp: Add #include "ace/OS_NS_string.h"
          to see ACE_OS::strcmp() and friends.

        * ace/RMCast/RMCast_Reordering.cpp: Added #include "ace/Guard_T.h" to
          see ACE_Guard.

        * ACEXML/tests/HttpCharStream_Test.cpp:
          Added #include "ace/OS_NS_stdio.h" to get ACE_OS::printf().

Fri Nov  7 11:21:57 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * ace/CDR_Stream.cpp:

          Fixed a typo in the comments.

        * ace/Message_Block.cpp:

          Removed unnecessary lines.

Fri Nov  7 17:11:15 UTC 2003  Don Hinton  <dhinton@dresystems.com>

        * ace/Dev_Poll_Reactor.cpp:
          Added #include of os_poll.h and OS_NS_sys_mman.h.

        * ace/OS_NS_string.inl:
          Added #include of os_string.h.

        * ace/OS_NS_wchar.{h,inl}:
          Added #ifdef ACE_HAS_WCHAR around fgetwc() declaration as well
          as some cosmetic changes, #ifdef indentation.

Fri Nov  7 11:28:39 2003  Steve Huston  <shuston@riverace.com>

        * tests/Vector_Test.cpp: Added tests of the equality and inequality
          operators.

Fri Nov  7 06:50:49 UTC 2003  Don Hinton  <dhinton@dresystems.com>

        * Kokyu/Makefile.Kokyu:
        * ace/Makefile.ace:
        * ace/RMCast/Makefile:
        * apps/Gateway/Gateway/Makefile:
        * apps/Gateway/Peer/Makefile:
        * apps/drwho/Makefile:
        * apps/gperf/src/Makefile:
        * apps/gperf/tests/Makefile:
        * examples/ASX/CCM_App/Makefile:
        * examples/ASX/Event_Server/Event_Server/Makefile:
        * examples/ASX/Event_Server/Transceiver/Makefile:
        * examples/ASX/Message_Queue/Makefile:
        * examples/ASX/UPIPE_Event_Server/Makefile:
        * examples/C++NPv1/Makefile:
        * examples/Connection/misc/Makefile:
        * examples/Connection/non_blocking/Makefile:
        * examples/IOStream/client/Makefile:
        * examples/IOStream/server/Makefile:
        * examples/IPC_SAP/DEV_SAP/reader/Makefile:
        * examples/IPC_SAP/DEV_SAP/writer/Makefile:
        * examples/IPC_SAP/FIFO_SAP/Makefile:
        * examples/IPC_SAP/FILE_SAP/Makefile:
        * examples/IPC_SAP/SOCK_SAP/Makefile:
        * examples/IPC_SAP/SPIPE_SAP/Makefile:
        * examples/IPC_SAP/TLI_SAP/Makefile:
        * examples/IPC_SAP/UPIPE_SAP/Makefile:
        * examples/Log_Msg/Makefile:
        * examples/Logger/Acceptor-server/Makefile:
        * examples/Logger/client/Makefile:
        * examples/Logger/simple-server/Makefile:
        * examples/Map_Manager/Makefile:
        * examples/Mem_Map/IO-tests/Makefile:
        * examples/Mem_Map/file-reverse/Makefile:
        * examples/Misc/Makefile:
        * examples/Naming/Makefile:
        * examples/RMCast/Send_File/Makefile:
        * examples/Reactor/Dgram/Makefile:
        * examples/Reactor/FIFO/Makefile:
        * examples/Reactor/Misc/Makefile:
        * examples/Reactor/Multicast/Makefile:
        * examples/Reactor/Ntalker/Makefile:
        * examples/Service_Configurator/IPC-tests/client/Makefile:
        * examples/Service_Configurator/IPC-tests/server/Makefile:
        * examples/Shared_Malloc/Makefile:
        * examples/Shared_Memory/Makefile:
        * examples/Synch/Makefile:
        * examples/System_V_IPC/SV_Message_Queues/Makefile:
        * examples/System_V_IPC/SV_Semaphores/Makefile:
        * examples/System_V_IPC/SV_Shared_Memory/Makefile:
        * examples/Threads/Makefile:
        * examples/Timer_Queue/Makefile:
        * netsvcs/clients/Logger/Makefile:
        * netsvcs/clients/Naming/Client/Makefile:
        * netsvcs/clients/Naming/Dump_Restore/Makefile:
        * netsvcs/clients/Tokens/collection/Makefile:
        * netsvcs/clients/Tokens/deadlock/Makefile:
        * netsvcs/clients/Tokens/invariant/Makefile:
        * netsvcs/clients/Tokens/mutex/Makefile:
        * netsvcs/clients/Tokens/rw_lock/Makefile:
        * netsvcs/lib/Makefile:
        * netsvcs/servers/Makefile:
        * performance-tests/Misc/Makefile:
        * performance-tests/SCTP/Makefile:
        * performance-tests/Server_Concurrency/Leader_Follower/Makefile:
        * performance-tests/Server_Concurrency/Queue_Based_Workers/Makefile:
        * performance-tests/TCP/Makefile:
        * performance-tests/UDP/Makefile:
        * tests/Makefile.tests:
        * tests/RMCast/Makefile:
        * websvcs/lib/Makefile:
        * websvcs/tests/Makefile:
          Updated dependencies.

Fri Nov  7 02:08:17 UTC 2003  Don Hinton  <dhinton@dresystems.com>

        * ace/SOCK_Dgram.i:
          Use ACE_reinterpret_cast instead of a raw "C" style cast.  Gets
          rid of a warning on HPUX.

Fri Nov  7 00:51:59 UTC 2003  Don Hinton  <dhinton@dresystems.com>

        * ace/INET_Addr.cpp:
          Added #ifdef around IPV6 specific code to remove errors on
          platforms where AV_INET6 is not defined.  Changed and instance
          of ACE_OS_String to ACE_OS.

        * ace/Sock_Connect.cpp:
          Added #ifdef around IPV6 specific code to remove errors on
          platforms where AV_INET6 is not defined.

        * ace/os_include/sys/os_resource.h:
          Added #includes of sys/syscall.h and sys/systemino.h if
          ACE_HAS_SYSCALL_H and ACE_HAS_SYSINFO are defined respectively.
          This should clear up errors on HPUX.

        * examples/IOStream/server/iostream_server.cpp:
          Added #include of Signal.h.

Thu Nov  6 17:04:22 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * ace/INET_Addr.cpp (set_address):

          Applied patches from Bryan Buesker which basically just changes
          the semantics of ACE_INET_Addr::set_address when map is set to
          1. Previously, if map was non-zero, len was 4, and the  type was
          already set to AF_INET for the ACE_INET_Addr, then the address
          would not be set to an IPv4-mapped IPv6 address. It is probably
          more desirable for the map argument to force the  address to be
          an IPv4  mapped IPv6 address in this case (regardless of the
          current type of  the address).

Thu Nov  6 17:57:10 UTC 2003  Don Hinton  <dhinton@dresystems.com>

        * ace/OS_Log_Msg_Attributes.h:
        * ace/Basic_Types.h:
          Moved #include config-all.h outside header guard to avoid circular
          include problem due to including OS_main.h in config-all.h on
          Windows.

        * ace/Base_Thread_Adapter.h:
        * ace/Cleanup.h:
        * ace/Global_Macros.h:
        * ace/OS_Dirent.h:
        * ace/OS_Errno.h:
        * ace/OS_Log_Msg_Attributes.h:
        * ace/OS_Memory.h:
        * ace/OS_NS_Thread.h:
        * ace/OS_QoS.h:
        * ace/OS_String.h:
        * ace/OS_Thread_Adapter.h:
        * ace/Object_Manager_Base.h:
        * ace/Thread_Hook.h:
        * ace/Time_Value.h:
        * ace/os_include/os_pthread.h:
          Changed the rest of the #include OS_Export.h to ACE_export.h and
          ACE_OS_Export to ACE_Export.

Thu Nov  6 17:53:35 UTC 2003  Don Hinton  <dhinton@dresystems.com>

        * ace/INET_Addr.{h,i} (set_addr):
          Removed the default parameter for map and added back the
          original set_addr method that matches the one in ACE_Addr, and
          have it call the new method with the default value under the
          covers. This silences warnings about hidden methods.

Thu Nov  6 16:40:35 UTC 2003  Don Hinton  <dhinton@dresystems.com>

        * ACEXML/common/FileCharStream.h:
        * ACEXML/common/HttpCharStream.h:
        * apps/soreduce/Library.h:
          Removed #include of streams.h.

        * ace/ACE_export.h:
          Moved the #include of config-all.h up and outside the
          ACE_EXPORT_H include guard to avoid circular include problems on
          Windows caused by including OS_main.h in config-all.h to pick up
          the main macros.  OS_main.h includes Object_Manager.h.

Thu Nov  6 10:12:50 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * ace/INET_Addr.cpp:

          Added patch from Bryan Bruesker to use ACE_OS::if_nametoindex ()
          instead of plain if_nametoindex ().

Thu Nov  6 09:50:34 2003  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/README:

          Added information about generating GNUACE projects that will only
          build static libraries.

Thu Nov  6 12:46:12 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/RMCast/RMCast.rc:
          Added resource file for the RMCast library. Thanks to
          Andrew L. Shwaika <als@solvo.ru> for supplying this.

Thu Nov  6 10:20:23 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * apps/JAWS/server/HTTP_Server.cpp:
          Added include of Signal.h.

Thu Nov  6 07:57:43 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Static_Object_Lock.h:
          Corrected pre.h to post.h

Thu Nov  6 07:37:13 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ASNMP/asnmp/smival.h:
        * ASNMP/agent/agent_impl.cpp:
          Added os_include/os_stddef.h to get size_t

Thu Nov  6 07:31:12 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/Connection/blocking/SPIPE-acceptor.cpp:
        * examples/Connection/blocking/SPIPE-connector.h:
          Added include of Signal.h.

Thu Nov  6 04:53:54 UTC 2003  Don Hinton  <dhinton@dresystems.com>

        * ace/OS_NS_dlfcn.inl:
          Removed ACE_OS from strerror call in an HP #ifdef that I had
          erroneously added during subsetting--it was obviously like that
          for a reason...

        * ace/OS_TLI.h:
          Add #include of os_tcp.h before #include of sys/xti.h if
          ACE_HAS_BROKEN_XTI_MACROS is defined.  This error arose due to
          the different order of includes after subsetting.

        * ace/SString.h:
          Changed #include streams.h to iosfwd.h.  Due to the change in
          the order of includes, we are now getting errors on SuSE due to
          ceil and floor already being declared.  This is not a final fix,
          but is necessary to keep the stats builds running.

Wed Nov  5 19:02:51 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * ace/CDR_Stream.cpp (clone_from):

          Fixed an alignment problem under the following conditions

          - The incoming CDR buffer has a message of size exactly 1024
            bytes.

          - The data block within the message block in the destination CDR
            is not aligned on an 8 byte boundary.

          This lead to improper copying. The problem was that the call
          clone () on the source data block returned exactly 1024 bytes
          and in addition could potentially (which is the destination)
          could be aligned on a 4 byte boundary. This made the destination
          buffer to get aligned on a 8 byte boundary and lose 4 bytes of
          space which lead to improper copying of the source
          buffer. Thanks to Jian Chen  <jchen@huawei.com> for reporting
          the problem.

          The above problem now been fixed by doing an additional size
          increment on the cloned datablock. We have also added a small
          optimization. We don't always clone the data block. We do it only
          if the size of the source buffer is larger than the size of the
          destination buffer. This should lead to a small increase in
          performance since we are avoiding an allocation along the
          critical path.

          I haven't received a response yet from Jian on whether this
          patch solves his problem. But I am positive that this would
          help.

Wed Nov  5 18:52:01 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * ace/OS_NS_sys_socket.h:

          #include'd os_include/net/os_if.h to get the definitions of
          if_nametoindex () if_indextoname () etc.

Wed Nov  5 23:45:09 UTC 2003  Don Hinton  <dhinton@dresystems.com>

        * ace/OS_NS_sys_socket.inl:
          Fixed FUZZ error.

Wed Nov  5 18:16:40 2003  Steve Huston  <shuston@riverace.com>

        * ace/ARGV.i: Added #include "ace/Global_Macros.h" to find ACE_TRACE.

        * ace/Global_Macros.h: Added #include "ace/OS_Errno.h" near the
          ACE_ALLOCATOR* and ACE_NEW* macros to see errno and ENOMEM.

        * ace/ACE.cpp: Added #include "ace/OS_NS_string.h" to find
          ACE_OS::strlen().

        * ace/Capabilities.cpp: Added #include "ace/os_includes/os_ctype.h"
          to get isdigit(), "ace/OS_Memory.h" to get ACE_NEW_RETURN, and
          "ace/OS_NS_string.h" to get ACE_OS::strcmp().

        * ace/Configuration.cpp:
        * ace/Configuration_Import_Export.cpp:
        * ace/DLL_Manager.cpp:
        * ace/Filecache.cpp:
        * ace/Get_Opt.cpp:
        * ace/Process.{cpp i}
        * ace/SString.cpp:
        * ace/UPIPE_Stream.cpp: Added #include "ace/OS_NS_string.h" to pick
          up ACE_OS string functions.

        * ace/Based_Pointer_Repository.cpp:
        * ace/Filecache.cpp:
        * ace/Local_Name_Space_T.cpp:
        * ace/Malloc_T.h:
        * ace/Object_Manager.cpp:
        * ace/Process_Manager.cpp:
        * ace/Reactor.cpp:
        * ace/Select_Reactor_T.cpp:
        * ace/Signal.cpp:
        * ace/Singleton.cpp:
        * ace/Svc_Conf_l.cpp:
        * ace/Thread_Exit.cpp:
        * ace/Thread_Manager.cpp:
        * ace/Timer_Heap_T.cpp:
        * ace/Timer_Queue_T.cpp:
        * ace/UUID.cpp: Added #include "ace/Guard_T.h" to find ACE_Guard.

        * ace/DEV_Addr.cpp:
        * ace/FILE_Addr.cpp:
        * ace/SPIPE_Addr.cpp: Added #include "ace/OS_NS_string.h" to get
          ACE_OS functions and "ace/os_include/sys/os_socket.h" to get
          AF_DEV, etc. defs.

        * ace/Log_Msg.cpp: Added #include "ace/OS_NS_stdio.h" to pick up
          ACE_OS::snprintf() and "ace/Guard_T.h" to find ACE_Guard.
        * ace/SString.h: Added #include "ace/streams.h" if
          !ACE_LACKS_IOSTREAM_TOTALLY to pick up the correct ostream type.

        * ace/Process_Manager.h: Add #include "ace/Time_Value.h" to get the
          ACE_Time_Value class and member defs needed.

        * ace/Sock_Connect.cpp: Added #include "ace/OS_NS_string.h",
          "ace/OS_NS_unistd.h" and "ace/OS_NS_stdlib.h" and "ace/OS_Memory.h"
          to get missing functions.

        * ace/Thread_Adapter.cpp: Added #include "ace/Object_Manager_Base.h" to
          get ACE_OS_Object_Manager class.

        * ace/Time_Request_Reply.cpp: Added #include
          "ace/os_include/netinet/os_in.h" to get htonl(), ntohl().

        * ace/TP_Reactor.cpp: Added #include "ace/OS_NS_sys_time.h" to get
          ACE_OS::gettimeofday() and "ace/Log_Msg.h" to get logging macros.

        * ace/TP_Reactor.h: Added #include "ace/Timer_Queue.h" so IBM Visual
          Age C++ can see the whole ACE_Timer_Queue type for template reasons.

        * ace/Timer_Queue.h: Add #include of either
          ace/Recursive_Thread_Mutex.h or ace/Null_Mutex.h based on
          ACE_HAS_THREADS. IBM Visual Age C++ needs to see the complete
          type.

        * ace/Parse_Node.cpp: Added #include "ace/ACE.h" to see ACE::debug().

        * netsvcs/lib/TS_Clerk_Handler.h: Added #include "ace/Null_Mutex.h".

Wed Nov  5 23:26:11 UTC 2003  Don Hinton  <dhinton@dresystems.com>

        * ace/config-all.h:
          Added #include of OS_main.h to pick up the main macros that
          handle instantiating ACE_Object_Manager when
          ACE_HAS_NONSTATIC_OBJECT_MANAGER is defined. Thanks to Justin
          Michel <michel_j@ociweb.com> for identifying the problem and
          suggesting the solution.

Wed Nov  5 21:47:35 UTC 2003  Don Hinton  <dhinton@dresystems.com>

        * ace/OS_NS_Thread.h:
          Changed export declaration for rwlock_init() to
          ACE_NAMESPACE_INLINE_FUNCTION to fix link errors on Windows.

        * ace/OS_NS_time.h:
          Changed export declaration for gmtime_r() to
          ACE_NAMESPACE_INLINE_FUNCTION to fix link errors on Windows.

Wed Nov  5 21:22:45 UTC 2003  Don Hinton  <dhinton@dresystems.com>

        * ace/OS_NS_stdio.h:
          Changed export declaration for
          default_win32_security_attributes(),
          fopen_mode_to_open_mode_converter(), and fputs() to
          ACE_NAMESPACE_INLINE_FUNCTION to fix link errors on Windows.

        * ace/OS_NS_stropts.h:
          Changed export declaration for getmsg(), getpmsg(), and
          fattach() to ACE_NAMESPACE_INLINE_FUNCTION to fix link errors on
          Windows.

Wed Nov  5 15:09:00 2003  Justin Michel <michel_j@ociweb.com>

        * apps/gperf/src/gperf.cpp:

          Added missing #include "ace/OS_main.h"

Wed Nov  5 19:03:20 UTC 2003  Don Hinton  <dhinton@dresystems.com>

        * ace/ACE.cpp:
          Added #include of OS_NS_poll.h if ACE_HAS_POLL and
          ACE_HAS_LIMITED_SELECT are defined.  Thanks to Andrew G. Harvey
          <agh@cisco.com> for reporting this.

        * ace/TLI.cpp:
          Added #include of OS_NS_sys_socket.h to pickup opthdr.  Thanks
          again to Andrew G. Harvey <agh@cisco.com> for reporting this.

        * ace/INET_Addr.cpp:
          Added ACE_UNUSED_ARG wrapper around the map variable when
          ACE_HAS_IPV6 isn't defined to get rid of warning.

        * ace/Log_Msg.cpp:
          Changed #ifdef to include Object_Manager_Base.h if ACE_MT_SAFE
          != 0 (instead of == 0) instead of Object_Manger.h.

        * ace/Object_Manager.h:
        * ace/Static_Object_Lock.h:
          Added new file, Static_Object_Lock.h, and moved
          ACE_Static_Object_Lock.h there to help reduce need to include
          Object_Manger.h.

        * ace/Reactor.cpp:
          Made #includes of Reactor implementations conditional on usage.
          Removed #include of Reactor_Impl.h and Handle_Set.h
          (Handle_Set.h isn't needed and Reactor_Impl.h doesn't need to be
          read again).  Include Static_Object_Lock.h instead of
          Object_Manager.h.

        * OS.i:
        * ace/os_include/os_pwd.h:
        * ace/os_include/os_stdlib.h:
        * ace/os_include/os_time.h:
          Moved remaining functions prototypes for AIX and Digital Unix to
          the appropriate places.

Wed Nov  5 11:58:04 2003  Douglas C. Schmidt  <schmidt@ace.cs.wustl.edu>

        * ace/SOCK_Dgram_Mcast.cpp,
        * ace/Asynch_Connector.cpp,
        * ace/INET_Addr.cpp,
        * ace/OS.h,
        * ace/OS.i,
        * ace/Sock_Connect.n,
        * ace/Sock_Connect.i,
        * ace/SOCK_Dgram.i,
        * ace/SOCK_Dgram.cpp,
        * ace/SOCK_Dgram_Mcast.h,
        * ace/SOCK_Dgram_Mcast.cpp,
        * ace/SOCK_SEQPACK_Acceptor.cpp,
        * ace/OS_NS_sys_socket.{h,inl}:
          Finished adding IPv6 support to ACE.  The main addition is
          support for UDP multicast over IPv6 for Linux.  Thanks to Brian
          Buesker <bbuesker@qualcomm.com> for contributing this.

Wed Nov  5 15:28:30 UTC 2003  Don Hinton  <dhinton@dresystems.com>

        * tests/Multihomed_INET_Addr_Test.cpp:
          Added ACE_OS to a couple more memcmp's I missed last time.

Wed Nov  5 14:53:19 UTC 2003  Don Hinton  <dhinton@dresystems.com>

        * ace/Multihomed_INET_Addr.{h,cpp}:
          Removed some "/**/" comments from normal #include statements so
          these includes can be picked up by doxygen.  This is a doxygen
          "feature" that excludes includes from documentation that have an
          unknown character.

        * ace/Synch.cpp:
        * ace/Thread_Mutex.cpp:
        * ace/RW_Thread_Mutex.cpp:
          Moved the explicit template instantiations from Synch.cpp to
          these files since Synch.cpp is not always compiled.

        * tests/Multihomed_INET_Addr_Test.cpp:
          Added ACE_OS to a memcmp call to fix a compile error.

Wed Nov  5 14:08:59 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-win32-mingw.h:
          Added defines ACE_LACKS_TERMIOS_H and ACE_LACKS_NETINET_TCP_H

Wed Nov  5 13:18:33 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-cygwin32.h:
          Removed ACE_LACKS_SYS_MSG_H

        * ace/config-win32-mingw.h:
          Added ACE_LACKS_SYS_SHM_H

        * ace/Flag_Manip.cpp:
          Added os_include/os_termios.h for Cygwin build

        * ace/IO_Cntl_Msg.h:
          Added os_include/os_stddef.h to get size_t

        * ace/OS_NS_stdio.h:
          Added os_include/os_unistd.h for Cygwin build

        * ace/Proactor.h:
          Added os_include/os_stddef.h and os_include/os_signal.h for
          Cygwin

        * ace/os_include/os_signal.h:
        * ace/OS_NS_signal.h
          Moved ACE_SIGNAL_C_FUNC from os_signal.h to OS_NS_Signal.h because
          with Cygwin siginfo_t is defined in OS_NS_Signal.h

Wed Nov  5 10:04:12 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/README:
        * ace/config-all.h:
        * ace/config-win32-borland.h:
          Changed my solution for the explicit std:: namespace I made this
          morning. Making ACE_STD_NAMESPACE dependent of
          ACE_USES_STD_NAMESPACE_FOR_STDCPP_LIB breaks other compilers, so
          introduced the new define ACE_USES_EXPLICIT_STD_NAMESPACE which
          defines how ACE_STD_NAMESPACE is expanded. Set this define in the
          Borland config file only.

Wed Nov  5 09:40:19 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/IPC_SAP/SOCK_SAP/CPP-unclient.cpp:
        * examples/IPC_SAP/SOCK_SAP/CPP-unserver.cpp:
        * examples/NT_Service/main.cpp:
        * examples/Reactor/Proactor/simple_test_proactor.cpp:
        * examples/Reactor/Proactor/test_proactor2.cpp:
        * examples/Reactor/Proactor/test_timeout_st.cpp:
        * examples/Reactor/WFMO_Reactor/Console_Input.cpp:
        * examples/Reactor/WFMO_Reactor/Handle_Close.cpp:
        * examples/Reactor/WFMO_Reactor/Network_Events.cpp:
        * examples/Reactor/WFMO_Reactor/Prerun_State_Changes.cpp:
          Added #include of OS_main.h to get ACE_TMAIN macro

        * examples/Threads/wfmo.cpp:
          Added #include of OS_main.h to get ACE_TMAIN macro and
          OS_NS_unistd.h to get ACE_OS::sleep.

Wed Nov  5 07:53:19 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Dev_Poll_Reactor.cpp:
        * ace/Name_Space.h:
          Fixed fuzz errors

Wed Nov  5 07:46:12 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ARGV.h:
          Define a private copy constructor and assignment operator. The
          compiler generated versions will not work correctly so prevent
          copying of an instance.

        * config-win32.h:
          Moved the check for __BORLANDC__ above the check for _MSC_VER. The
          preview Borland compilers defines both, but we must include in that
          case the Borland config file.

        * Connector.{h,cpp}:
          Moved include of Handle_Set.h from cpp to h file. We really need
          it in the header file.

        * config-all.h:
          Because ACE_OS is now a namespace we encountered a problem with the
          Borland compilers. In ACE_OS::fclose() we did call ::fclose() but
          the Borland compiler now gives an ambiguity between ACE_OS::fclose()
          and std::fclose(). To fix this we added ACE_STD_NAMESPACE which
          is set to std when ACE_USES_STD_NAMESPACE_FOR_STDCPP_LIB is defined
          to 1. In other cases we let ACE_STD_NAMESPACE be nothing. In
          ACE_OS::fclose() we program now ACE_STD_NAMESPACE::fclose() so that
          when using Borland this expands to std::fclose(), in other cases to
          ::fclose().

        * OS_NS_stdio.inl:
        * OS_NS_time.cpp:
        * OS_NS_time.inl:
        * OS_NS_wchar.inl:
          Use ACE_STD_NAMESPACE for the method which appear in ACE_OS and std

Wed Nov  5 05:33:44 UTC 2003  Don Hinton  <dhinton@dresystems.com>

        * ACEXML/common/FileCharStream.cpp:
          Added #include OS_NS_wchar.h when ACE_USES_WCHAR is defined.

        * examples/Reactor/WFMO_Reactor/Console_Input.cpp:
        * examples/Reactor/WFMO_Reactor/Directory_Changes.cpp:
        * examples/Reactor/WFMO_Reactor/Multithreading.cpp:
        * examples/Reactor/WFMO_Reactor/Registration.cpp:
          Added #included needed on Windows due to recent subsetting.

Tue Nov 04 19:37:31 2003  Nanbor Wang  <nanbor@cs.wustl.edu>

        * COPYING: Modified to include CIAO in the Copyright disclaimer.
          Thanks to Roland Schimmack <SC@ProCom.de> for motivating the change.

Wed Nov  5 01:23:08 UTC 2003  Don Hinton  <dhinton@dresystems.com>

        * apps/Gateway/Gateway/Event_Channel.cpp:
        * apps/Gateway/Gateway/Gateway.cpp:
        * apps/Gateway/Peer/Peer.cpp:
        * netsvcs/lib/Name_Handler.cpp:
        * netsvcs/lib/Server_Logging_Handler_T.cpp:
        * netsvcs/lib/TS_Server_Handler.cpp:
        * tests/Multicast_Test.cpp:
        * tests/Process_Manager_Test.cpp:
        * examples/ASX/Event_Server/Event_Server/event_server.cpp:
        * examples/ASX/Event_Server/Transceiver/transceiver.cpp:
        * examples/ASX/UPIPE_Event_Server/event_server.cpp:
        * examples/Connection/misc/Connection_Handler.cpp:
        * examples/Connection/non_blocking/CPP-acceptor.cpp:
        * examples/Connection/non_blocking/CPP-connector.cpp:
        * examples/Logger/simple-server/server_loggerd.cpp:
        * examples/Reactor/Misc/notification.cpp:
        * examples/Reactor/Misc/test_demuxing.cpp:
        * examples/Reactor/Misc/test_signals_1.cpp:
        * examples/Service_Configurator/IPC-tests/server/server_test.cpp:
        * examples/Threads/task_three.cpp:
        * examples/Threads/thread_manager.cpp:
        * examples/Threads/thread_specific.cpp:
          Added #include of Signal.h.

        * examples/Reactor/Misc/pingpong.cpp:
          Added #include of Null_Mutex.h.

        * examples/C++NPv2/Logging_Event_Handler_Ex.cpp:
          Added #include of ace/Timer_Queue.h.

Wed Nov  5 00:56:43 UTC 2003  Don Hinton  <dhinton@dresystems.com>

        * Process_Manager.cpp:
          Added #include of OS_NS_sys_time.h:

        * ace/Reactor_Impl.h:
          Added #include of Time_Value.h.

Wed Nov  5 00:28:47 UTC 2003  Don Hinton  <dhinton@dresystems.com>

        * ace/OS_Dirent.h:
        * ace/OS_Memory.h:
        * ace/OS_String.h:
        * ace/OS_TLI.h:
        * ace/config-all.h:
          Moved the #defines of ACE_OS_String, ACE_OS_Memory,
          ACE_OS_Dirent, and ACE_OS_TLI to config-all.h.  This makes it
          easier for older code that may still use these old class names
          to continue to compile even though the header refactoring has
          eliminated the old empty headers.

Tue Nov  4 16:03:06 2003  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * ace/Makefile.am (HEADER_FILES):

          Added new Timer_Queuefwd.h header to this list.

Tue Nov  4 15:35:30 2003  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * tests/Conn_Test.cpp:

          Include "ace/Signal.h".  Necessitated by inter-header dependency
          reductions.

Tue Nov  4 14:36:59 2003  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * ace/Array_Base.cpp:

          Check if _MSC_VER macro is defined prior to checking if
          it is defined to a specific value.  Addresses warnings in some
          g++ configurations.

        * ace/Asynch_Pseudo_Task.h:

          Nuked trailing whitespace.

        * ace/CDR_Base.cpp (swap_4_array):

          Fixed problem where byte swapping code for arrays containing 4
          byte elements on platforms with 8 byte alignment was not
          enabled.

        * ace/Connector.cpp:

          Include "ace/Handle_Set.h".  Necessitated by inter-header
          dependency reductions.

        * ace/Dev_Poll_Reactor.cpp:

          Include "ace/Signal.h".  Necessitated by inter-header dependency
          reductions.

        * ace/Name_Space.h:

          Forward declare the ACE_Unbounded_Set and
          ACE_Unbounded_Set_Iterator template classes instead of including
          "ace/Unbounded_Set.h".

          No need to include "ace/Name_Proxy.h".

        * ace/Naming_Context.h:

          No need to include "ace/SString.h", "ace/Containers.h" and
          "ace/Name_Proxy.h".

        * ace/OS_NS_string.h:

          No need to forward declare ACE_Time_Value.

        * ace/Process_Manager.h:

          No need to include "ace/Reactor.h".  A forward declaration for
          ACE_Reactor is enough.

        * ace/Process_Manager.cpp:

          Include "ace/Reactor.h" to pull in ACE_Reactor class
          declaration.

        * ace/Reactor.h:

          Include new "ace/Timer_Queuefwd.h" header instead of
          "ace/Timer_Queue.h".  Forward declarations are enough.

          No need to include "ace/Signal.h".  Forward declarations for
          ACE_Sig_{Action,Handler,Set} are enough.

          No need to include "ace/Handle_Set.h".  Forward declaring
          ACE_Handle_Set is enough.

        * ace/Reactor.i:

          No need to include "ace/Handle_Set.h".  The forward declaration
          in "ace/Reactor.h" is enough.

        * ace/Reactor_Impl.h:

          Include new "ace/Timer_Queuefwd.h" header instead of
          "ace/Timer_Queue.h".  Forward declarations are enough.

          No need to include "ace/Signal.h".  Forward declarations for
          ACE_Sig_{Action,Handler,Set} are enough.

        * ace/Reactor_Timer_Interface.h:

          Include "ace/Time_Value.h" to pull in ACE_Time_Value class
          declaration.

        * ace/SString.h (ACE_NS_WString):

          Corrected documentation.

        * ace/SString.i:

          No need to include "ace/Malloc_Base.h".

        * ace/SString.cpp:

          Cosmetic reorganization of code.

        * ace/Select_Reactor_Base.h:

          No need to include "ace/Signal.h".

          Include new "ace/Timer_Queuefwd.h" header instead of
          "ace/Timer_Queue.h".  Forward declarations are enough.

        * ace/Select_Reactor_Base.cpp:
        * ace/Select_Reactor_T.cpp:

          Include "ace/Signal.h" to pull in ACE signal classes.

        * ace/TP_Reactor.h:

          No need to include "ace/Log_Msg.h".

        * ace/TP_Reactor.cpp:

          No need to include "ace/Reactor.h".

          Include "ace/Timer_Queue.h" and "ace/Signal.h" to pull in
          ACE_Timer_Queue and ACE signal classes.

        * ace/Timer_Queue.h:

          Moved ACE_Timer_Queue typedef to new Timer_Queuefwd.h file.

          Include "ace/Timer_Queuefwd.h" to pull in ACE_Timer_Queue
          typedef.

        * ace/Timer_Queue_T.cpp:

          No need to include "ace/Signal.h".

        * ace/Timer_Queuefwd.h:

          New file containing forward declarations and typedefs for the
          ACE_Timer_Queue class and friends.

Tue Nov  4 17:58:29 2003  Steve Huston  <shuston@riverace.com>

        * ace/UUID.cpp: Added explicit instantiation of
          ACE_Singleton::singleton_ to work around g++ issue on HP-UX and AIX.

Tue Nov  4 20:40:26 UTC 2003  Don Hinton  <dhinton@dresystems.com>

        * tests/test_config.h:
          Removed #include of streams.h.

        * tests/CDR_File_Test.cpp:
          Added #include of streams.h.  This is the only test that needs
          it.

Tue Nov  4 14:22:00 2003  Justin Michel <michel_j@ociweb.com

        * ace/OS.i:
        * ace/OS_NS_stdio.inl:

          Moved default_win32_security_attributes() function definition from
          OS.i to the other file.

Tue Nov  4 18:54:10 UTC 2003  Don Hinton  <dhinton@dresystems.com>

        * ace/config-freebsd.h
          Added ACE_LACKS_WCSNICMP, ACE_LACKS_WCSICMP, ACE_LACKS_WCSDUP,
          ACE_LACKS_ITOW, ACE_HAS_3_PARAM_WCSTOK, and ACE_LACKS_TOWLOWER,
          needed when ACE_HAS_WCHAR is defined.

Tue Nov  4 09:50:47 2003  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * tests/Makefile.am
          (MT_Reference_Counted_Event_Handler_Test_SOURCES):
          (MT_Reference_Counted_Notify_Test_SOURCES):
          (NonBlocking_Conn_Test_SOURCES):
          (Reactor_Registration_Test_SOURCES):
          (Reference_Counted_Event_Handler_Test_SOURCES):
          (Timer_Cancellation_Test_SOURCES):
          (Timer_Queue_Reference_Counting_Test_SOURCES):
          (WFMO_Reactor_Test_SOURCES):

          Added these missing test source declarations.

Tue Nov  4 09:15:13 2003  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * ace/OS_NS_stdlib.inl:
        * ace/OS_NS_sys_time.inl:
        * ace/OS_NS_sys_uio.inl:
        * ace/OS_NS_sys_utsname.inl:

          Include "ace/os_include/os_errno.h".  The ACE_OSCALL macros used
          in these files use the global errno variable.

        * ace/os_include/os_pthread.h:

          Don't define ACE_HAS_MUTEX_TIMEOUTS if it has been previously
          defined.  Fixes a warning for configurations that explicitly
          define ACE_HAS_MUTEX_TIMEOUTS.

          Do not directly check the GNU libc-specific "__USE_XOPEN2K"
          XPG6 feature test macro.  The correct/portable way to check for
          XPG6 features is to check if _XOPEN_SOURCE >= 600.

        * ace/os_include/sys/os_time.h:

          No need to include "ace/os_include/sys/os_select.h".

        * ace/os_include/sys/os_types.h:

          Check if ACE_SIZEOF_LONG macro is defined prior to checking if
          it is defined to a specific value.  Addresses warnings in some
          g++ configurations.

Tue Nov  4 16:48:54 UTC 2003  Don Hinton  <dhinton@dresystems.com>

        * ace/Barrier.cpp:
        * ace/Condition_Recursive_Thread_Mutex.cpp:
          Include Log_Msg.h when ACE_HAS_DUMP is defined.

        * ace/OS_NS_stdio.inl:
        * ace/OS_NS_string.cpp:
        * ace/OS_NS_strings.inl:
        * ace/OS_NS_unistd.inl:
        * ace/OS_NS_wchar.cpp:
        * ace/OS_NS_wchar.h:
          Added #includes needed when ACE_HAS_WCHAR is defined.

        * ace/SSL/SSL_SOCK.cpp:
        * ace/SSL/SSL_SOCK_Stream.cpp:
          Added #includes needed when ssl=1.

Tue Nov  4 14:29:38 UTC 2003  Don Hinton  <dhinton@dresystems.com>

        * ace/CDR_Streams.i:
          Added #include OS_NS_string.h and OS_Memory.h.

Tue Nov  4 06:20:18 2003  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/modules/VC6ProjectCreator.pm:

          Remove an unnecessary intermediate variable.

        * bin/MakeProjectCreator/modules/VC7ProjectCreator.pm:
        * bin/MakeProjectCreator/templates/vc7dll.mpt:
        * bin/MakeProjectCreator/templates/vc7exe.mpt:
        * bin/MakeProjectCreator/templates/vc7lib.mpt:
        * bin/MakeProjectCreator/templates/vc7libexe.mpt:

          Split static projects from dynamic projects ala VC6.  When one VC7
          static library project depends on another, they are linked
          together as the second one is built.  This causes the contents of
          each library to grow tremendously.  Splitting the projects allows
          us to omit the project dependencies for static libraries.

Tue Nov  4 01:03:56 2003  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * configure.ac (AC_PREREQ):

          Fixed typo in copyright statement.

          Bumped autoconf prerequisite to version 2.57g.  Function tests
          in versions prior to that did not function properly on HP-UX.

          (AC_CONFIG_AUX_DIR):

          Call this Autoconf macro with an "aux" argument.  This causes
          all autotool related scripts to be placed in to the `aux'
          directory.  Addresses a problem with some versions of libtoolize
          where an empty auxiliary directory name is assumed instead of
          the well defined defaults.  This change also happens to remove
          some of the clutter in the top-level directory.

          (AC_CONFIG_MACRO_DIR):

          Call this Autoconf macro with a "m4" argument to inform
          autotools that recognize this macro where the ACE Autconf/M4
          macros are located.

        * bin/bootstrap:

          Replaced manual calls to aclocal, autoheader, autoconf, automake
          and libtoolize with a single call to `autoreconf'.  The latter
          is a bit smarter about bootstrapping autoconfiscated
          workspaces, and also allows us to simplify this bootstrap
          script.

        * m4/ace.m4:

          Started converting all Bourne shell "if" blocks to Autoconf
          "AS_IF" blocks.  The latter provides improved portability.

        * m4/acinclude.m4:
        * m4/compiler.m4:
        * m4/features.m4:
        * m4/subsets.m4:

          Nuked trailing whitespace.

        * m4/config_h.m4 (AH_TOP):

          Removed "-*- C++ -*-" Emacs mode comment.  It had no effect
          since it wasn't in the first few lines of the generated
          `config.h' file.

          (AH_BOTTOM):

          Define Emacs mode at the bottom of the generated `config.h' file
          using the canonical Emacs "Local Variables" block.  The
          generated `config.h' file is now correctly interpreted as a C++
          header when opened in Emacs.


        * m4/threads.m4:

          Started converting all Bourne shell "if" blocks to Autoconf
          "AS_IF" blocks.  The latter provides improved portability.

          Refactored common POSIX threads detection code to an autoconf
          macro.

          Replaced brittle POSIX thread code that checked for backward
          compatibility macros.  Use a run/link-time test instead.  This
          allows us to avoid determining what the real pthread_create()
          function is called.  This should fix a Pthread detection problem
          that occurred on HP-UX.

        * ace/Makefile.am:

          Updated source lists with latest set of source filenames.

        * apps/gperf/mdate-sh:
        * apps/gperf/texinfo.tex:

          Removed these files.  They are automatically added when
          bootstrapping an "autoconfiscated" workspace.

Wed Nov  4 08:34:12 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/OS_NS_netdb.cpp: (getmacaddress)
          Always do an reinterpret_cast because the static_cast also doesn't
          work when ansi casts is enabled. Thanks to Edan Ayal
          <edanayal@yahoo.com> for reporting this.

Wed Nov  4 08:18:37 UTC 2003  Don Hinton  <dhinton@dresystems.com>

        * ace/OS_NS_signal.h:
          Removed include of OS_export and changed ACE_OS_Export to
          ACE_Export to fix compile errors.

Wed Nov  4 06:15:13 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        The following list of changes fixes build errors in the Borland builds

        * ace/Object_Manager_Base.cpp:
          Added #include of OS_NS_stdio.h

        * ace/OS_NS_dirent.inl:
          Added #include of OS_Memory.h

        * ace/OS_NS_fcntl.cpp:
          Added #include of OS_NS_stdio.h, OS_NS_Thread.h, OS_NS_macros.h and
          Object_Manager_Base.h

        * ace/OS_NS_fcntl.inl:
          Added #include of OS_NS_errno.h

        * ace/OS_NS_signal.h:
          Added #include of os_include/os_signal.h, ACE_export.h and OS_export.h

        * ace/OS_NS_stdio.inl:
          Added #include OS_NS_macros.h

        * ace/OS_NS_stropts.inl:
          Added #include of OS_NS_macros.h and OS_QoS.h

        * ace/OS_NS_sys_mman.inl:
          Added #include of OS_NS_stdio.h, OS_NS_macros.h and OS_NS_errno.h

        * ace/OS_NS_sys_resource.inl:
          Added #include of OS_NS_macros.h

        * ace/OS_NS_sys_select.inl:
          Added #include of os_include/os_errno.h

        * ace/OS_NS_sys_socket.inl:
          Added #include of OS_NS_stdio.h, OS_QoS.h and Global_Macros.h

        * ace/OS_NS_sys_stat.inl:
          Added OS_NS_errno.h

        * ace/OS_NS_sys_uio.cpp:
          Added #include OS_Memory.h, OS_NS_string.h and OS_NS_unistd.h

        * ace/OS_NS_sys_utsname.cpp
          Added #include OS_NS_string.h, OS_NS_stdio.h and OS_NS_unistd.h

        * ace/OS_NS_sys_wait.inl:
          Added #include of OS_NS_errno.h and Global_Macros.h

        * ace/OS_NS_Thread.cpp:
          Added #include of Object_Manager_Base.h

        * ace/OS_NS_Thread.inl:
          Added #include of OS_NS_stdio.h and OS_NS_errno.h

        * ace/OS_NS_unistd.inl:
          Added #include of OS_NS_macros., OS_NS_fcntl.h and Default_Constants.h

Tue Nov  4 04:55:40 UTC 2003  Don Hinton  <dhinton@dresystems.com>

        * ace/CDR_Stream.h:
          Removed #include of OS_Memory.h and OS_String.h.

        * ace/Object_Manager.h:
          Added #includes needed due to subsetting.

        * performance-tests/SCTP/SOCK_SEQPACK_srv.cpp:
        * tests/CDR_Test.cpp:
          Added #includes needed due to subsetting.

        * ace/ace.mpc:
          Removed commented out Synch.cpp--comments aren't supported.

        * ace/Makefile.ace:
          Removed Synch and added new files, e.g., Mutex, etc...

Mon Nov  3 22:11:24 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * ace/config-sunos5.5.h: Added a note about SunCC 5.0.

Mon Nov  3 20:35:12 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * ace/config-sunos5.5.h:

          Added ACE_HAS_STD_TEMPLATE_CLASS_MEMBER_SPECIALIZATION, since
          CC 5.3 seems to be doing the right thing for class member
          specializations. We will soon check things out on other
          compilers.

Mon Nov  3 19:38:45 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * ace/config-all.h:

          Added a new #define, ACE_TEMPLATE_CLASS_MEMBER_SPECIALIZATION
          which defines template <>  for definitions of member functions
          of a class that is specialized.

        * ace/config-g++-common.h:

          Added ACE_HAS_STD_TEMPLATE_CLASS_MEMBER_SPECIALIZATION, since
          g++ is doing the right thing for class member specializations.

Mon Nov  3 17:02:42 UTC 2003  Don Hinton  <dhinton@dresystems.com>

        * ace/config-openbsd.h:
        * ace/config-macosx.h:
          Added ACE_LACKS_WCHAR_H.

        * ace/OS_NS_dlfcn.inl:
          Added #includes needed when ACE_USES_ASM_SYMBOL_IN_DLSYM is
          defined.

        * ace/OS_NS_sys_msg.inl:
        * ace/OS_NS_sys_shm.inl:
          Added #include of OS_NS_errno.h:

Mon Nov  3 16:43:27 UTC 2003  Don Hinton  <dhinton@dresystems.com>

        * ace/OS_NS_dlfcn.inl:
          Added missing #includes needed on HPUX due to recent
          subsetting.

        * ace/OS_NS_time.inl:
          Changed #ifdef around ACE_OS::timezone implementation to be just
          __GNUG__ since it seems to be needed on all OS's that use g++.

        * ace/OS_NS_string.h:
          Changed ACE_OS_Export to ACE_Export.

        * ace/OS_NS_unistd.cpp:
          Added #include of sys/pstat.h needed on HPUX.

        * ace/os_include/os_termios.h:
          Added #include of sys/modem.h on HPUX to pickup the MDTR
          definition.

Mon Nov  3 10:19:43 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Makefile.bor:
          Updated this file with all recent changes

Mon Nov  3 08:24:12 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-win32-borland.h:
          Added #define ACE_LACKS_TERMIOS_H

Mon Nov  3 06:41:16 UTC 2003  Don Hinton  <dhinton@dresystems.com>

        * ace/OS_NS_stdio.h:
          Added missing ACE_Export to printf() declaration.

Mon Nov  3 06:09:08 UTC 2003  Don Hinton  <dhinton@dresystems.com>

        * tests/MM_Shared_Memory_Test.cpp:
        * tests/OS_Test.cpp:
        * tests/Proactor_Scatter_Gather_Test.cpp:
        * tests/Proactor_Test.cpp:
        * tests/SPIPE_Test.cpp:
          Added #includes needed on Windows due to recent
          subsetting.

Mon Nov  3 05:02:24 UTC 2003  Don Hinton  <dhinton@dresystems.com>

        * ace/OS_NS_netdb.cpp:
          Added missing #ifdef ACE_MT_SAFE around
          ACE_OS::netdb_{acquire|release} method implementations.  This
          fixes single threaded build errors on platforms that define
          ACE_LACKS_NETDB_REENTRANT_FUNCTIONS.

Mon Nov  3 04:43:43 UTC 2003  Don Hinton  <dhinton@dresystems.com>

        * Makefile:
        * bin/reverseclean:
          Pass the $(MAKE) variable to the reverseclean script and use it
          instead of "make".  This fixes problems in autobuilds that
          assign something other than "make" to the make_program
          variable.

Mon Nov  3 04:12:12 UTC 2003  Craig Rodrigues  <crodrigu@bbn.com>

        * include/makeinclude/platform_freebsd.GNU:
          Overhaul the OS version tests so that they actually work.
          The "-pthread" gcc flag was recently deprecated in FreeBSD's gcc, so
          use the correct pthread flags for gcc, based on the OS version.
          Inspired by similar tests in /usr/ports/Mk/bsd.port.mk

Mon Nov  3 03:04:48 UTC 2003  Don Hinton  <dhinton@dresystems.com>

        * ace/Barrier.h:
        * ace/Managed_Object.h:
        * ace/Object_Manager.h:
        * tests/Priority_Reactor_Test.cpp:
          Added #include needed when not inlining due to recent
          subsetting.

        * ace/OS_NS_Thread.inl:
          Added #ifdef ACE_MT_SAFE around ACE_OS_Thread_Mutex_Guard
          implementation.

        * ace/Object_Manager_Base.h:
          Removed ACE_OS friend statements and redundant method
          declarations (which were problematic on Windows).

        * ace/Token.cpp:
          Moved #include of Token.i outside of ACE_HAS_THREADS #ifdef
          since ACE_Noop_Token is there and required in single threaded
          builds.

Sun Nov  2 15:58:23 UTC 2003  Don Hinton  <dhinton@dresystems.com>

        * ace/ace.mpc:
          Added a comment about footprint and compile times, and moved the
          commented out files up--MPC doesn't like comments in file
          lists.  Thanks to Johnny Willemsen <jwillemsen@remedy.nl>
          for reporting this.

        * ace/OS_NS_netdb.inl:
          Fixed a couple of instances of ::memcpy that didn't include
          ACE_OS.

        * ace/OS_NS_netdb.cpp:
          Added #include Object_Manager_Base.h.

        * ace/OS_NS_unistd.cpp:
          Added #include Object_Manager_Base.h and OS_NS_Thread.h.

        * ace/OS_NS_time.inl:
          Added #include OS_NS_sys_time.h.

Sun Nov  2 12:55:21 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Shared_Memory.h:
          Added #include of os_include/os_stddef.h to get size_t definition.

Sun Nov  2 10:01:13 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/OS_main.h:
          Fixed fuzz error and added #include of post.h

        * ace/OS_NS_macros.h:
          Added #include of post.h

        * ace/Timer_Queue_T.h:
          Added #include of Time_Value.h

        * ace/config-win32-borland.h:
          Added several defines because of lacking system header files.

Sun Nov  2 00:23:25 UTC 2003  Don Hinton  <dhinton@dresystems.com>

        * ace/OS_NS_netdb.cpp:
          Added #include of OS_NS_Thread.h needed when
          ACE_LACKS_NETDB_REENTRANT_FUNCTIONS is defined.

        * ace/OS_NS_poll.inl:
          Added #include of OS_NS_errno.h.

        * ace/OS_NS_unistd.cpp:
          Added #include of Guard_T.h.

        * ace/Object_Manager_Base.cpp:
          Fixed typo.

        * ace/os_include/os_signal.h:
          Fixed typo.  Thanks to Johnny Willemsen <jwillemsen@remedy.nl>
          for reporting this.

Sat Nov  1 23:45:49 UTC 2003  Don Hinton  <dhinton@dresystems.com>

        * ace/ACE_export.h:
          Added ACE_NAMESPACE_INLINE_FUNCTION and ACE_NAMESPACE_STORAGE_CLASS
          macros to help control exporting of symbols from namespaces on
          Windows.

        * ace/OS_NS_Thread.h:
        * ace/OS_NS_arpa_inet.{h,inl}:
        * ace/OS_NS_ctype.h:
        * ace/OS_NS_dirent.h:
        * ace/OS_NS_dlfcn.h:
        * ace/OS_NS_errno.h:
        * ace/OS_NS_fcntl.h:
        * ace/OS_NS_math.h:
        * ace/OS_NS_netdb.h:
        * ace/OS_NS_poll.h:
        * ace/OS_NS_pwd.h:
        * ace/OS_NS_regex.h:
        * ace/OS_NS_signal.h:
        * ace/OS_NS_stdio.h:
        * ace/OS_NS_stdlib.h:
        * ace/OS_NS_string.h:
        * ace/OS_NS_strings.h:
        * ace/OS_NS_stropts.h:
        * ace/OS_NS_sys_mman.h:
        * ace/OS_NS_sys_msg.h:
        * ace/OS_NS_sys_resource.h:
        * ace/OS_NS_sys_select.h:
        * ace/OS_NS_sys_shm.h:
        * ace/OS_NS_sys_socket.h:
        * ace/OS_NS_sys_stat.h:
        * ace/OS_NS_sys_time.h:
        * ace/OS_NS_sys_uio.h:
        * ace/OS_NS_sys_utsname.h:
        * ace/OS_NS_sys_wait.h:
        * ace/OS_NS_time.h:
        * ace/OS_NS_unistd.h:
        * ace/OS_NS_wchar.h:
        * ace/OS_TLI.h:
          Added extern ACE_Export to non-inlined method prototypes and
          ACE_NAMESPACE_INLINE_FUNCTION to inlined ones.

Sat Nov  1 18:18:12 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-win32-mingw.h:
          Added defines to specify that MinGW lacks certain header files.
          Because of the rework this was now found.

Sat Nov  1 17:16:45 UTC 2003  Don Hinton  <dhinton@dresystems.com>

        * ace/ace.mpc:
          Reordered new files to make them easer to verify.

        * ace/Makefile.ace:
          Added new files and removed OS, OS_String, OS_Memory, and
          OS_Dirent.

        * Kokyu/Makefile.Kokyu:
        * ace/Makefile.ace:
        * ace/ace.mpc:
        * ace/RMCast/Makefile:
        * apps/Gateway/Gateway/Makefile:
        * apps/Gateway/Peer/Makefile:
        * apps/drwho/Makefile:
        * apps/gperf/src/Makefile:
        * apps/gperf/tests/Makefile:
        * examples/ASX/CCM_App/Makefile:
        * examples/ASX/Event_Server/Event_Server/Makefile:
        * examples/ASX/Event_Server/Transceiver/Makefile:
        * examples/ASX/Message_Queue/Makefile:
        * examples/ASX/UPIPE_Event_Server/Makefile:
        * examples/C++NPv1/Makefile:
        * examples/Connection/misc/Makefile:
        * examples/Connection/non_blocking/Makefile:
        * examples/IOStream/client/Makefile:
        * examples/IOStream/server/Makefile:
        * examples/IPC_SAP/DEV_SAP/reader/Makefile:
        * examples/IPC_SAP/DEV_SAP/writer/Makefile:
        * examples/IPC_SAP/FIFO_SAP/Makefile:
        * examples/IPC_SAP/FILE_SAP/Makefile:
        * examples/IPC_SAP/SOCK_SAP/Makefile:
        * examples/IPC_SAP/SPIPE_SAP/Makefile:
        * examples/IPC_SAP/TLI_SAP/Makefile:
        * examples/IPC_SAP/UPIPE_SAP/Makefile:
        * examples/Log_Msg/Makefile:
        * examples/Logger/Acceptor-server/Makefile:
        * examples/Logger/client/Makefile:
        * examples/Logger/simple-server/Makefile:
        * examples/Map_Manager/Makefile:
        * examples/Mem_Map/IO-tests/Makefile:
        * examples/Mem_Map/file-reverse/Makefile:
        * examples/Misc/Makefile:
        * examples/Naming/Makefile:
        * examples/RMCast/Send_File/Makefile:
        * examples/Reactor/Dgram/Makefile:
        * examples/Reactor/FIFO/Makefile:
        * examples/Reactor/Misc/Makefile:
        * examples/Reactor/Multicast/Makefile:
        * examples/Reactor/Ntalker/Makefile:
        * examples/Service_Configurator/IPC-tests/client/Makefile:
        * examples/Service_Configurator/IPC-tests/server/Makefile:
        * examples/Shared_Malloc/Makefile:
        * examples/Shared_Memory/Makefile:
        * examples/Synch/Makefile:
        * examples/System_V_IPC/SV_Message_Queues/Makefile:
        * examples/System_V_IPC/SV_Semaphores/Makefile:
        * examples/System_V_IPC/SV_Shared_Memory/Makefile:
        * examples/Threads/Makefile:
        * examples/Timer_Queue/Makefile:
        * netsvcs/clients/Logger/Makefile:
        * netsvcs/clients/Naming/Client/Makefile:
        * netsvcs/clients/Naming/Dump_Restore/Makefile:
        * netsvcs/clients/Tokens/collection/Makefile:
        * netsvcs/clients/Tokens/deadlock/Makefile:
        * netsvcs/clients/Tokens/invariant/Makefile:
        * netsvcs/clients/Tokens/mutex/Makefile:
        * netsvcs/clients/Tokens/rw_lock/Makefile:
        * netsvcs/lib/Makefile:
        * netsvcs/servers/Makefile:
        * performance-tests/Misc/Makefile:
        * performance-tests/SCTP/Makefile:
        * performance-tests/Server_Concurrency/Leader_Follower/Makefile:
        * performance-tests/Server_Concurrency/Queue_Based_Workers/Makefile:
        * performance-tests/TCP/Makefile:
        * performance-tests/UDP/Makefile:
        * tests/Makefile.tests:
        * tests/RMCast/Makefile:
        * websvcs/lib/Makefile:
        * websvcs/tests/Makefile
          Updated dependencies.

Sat Nov  1 16:27:58 UTC 2003  Don Hinton  <dhinton@dresystems.com>

        * ace/os_include/os_signal.h:
          Added prototype for pthread_sigmask() for those platforms that
          don't include it in signal.h, ie. Free BSD.

Sat Nov  1 05:40:21 UTC 2003  Don Hinton  <dhinton@dresystems.com>

        * ace/Cleanup.{h,inl,cpp}:
        * ace/OS_main.h:
        * ace/OS_NS_arpa_inet.{h,inl,cpp}:
        * ace/OS_NS_ctype.{h,inl,cpp}:
        * ace/OS_NS_dirent.{h,inl,cpp}:
        * ace/OS_NS_dlfcn.{h,inl,cpp}:
        * ace/OS_NS_errno.{h,inl,cpp}:
        * ace/OS_NS_fcntl.{h,inl,cpp}:
        * ace/OS_NS_macros.h:
        * ace/OS_NS_math.{h,inl,cpp}:
        * ace/OS_NS_netdb.{h,inl,cpp}:
        * ace/OS_NS_poll.{h,inl,cpp}:
        * ace/OS_NS_pwd.{h,inl,cpp}:
        * ace/OS_NS_regex.{h,inl,cpp}:
        * ace/OS_NS_signal.{h,inl,cpp}:
        * ace/OS_NS_stdio.{h,inl,cpp}:
        * ace/OS_NS_stdlib.{h,inl,cpp}:
        * ace/OS_NS_string.{h,inl,cpp}:
        * ace/OS_NS_strings.{h,inl,cpp}:
        * ace/OS_NS_stropts.{h,inl,cpp}:
        * ace/OS_NS_sys_mman.{h,inl,cpp}:
        * ace/OS_NS_sys_msg.{h,inl,cpp}:
        * ace/OS_NS_sys_resource.{h,inl,cpp}:
        * ace/OS_NS_sys_select.{h,inl,cpp}:
        * ace/OS_NS_sys_shm.{h,inl,cpp}:
        * ace/OS_NS_sys_socket.{h,inl,cpp}:
        * ace/OS_NS_sys_stat.{h,inl,cpp}:
        * ace/OS_NS_sys_time.{h,inl,cpp}:
        * ace/OS_NS_sys_uio.{h,inl,cpp}:
        * ace/OS_NS_sys_utsname.{h,inl,cpp}:
        * ace/OS_NS_sys_wait.{h,inl,cpp}:
        * ace/OS_NS_Thread.{h,inl,cpp}:
        * ace/OS_NS_time.{h,inl,cpp}:
        * ace/OS_NS_unistd.{h,inl,cpp}:
        * ace/OS_NS_wchar.{h,inl,cpp}:
        * ace/Object_Manager_Base.{h,inl,cpp}:
          Added new files.

        * ace/OS.{h,i,cpp}:
        * ace/OS_Dirent.{h,i,cpp}:
        * ace/OS_String.{h,i,cpp}:
        * ace/OS_Memory.{h,inl,cpp}:
        * ace/OS_TLI.{h,inl}:
          Converted ACE_OS* classes to ACE_OS namespace and moved all the
          code to the new files above based on the Single Unix Spec.

        * ace/ace.mpc:
          Added new files and removed OS.cpp, OS_String.cpp,
          OS_Dirent.cpp, and OS_Memory.cpp.  Also removed Synch.cpp and
          added the individual concurrency files that had already been
          added to the repo a while back..

        * ace/OS.h:
        * ace/Synch.h:
          Added DO_NOT_INCLUDE #ifdef to make it easy to remove the entire
          contents of these files for testing purposes.

        * ace/OS_main.h:
          Moved the ACE_TMAIN macros here.

        * ace/Object_Manager_Base.{h,inl,cpp}:
          Moved the ACE_Object_Manager_Base, ACE_OS_Object_Manager, and
          ACE_OS_Object_Manager_Manager classes here.

        * ace/config-all.h:
          Moved ACE_OS_TRACE macro here.

        * ace/config-vxworks5.x.h:
          Added ACE_LACKS_ARPA_INET_H.

        * ace/config-win32-msvc.h:
          Added ACE_LACKS_SEMAPHORE_H, ACE_LACKS_STRINGS_H,
          ACE_LACKS_PWD_H, ACE_LACKS_POLL_H, ACE_LACKS_SYS_SHM_H,
          ACE_LACKS_SYS_MSG_H, ACE_LACKS_NETINET_TCP_H,
          ACE_LACKS_TERMIOS_H, and ACE_LACKS_REGEX_H.

        * ace/Time_Value.{h,cpp}:
          Moved ACE_Countdown_Time here.

        * ace/TTY_IO.h:
          Moved ACE_VMIN and ACE_VTIME macros here.

        * ace/SOCK.h:
          Moved ACE_SHUTDOWN* macros here.

        * ace/Mutex.h:
          Moved ACE_DEFAULT_MUTEX macros here.

        * ace/Log_Msg.cpp:
          Moved sys_siglist define here.

        * ace/Handle_Set.cpp:
          Moved ACE_MSB_MASK macro here.

        * ace/Global_Macros.h:
          Moved PIPE_TYPE_*, NEW_MALLOC*, ACE_SEH*, template typedef
          macros here.

        * ace/Default_Constants.h:
          ACE_MAX_USERID out, ACE_DEV_NULL and ACE_SYSCALL_FAILED in.

        * ace/Cleanup.{h,inl,cpp}:
          Added new file and moved ACE_Cleanup* and ACE_OS_Exit_Info
          classes here.

        * ace/Basic_Types.h:
          Moved ACE_HTONL and ACE_NTOHL macros here.

        * ace/os_include/os_dirent.h:
          Moved ACE_DIR typedef here:

        * ace/os_include/os_dlfcn.h:
          Moved _dl* function prototypes here.

        * ace/os_include/os_fcntl.h:
          Moved O_NONBLOCK and F_GETFL defines here.

        * ace/os_include/os_limits.h:
          Moved ACE_RTSIG_MAX define here.

        * ace/os_include/os_pthread.h:
          Moved the sun priocntl includes here.

        * ace/os_include/os_regex.h:
          Moved the regexpr.h include here.

        * ace/os_include/os_signal.h:
          Moved the rest of the signal defines and includes here.

        * ace/os_include/os_stdio.h:
          Moved the ACE_MAX_USERID define here.

        * ace/os_include/os_stdlib.h:
          Moved the mktemp() prototype here.

        * ace/os_include/os_string.h:
        * ace/OS_NS_stdio.inl:
          Moved additional string related includes and strerror define
          to os_string.h.  Moved ACE_SPRINTF_ADAPTER to OS_NS_stdio.inl.

        * ace/os_include/os_strings.h:
          Removed ACE_HAS_STRINGS hack.

        * ace/os_include/os_stropts.h:
          Moved _XOPEN_EXTENDED_SOURCE, SIOCGIFBRDADDR, and SIOCGIFADDR
          defines, strbuf type, and isastream() prototype here.

        * ace/os_include/os_time.h:
          Moved timespec typedef and time related std using declaration
          here.

        * ace/os_include/os_ucontext.h:
          Moved ucontext_t typedef here.

        * ace/os_include/os_unistd.h:
          Moved the id related prototypes, *_OK macros, and the
          read_timedwait() and write_timedwait() prototypes here.

        * ace/os_include/arpa/os_inet.h:
          Moved the inet_*() prototypes here.

        * ace/os_include/netinet/os_in.h:
          Moved the multicast types and IP_* defines  here.

        * ace/os_include/netinet/os_tcp.h:
          Moved the TCP_NODELAY and TCP_MAXSEG defines here.

        * ace/os_include/sys/os_mman.h:
          Moved the MAP_* defines here.

        * ace/os_include/sys/os_resource.h:
          Moved the usage and limit defines and prototypes here.

        * ace/os_include/sys/os_select.h:
          Moved NFDBITS and select() prototype here.

        * ace/os_include/sys/os_sem.h:
          Moved the GETVAL, SETVAL, GETALL, SETALL, and SEM_UNDO defines
          here.

        * ace/os_include/sys/os_socket.h:
          Moved the socket related *_timedwait() prototypes and
          ACE_SOCKET_LEN typedef here.

        * ace/os_include/sys/os_stat.h:
          Added /**/ for system include.

        * ace/os_include/sys/os_time.h:
          Moved gettimeofday() prototype here.

        * ace/os_include/sys/os_times.h:
          Fixed typo.

